2010-03-01  harryvanderwolf

	* [r5040] src/hugin1/hugin/GLViewer.cpp: merge trunk /5039 (Harry van
	  der Wolf) [OSX] Fix cmake compilation Hugin on OSX (patch from Dave
	  Tow)

2010-02-28  brunopostle

	* [r5035] src/hugin1/hugin/wxPanoCommand.cpp: merge trunk -r 5028
	  [2889525] Reject control ponits with coordinates less than zero
	  (Gerry Patterson)
	* [r5034] src/hugin1/hugin/PanoPanel.cpp: merge trunk -r 5027 Set
	  blender and fusion options to default value when user entered an
	  empty string (Thomas Modes)
	* [r5033] src/translations/zh_TW.po: Chinese Traditional update (Rick
	  Langford)

2010-02-24  brunopostle

	* [r5026] src/hugin_base/panodata/PanoramaOptions.h: merge trunk -r
	  5022 Initalise PanoramaOptions::outputLDRExposureLayersFused to
	  false to prevent random behviour. Found with valgrind (James Legg)
	* [r5025] src/hugin1/hugin/huginApp.cpp: merge trunk -r 5024 Make
	  `hugin *.jpg` work (Alexandre Duret-Lutz)

2010-02-23  brunopostle

	* [r5021] platforms/windows/smartblend-wrapper/smartblend-hugin.bat:
	  merge trunk -r 5020 (Bart Van Andel)
	* [r5019]
	  platforms/windows/smartblend-wrapper/smartblend-hugin-windows-readme.txt,
	  platforms/windows/smartblend-wrapper/smartblend-hugin.bat: Merge
	  trunk -r 5015 update to smartblend wrapper (Bart van Andel)
	* [r5018] src/hugin1/hugin/PreferencesDialog.cpp,
	  src/translations/fi.po: Add Finnish translation from trunk (Juha
	  Helminen)
	* [r5017] src/translations/hu.po, src/translations/pl.po: Merge Polish
	  and Hungarian translation updates from trunk

2010-02-22  brunopostle

	* [r5011] authors.txt: Copy some names from ChangeLog to authors.txt

2010-02-18  tmodes

	* [r4991] src/hugin1/hugin/wxPanoCommand.cpp: Set response type to
	  linear when adding hdr images

2010-02-08  brunopostle

	* [r4970] src/hugin_base/panodata/PanoramaOptions.cpp: merge trunk -r
	  4956 Write projection parameters also for PTStitcher script (Thomas
	  Modes)

2010-02-07  brunopostle

	* [r4969] src/translations/de.po, src/translations/it.po,
	  src/translations/nl.po: Merge translation updates from trunk

2010-02-02  brunopostle

	* [r4962] ChangeLog: Update ChangeLog
	* [r4958]
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-LagardePont-fish.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/220px-Ben_Equirectangular_panini.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/22px-Fast_preview_icon_autocrop.svg.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-LagardePont-defish.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-TKS-Mmm-obliquev120-gP70_50_50.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-TKS-Mmm-obliquev120-recti.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/400px-220x120deg-panini-grid.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/800px-C_Marchi-GrandCentral-adj.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift-C.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cpclean.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Entrance_pupil.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Keyboard_shortcuts.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lightprobe.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/NPP.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/No-parallax_point.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nona.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_scripting_in_a_nutshell.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/The_General_Panini_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Merge trunk -r 4957
	  Update manual to approximately 2010.0.0 level

2010-01-31  stativ

	* [r4952] src/hugin1/hugin/PreferencesDialog.cpp: Merge trunk rev4951.
	  Fix storage of image cache upperbound.
	  Patch by Ryan Sleevi.

2010-01-30  brunopostle

	* [r4949] src/hugin1/hugin/config_defaults.h: merge trunk -r 4948
	  Raise default image cache size from 75MB to 256MB

2010-01-20  tmodes

	* [r4921] src/hugin1/hugin/PreviewPanel.cpp: Fixes update of preview
	  window when projection parameter changed

2010-01-17  stativ

	* [r4903] .,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Merge trunk -r 4902. Fixes makefile export on OS X. Thanks to Robert
	  Hart for the fix (see bug #2933781)

2010-01-13  brunopostle

	* [r4888] src/translations/pl.po: Merge trunk -r 4882 - Updated Polish
	  translation - a few small fixes (Michał Smoczyk)

2010-01-07  vatoz

	* [r4860] src/translations/cs_CZ.po: Updated czech translation

2010-01-06  tmodes

	* [r4853] src/hugin1/base_wx/MyProgressDialog.h,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/PanoPanel.cpp:
	  Unified progress boxes

2010-01-05  tmodes

	* [r4849] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h,
	  src/hugin1/hugin/xrc/data/crop_tool.png,
	  src/hugin1/hugin/xrc/data/crop_tool_small.png,
	  src/hugin1/hugin/xrc/data/drag_tool.png,
	  src/hugin1/hugin/xrc/data/drag_tool_small.png,
	  src/hugin1/hugin/xrc/data/gl_preview_small.png,
	  src/hugin1/hugin/xrc/data/identify_tool_small.png,
	  src/hugin1/hugin/xrc/data/photometric.png,
	  src/hugin1/hugin/xrc/data/preview_control_point_tool.png,
	  src/hugin1/hugin/xrc/preview_frame.xrc: Modify fast preview window
	  to use a tabbed toolbar

2009-12-30  tmodes

	* [r4844] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin_base/panotools/PanoToolsUtils.cpp: Fixes crash on startup
	  when loading a project without cp [2867671]

2009-12-28  brunopostle

	* [r4841] src/translations/sv.po: merge trunk/4840 Update Swedish
	  translation (Ulf Wilhelmson)

2009-12-27  harryvanderwolf

	* [r4837] mac/Version.xcconfig: [OSX] Set correct 2010.0.0 release
	  version for OSX

2009-12-22  brunopostle

	* [r4828] ChangeLog: merge trunk/4826 update ChangeLog
	* [r4825] CMakeLists.txt: Next stable release will be 2010.0.0
	* [r4824] .: Forking trunk -r 4823 for next 2010.0.0 stable release

2009-12-19  brunopostle

	* [r4822] src/tools/cpclean.cpp: cpclean: don't die if there are no
	  control points
	* [r4821] src/translations/pl.po: Fix \m bug in Polish translation

2009-12-18  michausm

	* [r4820] src/translations/pl.po: Polish translation update (Michał
	  Smoczyk): translating new entries, some polishing.

2009-12-15  vatoz

	* [r4817] src/translations/nl.po: Build error

2009-12-15  north-pole

	* [r4816] src/translations/fr.po: French translation update

2009-12-14  ade_br

	* [r4812] src/translations/pt_BR.po: Review of the pt_BR translation
	  
	  spellcheck + runtime review

2009-12-14  harryvanderwolf

	* [r4810] src/translations/nl.po: Update Dutch translation based on
	  svn #4809 version
	* [r4809] src/hugin1/hugin/AboutDialog.cpp,
	  src/hugin1/hugin/NumTransDialog.cpp: [OSX] "fine tune" fix 4789

2009-12-14  ade_br

	* [r4808] src/translations/pt_BR.po: Complete pt_BR translation
	  
	  [ademar@optimus translations]$ msgfmt --statistics pt_BR.po
	  1007 translated messages.
	  
	  100%, whee! \o/
	* [r4807] src/translations/ignored-strings.txt: i18n: Ignore
	  'Packbits', it's a zip compression method
	* [r4806] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/PreviewFrame.cpp: i18n: Don't i18n 0 values
	  (literal constant)
	* [r4804] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: i18n: Update
	  .po files to reflect latest changes

2009-12-14  jlegg

	* [r4803] src/hugin1/hugin/OptimizePanel.h: Fix compiliation broken in
	  r4789.

2009-12-14  ade_br

	* [r4802] src/hugin1/hugin/xrc/cpdetector_dialog.xrc,
	  src/hugin1/hugin/xrc/main_menu.xrc,
	  src/hugin1/hugin/xrc/main_menubar.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Minor string corrections, for
	  consistency
	  
	  Ok vs OK
	  About Hugin vs About Program vs About Application
	  s/finetune/fine-tune/ (and variations)
	* [r4801] src/hugin1/base_wx/PTWXDlg.cpp: i18n: Don't i18n "\n\n\n"
	  string
	* [r4800] src/translations/filter-ignored-strings.py,
	  src/translations/ignored-strings.txt: Add missinng i18n files from a
	  previous commit
	  
	  Blame my manual git->svn integration :-/
	* [r4799] src/hugin1/base_wx/PTWXDlg.cpp: i18n: Don't i18n
	  "0123456...." placeholder string
	* [r4798] src/hugin1/hugin/ImagesList.cpp: i18n: don't i18n lens
	  single-char variables
	  
	  This should ease translators life a bit (and there's no translation
	  changing these variables anyway).
	* [r4797] src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Preferences dialog:
	  s/Tempdir/Temporary dir/
	  
	  Changing the html help reference as well.
	* [r4796] src/hugin1/hugin/xrc/pref_dialog.xrc: Preferences dialog:
	  minor textual improvement
	* [r4795] src/hugin1/hugin/xrc/pref_dialog.xrc: Preferences dialog:
	  Minor typo
	* [r4794] src/hugin1/hugin/xrc/images_panel.xrc: Images Panel: use
	  Camera {Maker,Model} instead of Maker/Model
	  
	  We have screen space available, so no need to save on these.
	* [r4793] src/hugin1/hugin/xrc/assistant_panel.xrc,
	  src/hugin1/hugin/xrc/optimize_panel.xrc,
	  src/hugin1/hugin/xrc/optimize_photo_panel.xrc,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc,
	  src/hugin1/hugin/xrc/preview_frame.xrc: Standardize tooltips 2:
	  Remove period from the end of sentences
	* [r4792] src/hugin1/hugin/xrc/assistant_panel.xrc,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/images_panel.xrc: Standardize tooltips 1:
	  Capitalize sentences
	* [r4791] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/PanoPanel.cpp: Fix xgettext warning about _("")
	  call
	  
	  Warning message was:
	  
	  warning: Empty msgid. It is reserved by GNU gettext:
	  gettext("") returns the header entry with
	  meta information, not the empty string.
	* [r4790] src/translations/README.txt,
	  src/translations/extract-messages.sh: i18n: filter out
	  non-translatable strings when extracting strings from xrc files
	  
	  This should make the translators job far easier.

2009-12-14  harryvanderwolf

	* [r4789] mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/hugin/AboutDialog.cpp, src/hugin1/hugin/AboutDialog.h,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	  src/hugin1/hugin/NumTransDialog.cpp,
	  src/hugin1/hugin/ResetDialog.cpp: [OSX] fix a number of issues on
	  OSX introduced by recent changes

2009-12-13  vatoz

	* [r4788] src/translations/cs_CZ.po: Updated czech translation

2009-12-13  harryvanderwolf

	* [r4787] src/hugin1/hugin/AboutDialog.cpp: [OSX] correct upstream and
	  license tab in about box

2009-12-11  jlegg

	* [r4782] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/xrc/assistant_panel.xrc: On the assistant tab, wrap
	  the alignment warning at 600 pixels, and move the '3. Create
	  Panorama...' button a sensible underneath it.

2009-12-11  tmodes

	* [r4781] src/hugin1/hugin/xrc/preview_frame.xrc: Move autocrop button
	  to similiar buttons on toolbar

2009-12-10  brunopostle

	* [r4778] doc/CMakeLists.txt, doc/Makefile.pod2man,
	  doc/deghosting_mask.1, doc/deghosting_mask.pod: Minimal man page for
	  deghosting_mask

2009-12-10  harryvanderwolf

	* [r4777] src/hugin1/hugin/xrc/about.xrc: [OSX] correct font size for
	  Mac in new About -> About panel; correct stupid typo
	* [r4776] src/hugin1/hugin/xrc/about.xrc: [OSX] correct font size for
	  Mac in new About -> About panel

2009-12-10  ade_br

	* [r4775] src/translations/pt_BR.po: pt_BR translation review and
	  minor improvements
	  
	  Still missing some strings related to the batch operations. All
	  menus and
	  main screens have been reviewed.
	* [r4774] src/translations/pt_BR.po: Major fixes/improvements on the
	  pt_BR translation
	  
	  83% done, still a work-in-progress.
	  
	  Also reviewed and fixed several old entries. The translation should
	  be more
	  consistent now.
	* [r4773] src/translations/pt_BR.po: Updated Brazilian Portuguese
	  translation
	  
	  The pt_BR translation still needs some more love, but this commit
	  fixes the major problems and brings it to a useful state.
	  
	  Several strings still to be translated, work-in-progress.

2009-12-10  tmodes

	* [r4772] CMakeModules/FindPANO13.cmake,
	  CMakeModules/win_bundle.cmake: Update cmake to reflect changes in
	  building libpano13 on windows
	* [r4771] CMakeModules/win_bundle.cmake: Update win_bundle.cmake for
	  enblend-enfuse 4.0
	* [r4770] CMakeLists.txt: Update cmake to Boost 1.41 (win only)

2009-12-10  brunopostle

	* [r4767] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: Update .po
	  files with new translation strings, about 25 in total.
	* [r4766] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/xrc/main_frame.xrc: It is long past time Hugin
	  stopped calling itself "Hugin - Panorama Tools
	  Frontend", change title bar to "Hugin - Panorama Stitcher"

2009-12-09  brunopostle

	* [r4765] src/hugin1/PT/Panorama.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h,
	  src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/xrc/data/autocrop_tool.png,
	  src/hugin1/hugin/xrc/data/autocrop_tool.svg,
	  src/hugin1/hugin/xrc/data/crop_tool.png,
	  src/hugin1/hugin/xrc/data/crop_tool.svg,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin1/hugin/xrc/preview_frame.xrc,
	  src/hugin_base/CMakeLists.txt,
	  src/hugin_base/algorithms/basic/CalculateOptimalROI.cpp,
	  src/hugin_base/algorithms/basic/CalculateOptimalROI.h: Merge
	  autocrop branch (Gary Stein).
	  Not merged: 'as-needed' and 'use_system_cmake_findboost' patches
	  from gentoo
	  which are already in the trunk I think.

2009-12-09  skipgaede

	* [r4764] mac/patch-xrc.sh: [OSX] Update patch-xrc.sh to support new
	  tabbed About panel

2009-12-09  tmodes

	* [r4763] src/hugin1/hugin/ImagesPanel.cpp: Remove unused Cancel
	  button from progress window

2009-12-09  skipgaede

	* [r4761] mac/ExternalPrograms/scripts/autopano-sift-C.sh: [OSX]
	  Script autopano-sift-C was using variable that was not being
	  exported

2009-12-08  skipgaede

	* [r4759] mac/BuildConfig.xcconfig.orig,
	  mac/Hugin.xcodeproj/project.pbxproj: [OSX] added support for gettext
	  libraries in BuildConfig.xcconfig.orig & Hugin.xcodeproj
	* [r4755] mac/BuildConfig.xcconfig.orig, mac/complete-bundle.sh: [OSX]
	  Add additional libraries needed for text translation
	* [r4754] mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/autopano-sift-C.sh,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/build-all.sh,
	  mac/ExternalPrograms/scripts/clens.sh,
	  mac/ExternalPrograms/scripts/enblend.sh,
	  mac/ExternalPrograms/scripts/gettext.sh,
	  mac/ExternalPrograms/scripts/gnumake.sh,
	  mac/ExternalPrograms/scripts/ilmbase.sh,
	  mac/ExternalPrograms/scripts/lcms.sh,
	  mac/ExternalPrograms/scripts/libexiv2.sh,
	  mac/ExternalPrograms/scripts/libexpat.sh,
	  mac/ExternalPrograms/scripts/libjpeg-7.sh,
	  mac/ExternalPrograms/scripts/libjpeg.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/libtiff.sh,
	  mac/ExternalPrograms/scripts/openexr16.sh,
	  mac/ExternalPrograms/scripts/pano13.sh,
	  mac/ExternalPrograms/scripts/pano13cm.sh,
	  mac/ExternalPrograms/scripts/panomatic.sh,
	  mac/ExternalPrograms/scripts/static/boost.sh,
	  mac/ExternalPrograms/scripts/static/dmalloc.sh,
	  mac/ExternalPrograms/scripts/static/ilmbase.sh,
	  mac/ExternalPrograms/scripts/static/lcms.sh,
	  mac/ExternalPrograms/scripts/static/libexiv2.sh,
	  mac/ExternalPrograms/scripts/static/libexpat.sh,
	  mac/ExternalPrograms/scripts/static/libglew.sh,
	  mac/ExternalPrograms/scripts/static/libjpeg.sh,
	  mac/ExternalPrograms/scripts/static/libpng.sh,
	  mac/ExternalPrograms/scripts/static/libtiff.sh,
	  mac/ExternalPrograms/scripts/static/libxmi.sh,
	  mac/ExternalPrograms/scripts/static/openexr16.sh,
	  mac/ExternalPrograms/scripts/static/pano12.sh,
	  mac/ExternalPrograms/scripts/static/pano13.sh,
	  mac/ExternalPrograms/scripts/static/wxmac28.sh,
	  mac/ExternalPrograms/scripts/wxmac28-debug.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh: [OSX] Build scripts update
	  used for 2009.4.0-RC3 build by Skip Gaede
	* [r4753] mac/ExternalPrograms/scripts/wxMac-2.8.10.patch: [OSX] Add
	  patch for wxmac28.sh needed for Snow Leopard

2009-12-07  dangelo

	* [r4752] src/translations/sk.po: updated Slovak translation (Jozef
	  Riha)

2009-12-07  harryvanderwolf

	* [r4751] mac/Hugin.xcodeproj: [OSX] Re-apply XCode part of trunk
	  patch #4748 too 2009.4

2009-12-05  harryvanderwolf

	* [r4749] mac/BuildConfig.xcconfig.orig: [OSX] Finally implement
	  hugin_builder and display_version into OSX build; step II; stupid
	  file didn't upload
	* [r4748] mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin_version.h.in.cmake: [OSX] Finally implement hugin_builder
	  and display_version into OSX build

2009-12-03  brunopostle

	* [r4747] src/celeste/Main.cpp: celeste_standalone now returns 0 on
	  success instead of 1
	* [r4746] src/celeste/Main.cpp: Fix c line parsing for
	  celeste_standalone (Felix Hagemann)

2009-12-02  brunopostle

	* [r4745] doc/calibrate_lens.1, doc/calibrate_lens.pod: Update
	  calibrate_lens man page to match svn4646

2009-12-01  brunopostle

	* [r4740] src/celeste/Main.cpp: Fix pto parsing for celeste_standalone
	  a bit (Felix Hagemann)

2009-12-01  harryvanderwolf

	* [r4738] src/hugin1/hugin/CPImageCtrl.cpp: fix for Del key issue in
	  Control Points tab (thanks to Milan Knížek)

2009-11-30  brunopostle

	* [r4728] src/hugin1/hugin/xrc/data/help_en_EN/16bit.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/16bit_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Contrast.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Crop_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_scripting_in_a_nutshell.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pfstmo.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pto2mk.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Swing_rod.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Tone_mapping.html: Update
	  manual from wiki
	* [r4727] src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Some new
	  pages from wiki.panotools.org for the manual

2009-11-27  tmodes

	* [r4725] src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/CPDetectorConfig.cpp,
	  src/hugin1/hugin/CPDetectorConfig.h,
	  src/hugin1/hugin/CPDetectorConfig_default.h,
	  src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/xrc/cpdetector_dialog.xrc: Clean up cp detector
	  code and extended check for existence

2009-11-22  harryvanderwolf

	* [r4724] mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/autopano-sift-C.sh,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/build-all.sh,
	  mac/ExternalPrograms/scripts/clens.sh,
	  mac/ExternalPrograms/scripts/enblend.sh,
	  mac/ExternalPrograms/scripts/gettext.sh,
	  mac/ExternalPrograms/scripts/gnumake.sh,
	  mac/ExternalPrograms/scripts/ilmbase.sh,
	  mac/ExternalPrograms/scripts/lcms.sh,
	  mac/ExternalPrograms/scripts/libexiv2.sh,
	  mac/ExternalPrograms/scripts/libexpat.sh,
	  mac/ExternalPrograms/scripts/libjpeg-7.sh,
	  mac/ExternalPrograms/scripts/libjpeg.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/libtiff.sh,
	  mac/ExternalPrograms/scripts/openexr16.sh,
	  mac/ExternalPrograms/scripts/pano13.sh,
	  mac/ExternalPrograms/scripts/pano13cm.sh,
	  mac/ExternalPrograms/scripts/panomatic.sh,
	  mac/ExternalPrograms/scripts/static/libexiv2.sh,
	  mac/ExternalPrograms/scripts/static/libxmi.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh: [OSX] massive update and
	  improvement of OSX build scripts (thanks to Skip Gaede)

2009-11-20  brunopostle

	* [r4723] src/hugin1/hugin/Makefile.equirect.mk: Don't resize final
	  JPEG output

2009-11-17  brunopostle

	* [r4721]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Fix bug where 'HDR' enblend --compression setting was only used if
	  'normal'
	  output was set to TIFF (even if no 'normal' output is requested).
	  Also TIFF
	  --compression setting would be used for EXR output, non-fatal bug.

2009-11-14  brunopostle

	* [r4719]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Fix double counting of exposure values

2009-11-12  tmodes

	* [r4715] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	  src/hugin1/hugin/NonaStitcherPanel.cpp,
	  src/hugin1/hugin/NonaStitcherPanel.h,
	  src/hugin1/hugin/PTStitcherPanel.cpp,
	  src/hugin1/hugin/PTStitcherPanel.h, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/RunStitcherFrame.cpp,
	  src/hugin1/hugin/RunStitcherFrame.h, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/1leftarrow.png,
	  src/hugin1/hugin/xrc/data/1rightarrow.png,
	  src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/CPCursor0.png,
	  src/hugin1/hugin/xrc/data/CPCursor1.png,
	  src/hugin1/hugin/xrc/data/CPCursor2.png,
	  src/hugin1/hugin/xrc/data/CPCursor3.png,
	  src/hugin1/hugin/xrc/data/CPCursor4.png,
	  src/hugin1/hugin/xrc/data/CPCursor5.png,
	  src/hugin1/hugin/xrc/data/CPCursor6.png,
	  src/hugin1/hugin/xrc/data/center_pano.xpm,
	  src/hugin1/hugin/xrc/data/close.xpm,
	  src/hugin1/hugin/xrc/data/document-new.png,
	  src/hugin1/hugin/xrc/data/document-open.png,
	  src/hugin1/hugin/xrc/data/editcopy.png,
	  src/hugin1/hugin/xrc/data/editcut.png,
	  src/hugin1/hugin/xrc/data/editdelete.png,
	  src/hugin1/hugin/xrc/data/editpaste.png,
	  src/hugin1/hugin/xrc/data/emblem-symbolic-link.png,
	  src/hugin1/hugin/xrc/data/emblem-unreadable.png,
	  src/hugin1/hugin/xrc/data/find.png,
	  src/hugin1/hugin/xrc/data/fit_pano.xpm,
	  src/hugin1/hugin/xrc/data/folder-saved-search.png,
	  src/hugin1/hugin/xrc/data/go-jump.png,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Batch_Stitcher.html,
	  src/hugin1/hugin/xrc/data/image-missing.png,
	  src/hugin1/hugin/xrc/data/info.xpm,
	  src/hugin1/hugin/xrc/data/list-add.png,
	  src/hugin1/hugin/xrc/data/list-remove.png,
	  src/hugin1/hugin/xrc/data/manual.html,
	  src/hugin1/hugin/xrc/data/media-floppy.png,
	  src/hugin1/hugin/xrc/data/media-playback-pause.png,
	  src/hugin1/hugin/xrc/data/media-playback-start.png,
	  src/hugin1/hugin/xrc/data/media-playback-stop.png,
	  src/hugin1/hugin/xrc/data/media-skip-forward.png,
	  src/hugin1/hugin/xrc/data/optimize.xpm,
	  src/hugin1/hugin/xrc/data/print.xpm,
	  src/hugin1/hugin/xrc/data/process-stop.png,
	  src/hugin1/hugin/xrc/data/process-stop16.png,
	  src/hugin1/hugin/xrc/data/process-stop22.png,
	  src/hugin1/hugin/xrc/data/searchfind.xpm,
	  src/hugin1/hugin/xrc/data/straighten_pano.xpm,
	  src/hugin1/hugin/xrc/data/zoomin.xpm,
	  src/hugin1/hugin/xrc/data/zoomout.xpm,
	  src/hugin1/hugin/xrc/edit_text.xrc, src/hugin1/hugin/xrc/help.xrc,
	  src/hugin1/hugin/xrc/keyboard_help.xrc,
	  src/hugin1/hugin/xrc/run_optimizer_frame.xrc,
	  src/hugin1/hugin/xrc/run_stitcher_frame.xrc: Remove some obsolete
	  files

2009-11-09  stativ

	* [r4714] src/deghosting/denoise.h: Remove commented code
	* [r4713] src/deghosting/deghosting_mask.cpp,
	  src/deghosting/denoise.h: Added very simple denoising algorithm to
	  the deghosting_mask to reduce noise in masks a bit.

2009-11-09  tmodes

	* [r4712] src/hugin1/hugin/xrc/data/CMakeLists.txt: Install missing
	  cursor on win32
	* [r4711] CMakeLists.txt, src/hugin1/hugin/AboutDialog.cpp,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/xrc/CMakeLists.txt,
	  src/hugin1/hugin/xrc/about.xrc, src/hugin1/hugin/xrc/about.xrc.in:
	  Some fixes for new about dialog

2009-11-07  michausm

	* [r4710] src/translations/pl.po: Polish translation update: a few
	  fixes (Michał Smoczyk)

2009-11-06  yuv

	* [r4709] src/hugin1/hugin/xrc/about.xrc.in: fix mac font size. I'm
	  "blind", so mac users need to confirm it works
	* [r4708] admin/release-mgmt, admin/release-mgmt/apply.sh,
	  admin/release-mgmt/build.sh, admin/release-mgmt/changes.sh,
	  admin/release-mgmt/fromtrunk.sh, admin/release-mgmt/init.sh,
	  admin/release-mgmt/scripts-readme.txt,
	  admin/release-mgmt/translate.sh: added set of scripts that
	  facilitated my role of release manager
	* [r4706] AUTHORS: removed reference to the web and fixed it to the
	  tab separated parsed file
	* [r4704] authors.txt: added Marijn Ros and synced Erik Krause with
	  website

2009-11-04  gpatters1

	* [r4702] src/hugin1/hugin/CropPanel.cpp,
	  src/hugin1/hugin/xrc/data/transparent.png: [2888839] - Fix for
	  display of obsolete images. Now a blank checkerboard is displayed if
	  an image is not selected in the list.

2009-11-03  brunopostle

	* [r4700] src/hugin1/hugin/xrc/data/upstream.txt: Hugin no longer
	  includes any jhead code

2009-11-03  erik_krause

	* [r4699] platforms/windows/droplets/index.shtml: Sorry, mistake...
	* [r4698] platforms/windows/droplets/index.shtml: corrected my entry

2009-11-03  yuv

	* [r4697] CMakeLists.txt, authors.txt,
	  src/hugin1/hugin/AboutDialog.cpp, src/hugin1/hugin/AboutDialog.h,
	  src/hugin1/hugin/CMakeLists.txt, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/huginApp.cpp, src/hugin1/hugin/xrc/CMakeLists.txt,
	  src/hugin1/hugin/xrc/about.xrc, src/hugin1/hugin/xrc/about.xrc.in,
	  src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/about.htm.in,
	  src/hugin1/hugin/xrc/data/about.txt,
	  src/hugin1/hugin/xrc/data/sponsors.htm,
	  src/hugin1/hugin/xrc/data/upstream.txt: expanded AboutDialog,
	  currently still toying with the different possibilities.
	  the new Dialog has a tabbed layout. Some tabs read text directly
	  from files
	  (e.g. License). Others display HTML. The Author's HTML tab is
	  generated at
	  build time by CMake from the tabulated list in authors.txt

2009-11-01  michausm

	* [r4689] src/translations/pl.po: Polish translation fixes (Michał
	  Smoczyk): shortened message in Fast Preview window to fit the screen
	  etc.

2009-10-31  yuv

	* [r4688] ChangeLog: updated ChangeLog
	* [r4687] src/hugin1/hugin/xrc/cp_editor_panel.xrc: more convenient
	  placement of fwd/back buttons on crop tab
	* [r4682] src/translations/hu.po: Hungarian translation fixes (Lajos
	  Höss)

2009-10-30  gpatters1

	* [r4681] src/hugin1/hugin/CropPanel.cpp: [2888839] Crop tab retains
	  obsolete images and crashes. Partial fix. No longer crashes, but old
	  image will still be displayed until a new one is selected.

2009-10-27  michausm

	* [r4679] src/translations/pl.po: Updated Polish translation: various
	  fixes, typos and polishing, translated new entries

2009-10-26  yuv

	* [r4678] AUTHORS: turned AUTHORS into a stub pointing to the single
	  list of contributors
	* [r4677] src/hugin1/hugin/xrc/data/about.htm.in: shortened about
	  dialog

2009-10-25  brunopostle

	* [r4675] src/translations/hu.po: Updated Hungarian translation (Lajos
	  Höss)

2009-10-24  yuv

	* [r4668] src/hugin1/hugin/xrc/data/about.htm.in: added Michael
	  Smoczyk to translators in credit screen

2009-10-23  brunopostle

	* [r4667] src/translations/zh_CN.po: Updated Chinese Simplified
	  translation (Lu Fang)
	* [r4666] src/translations/pl.po: Updated Polish translation (Michał
	  Smoczyk)

2009-10-20  yuv

	* [r4657] CMakeLists.txt, src/hugin1/hugin/MainFrame.cpp: cleaner,
	  unified version number, says pre-release everywhere
	  and is set only by CMake
	* [r4654] src/hugin1/hugin/hugin.desktop,
	  src/hugin1/hugin/xrc/data/about.htm.in: capitalize Hugin in the
	  menus (Linux) and about dialog
	* [r4653] src/hugin1/hugin/huginApp.cpp: plausibility checks for
	  window position and size

2009-10-19  blimbo

	* [r4646] src/lens_calibrate/Main.cpp: minor bug fixes, default
	  settings etc

2009-10-16  tmodes

	* [r4640] src/hugin1/hugin/MainFrame.cpp: Fixes warning in
	  MainFrame.cpp

2009-10-16  brunopostle

	* [r4638] src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html:
	  autopano-sift-C version

2009-10-16  yuv

	* [r4634] src/translations/it.po: updated Italian translation
	  (Cristian Marchi)

2009-10-15  brunopostle

	* [r4632]
	  src/hugin1/hugin/xrc/data/help_en_EN/22px-Show_Control_Points_Button.svg.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html: Manual
	  updated to 2009.4.0 features (Vaclav Cerny)

2009-10-15  prokoudine

	* [r4631] src/translations/ru.po: Ported the updated Russian
	  translation from 2009.4 branch

2009-10-14  brunopostle

	* [r4629] src/translations/hu.po: Updated Hungarian translation (Lajos
	  Höss)

2009-10-12  brunopostle

	* [r4623] src/translations/zh_TW.po: Updated Chinese Traditional (Rick
	  Langford)

2009-10-12  yuv

	* [r4619] src/hugin1/hugin/xrc/data/about.htm.in: added Iouri Ivliev
	  to authors (deghosting patch)
	* [r4618] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/ptbatcher/Batch.cpp:
	  better fix for empty strings

2009-10-12  harryvanderwolf

	* [r4616] mac/ExternalPrograms/scripts/gettext.sh: [OSX] script to
	  build gettext for bundle

2009-10-12  tmodes

	* [r4614] src/hugin1/hugin/ImagesPanel.cpp: Fixes small rounding error
	  in EXIF display
	* [r4613] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/MainFrame.h, src/hugin1/hugin/PreviewFrame.cpp,
	  src/hugin1/hugin/PreviewFrame.h, src/hugin1/hugin/xrc/main_menu.xrc:
	  Added full screen mode to main window and preview windows (shortcut
	  F11)
	* [r4612] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: Remove all cloud like cps with one
	  history command
	* [r4611] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/MainFrame.h, src/hugin1/hugin/xrc/main_menu.xrc:
	  Added most recently used project files to Files menu
	* [r4610] src/hugin1/hugin/PanoPanel.cpp: Fix bug in ROI checking

2009-10-12  jlegg

	* [r4609] src/hugin1/hugin/ChoosyRemapper.h,
	  src/hugin1/hugin/GLRenderer.h, src/hugin1/hugin/GLViewer.h,
	  src/hugin1/hugin/MeshManager.h, src/hugin1/hugin/MeshRemapper.h,
	  src/hugin1/hugin/PreviewCropTool.h,
	  src/hugin1/hugin/PreviewDifferenceTool.h,
	  src/hugin1/hugin/PreviewDragTool.h,
	  src/hugin1/hugin/PreviewIdentifyTool.h,
	  src/hugin1/hugin/PreviewPanoMaskTool.h,
	  src/hugin1/hugin/PreviewTool.h: Make fast preview documentation use
	  Doxygen.

2009-10-11  j-schneid

	* [r4608] src/translations/de.po: updated German translation

2009-10-11  yuv

	* [r4603] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/ptbatcher/Batch.cpp:
	  empty messages need not translation - fix gettext warning about
	  empty msgid

2009-10-11  jlegg

	* [r4602] src/hugin1/hugin/PreviewTool.cpp,
	  src/hugin1/hugin/PreviewTool.h: Add a virtual destructor to the
	  PreviewTool class.

2009-10-11  stativ

	* [r4601] src/hugin1/base_wx/ImageCache.cpp: Fixed minor memory leak
	* [r4600] src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h: Added destructors to
	  MyExecPanel, MyExecDialog, MyExternalCmdExecDialog. Fixes several
	  memory leaks.
	* [r4599] src/deghosting/deghosting.h,
	  src/deghosting/deghosting_mask.cpp: Mark exceptions used in
	  deghosting as constant. Path by user argv[0]

2009-10-11  yuv

	* [r4594] ChangeLog: updated changelog

2009-10-08  yuv

	* [r4592] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/NumTransDialog.cpp,
	  src/hugin1/hugin/NumTransDialog.h,
	  src/hugin1/hugin/xrc/preview_frame.xrc: Improved Numeric Transform
	  Dialog

2009-10-08  j-schneid

	* [r4591] src/translations/de.po: Updated a few new strings.

2009-10-06  kornelbenko

	* [r4585] CMakeLists.txt: Add FATAL_ERROR-option to
	  cmake_minimum_required
	  to prevent cmake2.4 from continue on processing

2009-10-06  allardkatan

	* [r4583] platforms/windows/installer/hugin-SDK_allard.iss:
	  installscript that works with current SDK + panomatic
	* [r4582] platforms/windows/installer/CMakeLists.txt: added line for
	  extra installer script

2009-10-06  tmodes

	* [r4581] src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	  src/hugin1/hugin/HDRMergeOptionDialog.h: Bugfix for hdrmerge options
	  dialog (it uses wxSpinCtrl, not wxSpinButton)

2009-10-05  stativ

	* [r4580] src/deghosting/deghosting_mask.cpp: Added const to some
	  constants
	* [r4579] src/deghosting/deghosting_mask.cpp,
	  src/tools/hugin_hdrmerge.cpp: Change default number of iterations.
	* [r4578] .cvsignore, src/foreign/.cvsignore,
	  src/foreign/getopt/src/msvs/.cvsignore,
	  src/foreign/vigra/vigra_impex/.cvsignore, src/hugin1/.cvsignore,
	  src/hugin1/hugin/.cvsignore, src/hugin1/hugin/xrc/.cvsignore,
	  src/hugin1/hugin/xrc/data/.cvsignore,
	  src/hugin1/hugin/xrc/data/help_en_EN/.cvsignore,
	  src/hugin1/hugin/xrc/data/help_fr_FR/.cvsignore,
	  src/hugin1/nona_gui/.cvsignore, src/hugin1/tests/.cvsignore,
	  src/hugin1/tools/.cvsignore, src/hugin_base/vigra_ext/.cvsignore:
	  Removed unnecessary .cvsignore files

2009-10-04  stativ

	* [r4576] src/deghosting/khan.h: Change the verbosity of khan a bit.
	* [r4575] src/tools/hugin_hdrmerge.cpp: Removed unnecessary newline
	  printing.

2009-10-04  north-pole

	* [r4574] src/translations/fr.po: updated French translation

2009-10-03  harryvanderwolf

	* [r4572] src/translations/nl.po: Update dutch translations; typo's
	  and corrections

2009-10-03  yuv

	* [r4571] mac/Version.xcconfig: I forgot to bump OSX version number in
	  trunk, sorry.

2009-10-03  stativ

	* [r4570] src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	  src/hugin1/hugin/HDRMergeOptionDialog.h,
	  src/hugin1/hugin/xrc/pano_panel.xrc: Small changes to the hdrmerge
	  GUI. Fixes crash on Linux.
	  Many thanks to Thomas Modes for help.

2009-10-03  harryvanderwolf

	* [r4569] mac/Hugin.xcodeproj/project.pbxproj: [OSX] fix small but
	  necessary cpclean dependency bug in XCode project

2009-10-03  tmodes

	* [r4566] src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	  src/hugin1/hugin/HDRMergeOptionDialog.h: Fixed some typo.

2009-10-03  vatoz

	* [r4565] src/translations/cs_CZ.po: Update of Czech translations -
	  new strings & some old mistakes

2009-10-03  tmodes

	* [r4564] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/HDRMergeOptionDialog.cpp,
	  src/hugin1/hugin/HDRMergeOptionDialog.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/config_defaults.h, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/panodata/Panorama.cpp: Added options for
	  hugin_hdrmerge to GUI

2009-10-02  yuv

	* [r4557] CMakeLists.txt: fixed location of man pages for FreeBSD
	  (Vasil Dimov)

2009-10-02  harryvanderwolf

	* [r4554] src/translations/nl.po: [OSX] Update dutch translation

2009-10-02  stativ

	* [r4553] src/translations/cs_CZ.po: Fixed typo in Czech translation

2009-10-02  harryvanderwolf

	* [r4551] mac/Hugin.xcodeproj/project.pbxproj: [OSX] merge deghosting
	  into XCode project

2009-10-02  brunopostle

	* [r4550] src/translations/sv.po: Swedish translation update (Ulf
	  Wilhelmson)

2009-10-02  tmodes

	* [r4548] src/lens_calibrate/Main.cpp: Fixes writing of project file
	  output of calibrate_lens

2009-10-02  yuv

	* [r4545] ChangeLog: updated changelog
	* [r4543] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: updated
	  translations
	* [r4540] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/MainFrame.h: use system's browser for all HTML help

2009-10-01  j-schneid

	* [r4539] src/translations/de.po: translated last 3 strings

2009-10-01  yuv

	* [r4537] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PreviewCropTool.cpp: prevent crop to become
	  negative [2871079]

2009-10-01  stativ

	* [r4536] ., CMakeLists.txt, src/deghosting,
	  src/deghosting/CMakeLists.txt, src/deghosting/README.txt,
	  src/deghosting/algtinyvector.h, src/deghosting/deghosting.cpp,
	  src/deghosting/deghosting.h, src/deghosting/deghosting_mask.cpp,
	  src/deghosting/hugin_hdrmerge.cpp, src/deghosting/jbu.cpp,
	  src/deghosting/jbu.h, src/deghosting/khan.cpp,
	  src/deghosting/khan.h, src/deghosting/khanSupport.cpp,
	  src/deghosting/support.h, src/deghosting/threshold.h,
	  src/foreign/getopt/src/getopt.c,
	  src/foreign/vigra/vigra/cachedfileimage.hxx,
	  src/tools/CMakeLists.txt, src/tools/hugin_hdrmerge.cpp: Merged
	  gsoc2009_deghosting branch.

2009-10-01  yuv

	* [r4534] src/translations/fr.po: French translation (Jean-Luc Coulon)

2009-10-01  tmodes

	* [r4532] src/celeste/Main.cpp, src/hugin1/ptbatcher/PTBatcher.cpp,
	  src/lens_calibrate/Main.cpp: Unified version reporting of command
	  line tools

2009-10-01  yuv

	* [r4530] CMakeLists.txt: bumping trunk's version number

2009-09-30  sebpz

	* [r4528] src/hugin1/hugin/CPImageCtrl.cpp,
	  src/hugin1/hugin/MeshRemapper.cpp: Comment out two DEBUG_ASSERT
	  lines that cause crashes.

2009-09-30  brunopostle

	* [r4527] ChangeLog: Switch to new ChangeLog format
	* [r4526] CMakeLists.txt: Rule to make more verbose SVN ChangeLog
	  format
	* [r4525] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: Update
	  translation strings for cpclean
	* [r4524] doc/CMakeLists.txt, doc/Makefile.pod2man,
	  doc/calibrate_lens.1, doc/calibrate_lens.pod, doc/cpclean.1,
	  doc/cpclean.pod: Man pages for calibrate_lens and cpclean

2009-09-30  yuv

	* [r4523] src/translations/fr.po: French Translation [2866621]
	  [2868173] Jean-Luc Coulon

2009-09-29  brunopostle

	* [r4517]
	  src/hugin1/hugin/xrc/data/help_en_EN/4d4d22d9c63b47c6f8fb7825ec5cd1db.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/700px-Autopano-done.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/91ae7fc8fc2b7701135c69552e7379ed.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-align.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-prefs.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-searching.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift-C.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Control_point_generators.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cropped_TIFF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/DSLR_spherical_resolution.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Camera_and_Lens_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_scripting_in_a_nutshell.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Qtvr2img.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/SB_Blended.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/SB_Parallax.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/SB_Parallax_overlapped.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/SmartBlend.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/TIFF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/ab807c8735d25a66b577b029bc0e568f.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/fa5313ae442c1ac7f832c141880e3e74.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Update manual to
	  about 0.8.0 level

2009-09-29  stativ

	* [r4516] src/hugin1/hugin/MainFrame.cpp: Added missing "delete
	  splash;"

2009-09-29  harryvanderwolf

	* [r4514] mac/ExternalPrograms/scripts/panomatic.sh: [OSX] make
	  panomatic.sh script also work on Leopard for Tiger

2009-09-28  stativ

	* [r4507] src/celeste/svm.cpp: Fixed possible resource leak in svm
	* [r4506] src/celeste/training/CelesteTrain.cpp: Fixed memory leak in
	  CelesteTrain

2009-09-27  harryvanderwolf

	* [r4498] mac/ExternalPrograms/scripts/pano13cm.sh: [OSX] add cmake
	  pano13cm.sh script for XCode build. Leave current autoconf pano13.sh
	  script as it is

2009-09-26  harryvanderwolf

	* [r4496] src/hugin_base/vigra_ext/ImageTransforms.h: add
	  unconditional include boost/function.hpp for boost >=1.40; tested to
	  work with lower versions as well (thanks to Andreas Metzler)
	* [r4495] mac/localise-help.sh, mac/localised.sh: [OSX] correct stupid
	  mistake w.r.t. internal bundle linking to english help file for
	  languages without help file. This should now function correctly
	* [r4493] mac/Hugin.xcodeproj/project.pbxproj: [OSX] minor script fix
	  in XCode project (many times forgotten to commit)

2009-09-25  stativ

	* [r4490] src/foreign/vigra/vigra_impex/exr.cxx: Cosmetic: reorder
	  compressions in setCompressionType to match order in
	  desc.compressionTypes.
	* [r4489] src/foreign/vigra/vigra_impex/exr.cxx: Cosmetic change to
	  EXR implementation.

2009-09-25  yuv

	* [r4485] src/hugin1/hugin/xrc/data/about.htm.in: added Vaclav Cerny
	  (translators credits)

2009-09-25  gpatters1

	* [r4484] src/hugin_base/panodata/SrcPanoImage.cpp: Display the
	  original capture date of the image in the EXIF info on the images
	  panel.

2009-09-24  j-schneid

	* [r4483] src/translations/de.po: Fixed a few typos in German
	  translation.

2009-09-24  brunopostle

	* [r4482] src/translations/fr.po: Updated French translation (Jean-Luc
	  Coulon)

2009-09-24  eduperez

	* [r4481] src/translations/es.po: Updated spanish translation: fuzzy
	  strings
	* [r4479] INSTALL_cmake: Small typo corrected
	* [r4478] src/translations/es.po: Correction to spanish translation:
	  detranslate untranslatable terms, as per wiki instrunction
	* [r4477] src/translations/es.po: Updated spanish translation

2009-09-23  yuv

	* [r4475] src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc: fixed persistency of auto
	  fine-tune and auto add
	* [r4473] src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin_config_mac.h: removed some more PANO12 leftovers
	* [r4472] src/hugin1/hugin/xrc/data/about.htm.in: updated credits
	* [r4471] CMakeModules/win_bundle.cmake: added some more thought on
	  how to integrate the upcoming enblend-enfuse 4.0 in the build.
	* [r4470] CMakeModules/win_bundle.cmake: [Windows] add some likely
	  paths for CMake to find libpano and enblend

2009-09-22  harryvanderwolf

	* [r4469] mac/Hugin.xcodeproj/project.pbxproj: [OSX] integrate cpclean
	  into XCode project

2009-09-22  prokoudine

	* [r4468] src/translations/ru.po: Ported Russian translation from
	  2009.2 branch

2009-09-21  brunopostle

	* [r4466] src/translations/zh_TW.po: Chinese traditional update (Rick
	  Langford)

2009-09-21  tmodes

	* [r4465] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/config_defaults.h,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc, src/hugin_base/CMakeLists.txt,
	  src/hugin_base/algorithms/control_points/CleanCP.cpp,
	  src/hugin_base/algorithms/control_points/CleanCP.h,
	  src/tools/CMakeLists.txt, src/tools/cpclean.cpp: Added cp cleaning
	  feature

2009-09-20  kornelbenko

	* [r4461] CMakeLists.txt: Added libpano dependency (for debian only).
	  
	  This means, installing hugin as package would be on debian possible
	  only if there already is a libpano13 package installed.

2009-09-18  yuv

	* [r4449] src/translations/hu.po: updated Hungarian translation (Höss
	  Lajos)

2009-09-18  tmodes

	* [r4442] CMakeModules/FindPANO12.cmake,
	  src/hugin1/base_wx/PTWXDlg.cpp, src/hugin1/base_wx/PTWXDlg.h:
	  Housekeeping

2009-09-17  tmodes

	* [r4437] src/hugin_base/nona/Stitcher.cpp: Fix for compilation on
	  windows

2009-09-17  gpatters1

	* [r4436] src/hugin1/hugin/wxPanoCommand.cpp: [2720906] A better fix
	  for walking through list of CPs while looking for out-of-bounds
	  points.

2009-09-16  yuv

	* [r4432] CMakeLists.txt: removed introduced CMake message to avoid
	  aggravating the life of Windows builder

2009-09-15  harryvanderwolf

	* [r4430] src/hugin_base/vigra_ext/ImageTransforms.h: [OSX] fix
	  ImageTransforms.h; related to boost

2009-09-15  yuv

	* [r4428] CMakeLists.txt, src/hugin_base/hugin_math/hugin_math.h,
	  src/hugin_config.h.in.cmake: simplify log2 fix for FreeBSD and
	  Windows

2009-09-15  blimbo

	* [r4426] src/lens_calibrate/Globals.cpp, src/lens_calibrate/Main.cpp,
	  src/lens_calibrate/find_N8_lines.cpp: No longer needs output dir

2009-09-15  tmodes

	* [r4424] CMakeLists.txt: Fix for log2 function for windows

2009-09-14  brunopostle

	* [r4421] src/translations/sv.po: Updated Swedish translation (Ulf
	  Wilhelmson)
	* [r4420] utils/autopano-noop.sh: script no longer needs to be
	  manually installed

2009-09-14  harryvanderwolf

	* [r4415] mac/ExternalPrograms/scripts/libjpeg-7.sh: [OSX] add new
	  script for libjpeg Version 7

2009-09-14  yuv

	* [r4411] src/hugin1/hugin/xrc/data/about.htm.in: updated translators
	  list
	* [r4410] ChangeLog: updated ChangeLog

2009-09-13  yuv

	* [r4407] src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp:
	  libpano workaround no longer necessary
	  https://sourceforge.net/tracker/?func=detail&aid=2858018&group_id=96188&atid=613954

2009-09-13  brunopostle

	* [r4406] src/translations/zh_TW.po: Updated Chinese Traditional
	  translation (Rick Langford)

2009-09-13  harryvanderwolf

	* [r4398] mac/ExternalPrograms/scripts/SetEnv-universal.txt: [OSX]
	  remove personal path from file
	* [r4396] mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/boost.sh: [OSX] update boost script and
	  Setenv-universal.txt

2009-09-13  yuv

	* [r4394] src/hugin_base/CMakeLists.txt: linking against libglew and
	  libopengl (Andreas Metzler)

2009-09-12  yuv

	* [r4392] src/hugin_base/panodata/PanoramaOptions.cpp: more libpano
	  cleanup

2009-09-12  gpatters1

	* [r4388] src/hugin_base/nona/Stitcher.cpp: [2166837] nona: Only probe
	  relevant images active when stiching more than one image.
	* [r4387] src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.h,
	  src/tools/align_image_stack.cpp: [2837155] align_image_stack will
	  now bailout if there is an error during optimization process.
	* [r4386] src/hugin1/hugin/PanoPanel.cpp: [2292877] - abort if the
	  temporary project file can not be created.

2009-09-12  yuv

	* [r4384] src/hugin1/hugin/CPDetectorConfig_default.h: typo - # is
	  comment in CMake, not in C++

2009-09-11  harryvanderwolf

	* [r4383] src/hugin1/hugin/CPDetectorConfig.cpp: [OSX] MacOSX bundle
	  use AutoCustome CP value which was therefore also used (hidden) for
	  other OSses. I disabled this functionality (not removed) due to the
	  fact that MacOSX now adopted TModes AutoCP generator structure. This
	  needs to be dealt with carefully for the 2009.4 release
	* [r4382] src/hugin1/hugin/CPDetectorConfig_default.h: [OSX] MacOSX
	  bundle comes without default AutoCP generator since mid 2008 as we
	  want to prevent any patent conflicts
	* [r4376] src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/CPDetectorConfig.cpp: [OSX] implement TModes
	  autopano structure to MacOSX
	* [r4374] src/hugin1/base_wx/platform.cpp,
	  src/hugin1/base_wx/platform.h: [OSX] prepare OSX for TModes autopano
	  structure

2009-09-11  tmodes

	* [r4371] src/hugin1/hugin/CPDetectorConfig_default.h: Added default
	  settings for different CP detectors (Win/Linux)

2009-09-11  yuv

	* [r4369] CMakeLists.txt, src/hugin_config.h.in.cmake: support for
	  systems that don't have log2 (e.g. FreeBSD)

2009-09-10  yuv

	* [r4367] src/hugin1/base_wx/RunStitchPanel.cpp: FreeBSD uses gmake,
	  not make (Vasil Dimov)
	* [r4365] CMakeLists.txt, doc/CMakeLists.txt: parametrized location of
	  man pages (idea from Vasil Dimov)
	* [r4361] src/hugin1/base_wx/CMakeLists.txt,
	  src/hugin1/base_wx/PTWXDlg.cpp, src/hugin1/base_wx/PTWXDlg.h,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp, src/hugin1/hugin/huginApp.cpp:
	  restore progress dialog

2009-09-10  dangelo

	* [r4360] src/hugin1/tests/test_projections.cpp,
	  src/hugin1/tools/color_correct_tiff.cpp,
	  src/hugin1/tools/img2vips.cpp,
	  src/hugin1/tools_vips/hdrmerge_vips.cpp,
	  src/hugin1/tools_vips/img2vips.cpp, src/matchpoint/evaluation:
	  Cleaned up license headers in unused tools and removed other
	  older or unused files.

2009-09-10  stereo_sl

	* [r4359] src/matchpoint/java/gauss/Main.java: Added license header to
	  Main.java

2009-09-10  yuv

	* [r4357] CMakeLists.txt, CMakeModules/FindPANO12.cmake,
	  src/hugin1/base_wx/CMakeLists.txt, src/hugin1/base_wx/PTWXDlg.cpp,
	  src/hugin1/base_wx/PTWXDlg.h, src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreviewFrame.cpp, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/ptbatcher/ProjectListBox.cpp,
	  src/hugin_base/panodata/PanoramaOptions.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panotools/PanoToolsInterface.cpp,
	  src/hugin_base/panotools/PanoToolsInterface.h,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp,
	  src/hugin_config.h.in, src/hugin_config.h.in.cmake,
	  src/hugin_config_msvc.h: remove legacy libpano12 support

2009-09-09  brunopostle

	* [r4354] CMakeLists.txt: Remove /whitepaper/ .pdf files without
	  sources from tarball.
	* [r4353] CMakeLists.txt, utils/CMakeLists.txt: Add autopano-noop.sh
	  to install target

2009-09-08  brunopostle

	* [r4351] src/translations/it.po: Updated Italian translation
	  (Cristian Marchi)

2009-09-07  yuv

	* [r4349] src/hugin1/hugin/hugin.vcproj,
	  src/hugin1/nona_gui/nona_gui.vcproj: remove old MSVC build cruft
	  (use CMake now)

2009-09-07  brunopostle

	* [r4346] utils/autopano-noop.sh: Update patching instructions as
	  control point defaults are in a different file
	* [r4345] src/hugin1/hugin/CPDetectorConfig_default.h: Add
	  autopano-sift-c --projection parameter to default on all platforms.
	  This should be safe as this parameter has been supported since
	  2.5.0.

2009-09-07  blimbo

	* [r4342] src/celeste/CMakeLists.txt,
	  src/celeste/training/CMakeLists.txt: celeste_train not built by
	  default

2009-09-07  brunopostle

	* [r4341] src/translations/zh_TW.po: Traditional Chinese update (Rick
	  Langford)

2009-09-06  kornelbenko

	* [r4338] CMakeModules/FindOpenMP.cmake: Temporary commit of
	  FindOpenMP.cmake. To be removed with the new cmake 2.7-Version
	  which already contains this file.

2009-09-06  tmodes

	* [r4336] src/translations/de.po: Updated german translation

2009-09-06  harryvanderwolf

	* [r4334] src/translations/nl.po: Update dutch translation

2009-09-05  harryvanderwolf

	* [r4331] mac/patch-xrc.sh: [OSX] patch patch-xrc.sh script w.r.t.
	  celeste.model
	* [r4330] mac/Hugin.xcodeproj/project.pbxproj: [OSX] Add
	  calibrate_lens code to XCode project

2009-09-05  tmodes

	* [r4328] src/hugin1/hugin/xrc/pref_dialog.xrc: Fixed typo.

2009-09-05  blimbo

	* [r4327] src/lens_calibrate/CMakeLists.txt,
	  src/lens_calibrate/Spline.cpp, src/lens_calibrate/Spline.h: Removed
	  old files
	* [r4326] src/CMakeLists.txt, src/lens_calibrate/CMakeLists.txt,
	  src/lens_calibrate/Globals.h, src/lens_calibrate/MapPoints.h,
	  src/lens_calibrate/ProcessImage.cpp,
	  src/lens_calibrate/ProcessImage.h, src/lens_calibrate/Straighten.h:
	  Added some license stuff, removed jhead

2009-09-05  brunopostle

	* [r4325] CMakeLists.txt: Don't pack new lens_calibrate related
	  binaries
	* [r4323] src/lens_calibrate/Makefile,
	  src/lens_calibrate/cmake_install.cmake: Remove generated files

2009-09-04  blimbo

	* [r4321] src/lens_calibrate/CMakeLists.txt,
	  src/lens_calibrate/Globals.cpp, src/lens_calibrate/Globals.h,
	  src/lens_calibrate/HermiteSpline.h, src/lens_calibrate/Main.cpp,
	  src/lens_calibrate/Makefile, src/lens_calibrate/MapPoints.cpp,
	  src/lens_calibrate/MapPoints.h, src/lens_calibrate/ProcessImage.cpp,
	  src/lens_calibrate/ProcessImage.h, src/lens_calibrate/README,
	  src/lens_calibrate/Straighten.cpp,
	  src/lens_calibrate/cmake_install.cmake,
	  src/lens_calibrate/find_N8_lines.cpp,
	  src/lens_calibrate/lensFunc.cpp, src/lens_calibrate/lensFunc_glue.h:
	  Added lens calibration code.. again
	* [r4320] src/lens_calibrate, src/lens_calibrate/HermiteSpline.c,
	  src/lens_calibrate/Spline.cpp, src/lens_calibrate/Spline.h,
	  src/lens_calibrate/Straighten.h, src/lens_calibrate/find_N8_lines.h,
	  src/lens_calibrate/lensFunc.h, src/lens_calibrate/output,
	  src/lens_calibrate/test_lensFunc.cpp: Added lens calibration code

2009-09-03  brunopostle

	* [r4317] src/translations/es.po: Updated Spanish translation (Eduardo
	  Pérez Esteban)

2009-09-03  yuv

	* [r4314] CMakeLists.txt, src/deghosting/hugin_hdrmerge.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/xrc/data/about.htm.in,
	  src/hugin1/stitch_project/hugin_stitch_project.cpp,
	  src/hugin_version.h.in.cmake, src/tools/align_image_stack.cpp,
	  src/tools/autooptimiser.cpp, src/tools/fulla.cpp,
	  src/tools/nona.cpp, src/tools/pto2mk.cpp, src/tools/tca_correct.cpp,
	  src/tools/vig_optimize.cpp: meaningful display of version
	  information also for CLI tools
	  and for builds from tarball

2009-09-02  harryvanderwolf

	* [r4312] mac/ExternalPrograms/scripts/libtiff.sh: [OSX] modify
	  libtiff script for 64bit build

2009-09-01  yuv

	* [r4308] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: fixed xrc
	  translations

2009-09-01  tmodes

	* [r4307] src/hugin_base/vigra_ext/ImageTransformsGPU.cpp: Fix to make
	  nona_gpu compatible to shader ver. 1.5
	* [r4306] src/hugin1/hugin/PreviewPanel.cpp: Don't use GPU for output
	  of preview window [2535997]

2009-08-31  yuv

	* [r4303] src/translations/de.po: Updated German translation (Joachim
	  Schneider). Original comment:
	  
	  Left only
	  <project1 [output prefix]> <project2 [output prefix]> <project3
	  as fuzzy
	  and the projection names
	  Equisolid, Biplane, Triplane
	  untranslated until somebody comes up with something better.
	  
	  https://sourceforge.net/tracker/?func=detail&atid=550443&aid=2847934&group_id=77506
	* [r4300] src/hugin1/hugin/xrc/data/about.htm.in: added Rick Langford
	  (translator) and Lukáš Jirkovský (developer) to credit screen

2009-08-30  harryvanderwolf

	* [r4296] src/translations/nl.po: Update dutch translation
	* [r4295] mac/Version.xcconfig: [OSX] bump version as well in XCode
	  (should be automatic)

2009-08-30  yuv

	* [r4293] CMakeLists.txt: bump version for next development version

2009-08-29  stativ

	* [r4290] src/translations/cs_CZ.po: Updated Czech translation. Thanks
	  to Vatoz.

2009-08-29  yuv

	* [r4289] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: added new
	  strings for translation
	  http://wiki.panotools.org/Hugin_translation_guide#Developer_info

2009-08-27  harryvanderwolf

	* [r4288] mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin_base/vigra_ext/ImageTransformsGPU.cpp, src/tools/nona.cpp:
	  [OSX] merge nona-gpu, James Legg's CP viewing tool and some
	  unidentified changes into the XCode project

2009-08-27  tmodes

	* [r4287] src/hugin1/hugin/PreferencesDialog.cpp: Ensure that always
	  one CP generator is selected in list
	* [r4286] src/hugin1/stitch_project/hugin_stitch_project.cpp: Fixes
	  translation of stitching window [2836105]

2009-08-27  yuv

	* [r4285] src/hugin1/hugin/PreviewControlPointTool.cpp: fix build on
	  Ubuntu and other platforms (James Legg)

2009-08-26  yuv

	* [r4284] src/hugin1/hugin/xrc/preview_frame.xrc: removed seemingly
	  spurious empty lines to improve readability

2009-08-26  tmodes

	* [r4283] CMakeModules/win_bundle.cmake: Fix to reflect changes in rev
	  4255 and 4256 (only win)

2009-08-25  brunopostle

	* [r4282]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Only put intermediate files in multilayer output.
	  Final stitched images may not be in TIFF format so this failed in
	  those cases.
	* [r4281] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: Update strings
	  for translation
	* [r4280]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Change EV threshold for determining exposure layers.
	  Really needs to become a project option with feedback.
	* [r4279] src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Typos and clarify Stitcher tab
	  label

2009-08-25  harryvanderwolf

	* [r4278] src/hugin1/hugin/PreviewControlPointTool.cpp: [OSX] make
	  JLEGG svn patch 4277 compile on MacOSX

2009-08-25  jlegg

	* [r4277] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h,
	  src/hugin1/hugin/GreatCircles.cpp, src/hugin1/hugin/GreatCircles.h,
	  src/hugin1/hugin/PreviewControlPointTool.cpp,
	  src/hugin1/hugin/PreviewControlPointTool.h,
	  src/hugin1/hugin/xrc/data/preview_control_point_tool.png,
	  src/hugin1/hugin/xrc/data/preview_control_point_tool.svg,
	  src/hugin1/hugin/xrc/preview_frame.xrc: Add control point viewing
	  tool to fast preview.

2009-08-25  acmihal

	* [r4272] src/hugin_base/photometric/ResponseTransform.h: Avoid use of
	  GLSL arrays in radial vignetting correction.

2009-08-24  harryvanderwolf

	* [r4271] CMakeModules/FindGLUT.cmake,
	  src/hugin_base/vigra_ext/ImageTransformsGPU.cpp, src/tools/nona.cpp:
	  Added FindGLUT.cmake to modules for OSX; patched necessary .cpp's

2009-08-24  gpatters1

	* [r4268] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  src/hugin_base/panodata/Panorama.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h: Added option to support
	  Bruno's earlier commit, enabling blending before fusing when
	  creating an LDR exposure fused panorama.

2009-08-23  harryvanderwolf

	* [r4266] src/hugin_base/vigra_ext/ImageTransformsGPU.cpp,
	  src/tools/nona.cpp: [OSX] nona-gpu: make it use openglut framework
	  on OSX; first patching

2009-08-23  gpatters1

	* [r4263] src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/config_defaults.h, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin1/hugin/xrc/pref_dialog.xrc,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Update the Preferences panel to rename the enblend tab to contain
	  all of the stiching options. It now includes default settings for
	  nona, especially enabling the GPU.

2009-08-21  brunopostle

	* [r4258] ChangeLog: update ChangeLog

2009-08-20  brunopostle

	* [r4256] LICENCE: Delete as identical to COPYING (but slightly more
	  out of date)
	* [r4255] LICENCE_JHEAD: Hugin no longer contains any jhead code.

2009-08-17  brunopostle

	* [r4240] src/translations/zh_CN.po: Updated Chinese simplified
	  translation (Lu Fang)

2009-08-17  gpatters1

	* [r4235] src/hugin1/hugin/ImagesPanel.cpp: Fix for display of
	  exposure time when EXIF info does not exist in image.
	* [r4234] src/hugin_base/nona/RemappedPanoImage.h: nona: rectangular
	  cropping now works for images with alpha channels.

2009-08-16  brunopostle

	* [r4232] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po, src/translations/zh_TW.po: Update
	  hugin.pot and .po files.
	  About 22 new strings and quite a few obsoleted.

2009-08-16  gpatters1

	* [r4228] src/hugin1/hugin/PreferencesDialog.cpp: Fix for crash when
	  edit is pressed and no entry is selected in CP Detector preferences
	  tab

2009-08-15  gpatters1

	* [r4219] src/hugin1/hugin/wxPanoCommand.cpp: [2720906] On project
	  load search for an remove any control points outside if the CP
	  specified images
	* [r4211] src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp: [2062016] Do not report
	  an error message if cancel is pressed when creating control points.

2009-08-14  brunopostle

	* [r4209] src/hugin1/hugin/Makefile.equirect.mk,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Transfer multilayer TIFF and PSD rules from plugin to .pto.mk file.
	  Another much requested feature, requires tiffcp and PTtiff2psd.
	  No GUI, for now use one of these:
	  make -f project.pto.mk project_multilayer.tif
	  make -f project.pto.mk project_fused_multilayer.tif
	  make -f project.pto.mk project_multilayer.psd
	  make -f project.pto.mk project_fused_multilayer.psd

2009-08-13  brunopostle

	* [r4207]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Makefile rule to fuse blended exposure layers rather than blend
	  fused stacks.
	  Much requested feature, though not generally useful.
	  Somebody else needs to modify the GUI to make this an option.

2009-08-06  gkohlmeyer

	* [r4175] CMakeLists.txt: Update of CMakeLists.txt to find GLUT in
	  Windows SDK

2009-08-05  yuv

	* [r4169] src/hugin_base/vigra_ext/ImageTransformsGPU.cpp: fix
	  compilation of normalization/photometric shader program -
	  requires shading language v 1.2

2009-08-03  yuv

	* [r4162] INSTALL_cmake, README, README_WINDOWS,
	  doc/batch-processing/README.batch, doc/fulla.html,
	  mac/Documents/ReadMe-Mac.txt,
	  mac/scripted_universal_build/00-Readme.txt,
	  platforms/mac/droplets/apps/_README.txt,
	  platforms/windows/installer/installer_license.txt,
	  src/hugin_base/hugin_utils/Note about utils.txt: spelling fixes
	  (clemty)
	  https://sourceforge.net/tracker/?func=detail&aid=2830701&group_id=77506&atid=550443
	* [r4161] src/foreign/vigra/vigra/numerictraits.hxx: Visual Studio
	  2008 x64 compile fixes (Ryan Sleevi)
	  https://sourceforge.net/tracker/?func=detail&aid=2787607&group_id=77506&atid=550443
	  tested not to break building on ubuntu 9.04

2009-08-03  tmodes

	* [r4157] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/nona_gui/CMakeLists.txt,
	  src/hugin_base/panotools/PanoToolsTransformGPU.cpp,
	  src/hugin_base/vigra_ext/ImageTransformsGPU.cpp,
	  src/hugin_base/vigra_ext/ImageTransformsGPU.h,
	  src/hugin_base/vigra_ext/Interpolators.h, src/tools/CMakeLists.txt:
	  Fixes for compiling nona-gpu on windows

2009-08-03  stativ

	* [r4154] platforms/linux/smartblend: smartblend wrapper: remove -m
	  switch from command line

2009-08-02  yuv

	* [r4149] CMakeLists.txt: make the need for cmake-2.6 explicit (build
	  is broken with cmake-2.4
	  because it does not find boost_thread properly.

2009-08-02  brunopostle

	* [r4148] src/celeste/CMakeLists.txt, src/hugin_base/CMakeLists.txt:
	  revert wrong svn4147, build is broken again with cmake-2.4
	* [r4147] src/celeste/CMakeLists.txt, src/hugin_base/CMakeLists.txt:
	  Fix for older versions of system findBoost module.

2009-08-02  yuv

	* [r4146] CMakeLists.txt, src/CMakeLists.txt,
	  src/hugin1/hugin/huginApp.cpp, src/hugin_base/CMakeLists.txt,
	  src/hugin_base/nona/ImageRemapper.h,
	  src/hugin_base/nona/RemappedPanoImage.h,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panotools/PanoToolsInterface.h,
	  src/hugin_base/panotools/PanoToolsTransformGPU.cpp,
	  src/hugin_base/photometric/ResponseTransform.h,
	  src/hugin_base/vigra_ext/CMakeLists.txt,
	  src/hugin_base/vigra_ext/ImageTransformsGPU.cpp,
	  src/hugin_base/vigra_ext/ImageTransformsGPU.h,
	  src/hugin_base/vigra_ext/Interpolators.h, src/tools/CMakeLists.txt,
	  src/tools/nona.cpp: Merged Andrew Mihal's nona-gpu branch.
	  Thank you, Andrew, for this wonderful feature.
	  May this day be a happy day!

2009-08-01  yuv

	* [r4139] CMakeLists.txt: new numbering scheme: vmajor=YYYY
	  vminor=sequence, odd=development even=release

2009-08-01  tmodes

	* [r4138] src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin_base/panotools/PanoToolsUtils.cpp: Some more fixes for
	  changed locale [2826516]
	* [r4137] src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/xrc/images_panel.xrc: Fix for the increasing
	  preview image [2830104]

2009-07-31  tmodes

	* [r4133] CMakeLists.txt: Update CMake to better find boost on win32
	  (Guido Kohlmeyer)
	* [r4132] src/hugin_base/panodata/Panorama.cpp: More fixes for changed
	  numeric locale [2826516]
	* [r4131] src/celeste/Main.cpp: Fixes finding of model file in
	  celeste_standalone [2828222]

2009-07-30  tmodes

	* [r4128] src/hugin1/hugin/AssistantPanel.cpp: Fix location of celeste
	  model when using assistant
	* [r4127] src/celeste/svm.cpp, src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/LensPanel.cpp,
	  src/hugin_base/panodata/Panorama.cpp: Some fixes for restoring old
	  locale [2826516]

2009-07-28  tmodes

	* [r4120] src/celeste/Main.cpp: Bugfix for celeste_standalone

2009-07-27  tmodes

	* [r4113] src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h: Some formatting of EXIF
	  information
	* [r4112] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Added option to select which
	  preview window is used after align
	* [r4111] src/hugin1/hugin/CPImagesComboBox.cpp: Fix colouring of
	  indication bar for cp distance
	* [r4110] src/hugin1/hugin/MainFrame.cpp: Set correctly window title
	  of hugin [2824137]
	* [r4109] src/hugin1/hugin/LocalizedFileTipProvider.cpp: Provide
	  translatable strings for tip of day dialog [2824100]
	* [r4108] CMakeModules/FindExiv2.cmake: Updated CMake file for
	  Exiv2-0.18.2

2009-07-26  yuv

	* [r4104] CMakeLists.txt, cmake_uninstall.cmake.in: added uninstall
	  target to CMake build
	* [r4103] src/celeste/CMakeLists.txt: fix CMake location of celeste
	  model (Kornel Benko)

2009-07-26  dmg

	* [r4101] src/celeste/CelesteGlobals.cpp: Fixed a minor inconsistency
	  in the license statement: changed colon to semicolon, and and
	  command to semicolon, as it is used in the rest of hugin files

2009-07-25  ippei

	* [r4100] mac/Hugin.xcodeproj/project.pbxproj: Mac: updated the build

2009-07-25  yuv

	* [r4098] src/hugin1/hugin/huginApp.cpp: fix on my previous committ

2009-07-24  yuv

	* [r4097] CMakeLists.txt, src/celeste/CMakeLists.txt,
	  src/celeste/Main.cpp, src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/huginApp.h, src/hugin_config.h.in.cmake: store
	  celeste model in /usr/share/hugin/data/ to make packaging of
	  CLI-tools separate from GUI-tools possible
	  http://sourceforge.net/tracker/?func=detail&aid=2715400&group_id=77506&atid=550441

2009-07-24  gkohlmeyer

	* [r4094] CMakeLists.txt: Fix to find the boost libraries in Windows
	  SDK

2009-07-23  tmodes

	* [r4090] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.h,
	  src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/CPDetectorConfig.cpp,
	  src/hugin1/hugin/CPDetectorConfig.h,
	  src/hugin1/hugin/CPDetectorConfig_default.h,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/MainFrame.h,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreferencesDialog.h,
	  src/hugin1/hugin/config_defaults.h, src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/CMakeLists.txt,
	  src/hugin1/hugin/xrc/cpdetector_dialog.xrc,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Save and use several different
	  configurations of CP generators

2009-07-23  yuv

	* [r4089] README: added known limitation to README

2009-07-22  brunopostle

	* [r4084] CMakeLists.txt, CMakeModules/FindBoost.cmake,
	  src/CMakeLists.txt, src/hugin_base/CMakeLists.txt: make the build
	  system use cmake's own FindBoost module which is way better in
	  detecting the right boost version in case more than one version is
	  installed
	  and especially choosing matching headers and libraries (Tiziano
	  Müller)
	* [r4083] src/foreign/levmar/CMakeLists.txt,
	  src/foreign/vigra/vigra_impex/CMakeLists.txt,
	  src/hugin_base/CMakeLists.txt: make hugin build with
	  LDFLAGS="-Wl,--as-needed" (Tiziano Müller)

2009-07-21  gpatters1

	* [r4081] src/hugin1/hugin/xrc/images_panel.xrc: Correct font encoding
	  error on windows.

2009-07-21  brunopostle

	* [r4080] src/hugin1/hugin/xrc/pano_panel.xrc: Rationalise the
	  enblend/enfuse/hdr labels on the Stitcher tab
	* [r4079] utils/autopano-noop.sh: Make the noop script more useful for
	  people who have autopano-sift-c

2009-07-20  ippei

	* [r4075] src/hugin1/hugin/GLViewer.cpp: Mac: (hopefully) fixed the
	  crash on exit bug on Mac.
	* [r4071] mac/BuildConfig.xcconfig.orig,
	  mac/ExternalPrograms/readme.txt,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/Hugin.xcodeproj/project.pbxproj: Mac: updated external program
	  versions.
	* [r4070] mac/PTBatcherGUI_hack: Mac: have PTBatcherGUI and Hugin
	  "send to batch" work properly on osx. Hacks no longer needed.
	* [r4068] mac/PTBatcherGUI-Info.plist,
	  mac/PTBatcherGUI_hack/Contents/Info.plist,
	  mac/PTBatcherGUI_hack/Contents/MacOS/PTBatcherGui,
	  mac/PTBatcherGUI_hack/Contents/Resources/AppSettings.plist,
	  mac/PTBatcherGUI_hack/Contents/Resources/English.lproj/InfoPlist.strings,
	  mac/PTBatcherGUI_hack/Contents/Resources/English.lproj/MainMenu.nib,
	  mac/PTBatcherGUI_hack/Contents/Resources/appIcon.icns,
	  mac/PTBatcherGUI_hack/Contents/Resources/script,
	  mac/PTBatcherGUI_hack/PTBatcherGUI_hack.sh,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/ptbatcher/Batch.cpp,
	  src/hugin1/ptbatcher/PTBatcherGUI.cpp: Mac: have PTBatcherGUI and
	  Hugin "send to batch" work properly on osx. Hacks no longer needed.

2009-07-19  gpatters1

	* [r4065] src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h: Display EXIF info of image
	  in images tab.

2009-07-19  brunopostle

	* [r4064] src/hugin1/ptbatcher/PTBatcherGUI.cpp: Clarify command-line
	  usage (Bart van Andel)

2009-07-19  yuv

	* [r4060] CMakeLists.txt: new version number 0000.00.0 for trunk

2009-07-08  prokoudine

	* [r4012] src/translations/ru.po: Updated Russian translation

2009-07-08  yuv

	* [r4011] src/translations/it.po: typos

2009-07-07  brunopostle

	* [r4008] ChangeLog: Update ChangeLog for rc5

2009-07-07  yuv

	* [r4007] src/translations/it.po: Italian translation:
	  - "Assemblaggio" instead of "assemblatura"
	  - "orientamento" instead of "orientazione"
	  - "immagine ancora" instead of "ancora immagine" (ancora = anchor,
	  not ancora = more)
	* [r4005] src/hugin1/hugin/TextureManager.cpp: fix potential endless
	  loop (Bart van Andel)
	  http://groups.google.com/group/hugin-ptx/msg/6b530f52b6e0629f

2009-07-07  brunopostle

	* [r3999] src/translations/es.po: Spanish translation update (José
	  Alejandro Carrillo Neira)

2009-07-05  tmodes

	* [r3993] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h: Put wxToggleButtons for images on
	  fast preview frame in a wxPanel to allow colouring from Identify
	  tool under windows

2009-07-01  brunopostle

	* [r3980] src/hugin1/hugin/xrc/data/hugin.png: Fixed-up version of the
	  pixmap icon

2009-07-01  yuv

	* [r3978] src/hugin1/hugin/CPImagesComboBox.cpp: removed rainbow and
	  use single color to qualify quality of link between images.

2009-06-30  yuv

	* [r3975] src/hugin1/hugin/CPImagesComboBox.cpp: Add color / quality
	  indication to CP tab
	  http://groups.google.com/group/hugin-ptx/browse_thread/thread/fbfe40c0fb208c4b

2009-06-28  gpatters1

	* [r3972] src/hugin1/hugin/CPEditorPanel.cpp: [2805325] Fix for
	  assertion triggered when F is pressed during CP creation.

2009-06-25  brunopostle

	* [r3966] src/hugin1/hugin/hugin.xml: .pto files are now 'Hugin
	  projects' not 'PToptimizer scripts'

2009-06-24  harryvanderwolf

	* [r3964] mac/Hugin.xcodeproj/project.pbxproj: [OSX] Remove
	  HAVE_LAPACK settings from XCode project

2009-06-23  tmodes

	* [r3955] src/hugin1/hugin/LensPanel.cpp: Reset panorama ev value
	  after reset exposure values
	* [r3954] src/hugin1/hugin/ResetDialog.cpp: Fixes initialization of
	  combobox in reset dialog

2009-06-18  yuv

	* [r3947] src/hugin1/hugin/xrc/data/about.htm.in: added Thomas Modes
	  to authors in splash screen

2009-06-17  brunopostle

	* [r3945] ChangeLog: Update ChangeLog for rc4

2009-06-17  tmodes

	* [r3944] src/hugin1/PT/PanoImage.h,
	  src/hugin1/hugin/AssistantPanel.cpp, src/hugin1/hugin/LensPanel.cpp,
	  src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin_base/algorithms/basic/StraightenPanorama.cpp,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h,
	  src/tools/align_image_stack.cpp, src/tools/autooptimiser.cpp: More
	  fixes for reading eV value [2805120]

2009-06-14  brunopostle

	* [r3943]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Don't test 'rm' as behaviour is inconsistent across platforms

2009-06-13  gpatters1

	* [r3941] src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/tools/autooptimiser.cpp: [2805120] Fix autoopmitizer from
	  updating the Ev values of images when recomputing the HFOV.

2009-06-12  gpatters1

	* [r3940] src/hugin1/hugin/GLPreviewFrame.cpp: [2801663] - fix for
	  crash when pressing crop button on empty GL preview.

2009-06-10  brunopostle

	* [r3937] src/hugin1/hugin/hugin.desktop,
	  src/hugin1/ptbatcher/PTBatcherGUI.desktop: Hungarian translation
	  (Höss Lajos)

2009-06-09  tmodes

	* [r3929] src/hugin_base/panotools/PanoToolsUtils.cpp: Don't calculate
	  CP error for projects without images (fix for loading of
	  empty/corrupt projects)

2009-06-08  dangelo

	* [r3927] doc/Makefile.am, src/foreign/levmar/Makefile.am,
	  src/hugin1/hugin/Makefile.am, src/hugin1/hugin/xrc/Makefile.am,
	  src/hugin1/hugin/xrc/data/Makefile.am,
	  src/hugin1/hugin/xrc/data/help_common/Makefile.am,
	  src/hugin1/hugin/xrc/data/help_en_EN/Makefile.am,
	  src/hugin1/hugin/xrc/data/help_fr_FR/Makefile.am,
	  src/hugin1/nona_gui/Makefile.am, src/hugin1/tests/Makefile.am,
	  src/hugin1/tools/Makefile.am: removed obselete Makefile.am files.

2009-06-07  stativ

	* [r3925] CMakeLists.txt: Disable LAPACK by default. Enable it by
	  running cmake with -DENABLE_LAPACK=YES.
	* [r3924] CMakeModules/FindLAPACK.cmake: Fixed LAPACK detection on
	  OpenBSD.

2009-06-05  brunopostle

	* [r3923] ChangeLog: Update ChangeLog for rc3

2009-06-05  stativ

	* [r3922]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Fixed test target check for rm on OS X. Thanks to Yulia Kotseruba
	  for the idea.

2009-06-05  tmodes

	* [r3917] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h, src/hugin1/hugin/GLViewer.cpp,
	  src/hugin1/hugin/PreviewDifferenceTool.cpp,
	  src/hugin1/hugin/PreviewDifferenceTool.h: Fixes detection of
	  difference mode capability of Fast Preview Frame
	* [r3916] src/hugin1/hugin/hugin.desktop,
	  src/hugin1/ptbatcher/PTBatcherGUI.desktop, src/translations/de.po:
	  Updated german translation

2009-06-03  dangelo

	* [r3909] src/translations/es.po: updated spanisch translation (Jorge
	  Gonzalez)

2009-06-03  gpatters1

	* [r3908] src/hugin1/hugin/PreviewDragTool.cpp: Fix for GL Preview
	  crash when dragging after image has been removed.

2009-06-02  tmodes

	* [r3906] src/hugin1/hugin/ImagesPanel.cpp: Some more fix for
	  translations with wide characters
	* [r3905] src/hugin1/ptbatcher/Batch.cpp,
	  src/hugin1/ptbatcher/Batch.h, src/hugin1/ptbatcher/BatchFrame.cpp:
	  [PTBatcherGUI] Allow toggling of verbose output window during
	  running batch

2009-06-02  gpatters1

	* [r3904] src/hugin1/hugin/TextureManager.cpp: Fix for slowdown of GL
	  preview after changes made to images.

2009-06-01  brunopostle

	* [r3902] ChangeLog: Update ChangeLog for 0.8.0_rc2
	* [r3901] src/translations/zh_TW.po: Chinese traditional update (Rick
	  Langford)

2009-05-29  gkohlmeyer

	* [r3896] src/hugin1/hugin/TextureManager.cpp: Fixed crash when
	  opening OpenGL preview with image containing alpha channel

2009-05-29  brunopostle

	* [r3893] src/translations/zh_TW.po: Updated Chinese Traditional (Rick
	  Langford)

2009-05-29  tmodes

	* [r3891] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin_base/huginapp/ImageCache.cpp,
	  src/hugin_base/huginapp/ImageCache.h: Image cache use memory setting
	  from preferences dialog

2009-05-27  brunopostle

	* [r3888] src/translations/it.po: Updated Italian translation
	  (Cristian Marchi, Milo Casagrande)

2009-05-27  harryvanderwolf

	* [r3886] mac/ExternalPrograms/scripts/pano13.sh: [OSX] minor update
	  pano13.sh script to use new libpano13-2.9.14

2009-05-26  brunopostle

	* [r3885] src/hugin1/hugin/GLPreviewFrame.cpp: Remove GLEW related
	  segfault on startup caused by second call to glewInit()

2009-05-25  harryvanderwolf

	* [r3884] src/translations/nl.po: minor correction to Dutch
	  translation

2009-05-24  harryvanderwolf

	* [r3882] mac/PTBatcherGUI_hack/PTBatcherGUI_hack.sh: [OSX] make
	  PTBatcherGUI_hack.sh simpler (leftover from previous commit)
	* [r3881] mac/PTBatcherGUI_hack/PTBatcherGUI_hack.sh: [OSX] update
	  PTBatcherGUI_hack.sh: localization in PTBatcgerGui.app now functions

2009-05-24  stativ

	* [r3880] CMakeModules/FindLAPACK.cmake: Commit forgotten CMakeModule
	  necessary for finding LAPACK correctly (module bundled with CMake
	  doesn't work correctly in this case)

2009-05-23  stativ

	* [r3877] CMakeLists.txt, src/CMakeLists.txt,
	  src/foreign/levmar/CMakeLists.txt, src/foreign/levmar/lm.h: Added
	  support for external LAPACK

2009-05-23  tmodes

	* [r3876] src/hugin1/hugin/MainFrame.cpp: Use ProgressReporterDialog
	  for Fine-Tuning, prevents crash, when translation contains wide char
	  (e. g. Chinese)

2009-05-22  harryvanderwolf

	* [r3875] mac/Hugin.xcodeproj/project.pbxproj, mac/PTBatcherGUI_hack,
	  mac/PTBatcherGUI_hack/Contents,
	  mac/PTBatcherGUI_hack/Contents/Info.plist,
	  mac/PTBatcherGUI_hack/Contents/MacOS,
	  mac/PTBatcherGUI_hack/Contents/MacOS/PTBatcherGui,
	  mac/PTBatcherGUI_hack/Contents/Resources,
	  mac/PTBatcherGUI_hack/Contents/Resources/AppSettings.plist,
	  mac/PTBatcherGUI_hack/Contents/Resources/English.lproj,
	  mac/PTBatcherGUI_hack/Contents/Resources/English.lproj/InfoPlist.strings,
	  mac/PTBatcherGUI_hack/Contents/Resources/English.lproj/MainMenu.nib,
	  mac/PTBatcherGUI_hack/Contents/Resources/English.lproj/MainMenu.nib/keyedobjects.nib,
	  mac/PTBatcherGUI_hack/Contents/Resources/appIcon.icns,
	  mac/PTBatcherGUI_hack/Contents/Resources/script,
	  mac/PTBatcherGUI_hack/PTBatcherGUI_hack.sh: [OSX] Add PTBatcherGUI
	  hack, only works on Leopard unfortunately; Add corrected XCode
	  project (for hack)

2009-05-22  tmodes

	* [r3871] src/hugin1/hugin/AssistantPanel.cpp: Progress messages on
	  AssistantPanel use wide string.

2009-05-21  brunopostle

	* [r3870] src/hugin1/hugin/PreferencesDialog.cpp: Add Bulgarian,
	  Chinese Traditional, Korean and Slovenian to the Preferences.
	  These are translatable strings, but it seems better to have the
	  entries even if they are untranslated.
	* [r3869] src/translations/zh_TW.po: Updated Chinese Traditional (Rick
	  Langford)

2009-05-20  brunopostle

	* [r3867] src/hugin1/hugin/Makefile.equirect.mk: revert wrong part of
	  previous commit
	* [r3866] src/hugin1/hugin/Makefile.equirect.mk: Fix broken code
	  checking for enfused/normal panoramas. Put layered output into
	  layered output.

2009-05-19  tmodes

	* [r3865] src/hugin1/hugin/CPImagesComboBox.cpp,
	  src/hugin1/hugin/CPImagesComboBox.h,
	  src/hugin1/hugin/ResetDialog.cpp, src/hugin1/hugin/ResetDialog.h:
	  Set svn:keywords property to Id for CPImagesComboBox and ResetDialog
	* [r3864] src/hugin1/hugin/CPImagesComboBox.cpp,
	  src/hugin1/hugin/CPImagesComboBox.h,
	  src/hugin1/hugin/ResetDialog.cpp, src/hugin1/hugin/ResetDialog.h:
	  Add license header and author for CPImagesComboBox and ResetDialog

2009-05-19  yuv

	* [r3863] src/hugin1/hugin/CPImagesComboBox.cpp: cleanup
	* [r3862] src/hugin1/hugin/CPImagesComboBox.cpp,
	  src/hugin1/hugin/CPImagesComboBox.h: add number of control points to
	  dropdown

2009-05-18  brunopostle

	* [r3861] src/translations/zh_TW.po: Updated Chinese Traditional
	  translation (Rick Langford)

2009-05-17  gpatters1

	* [r3860] src/hugin_base/panodata/SrcPanoImage.h: Removed unnecesary
	  ifdefs for exiv2

2009-05-16  brunopostle

	* [r3859] src/celeste/ContrastFilter.cpp,
	  src/celeste/ContrastFilter.h, src/celeste/GaborFilter.cpp,
	  src/celeste/GaborFilter.h, src/celeste/GaborGlobal.h,
	  src/celeste/GaborJet.cpp, src/celeste/GaborJet.h,
	  src/celeste/ImageFile.cpp, src/celeste/ImageFile.h,
	  src/celeste/LogPolar.cpp, src/celeste/LogPolar.h,
	  src/celeste/PGMImage.cpp, src/celeste/PGMImage.h,
	  src/celeste/Utilities.cpp, src/celeste/Utilities.h,
	  src/celeste/svm.cpp, src/celeste/svm.h: Add license headers for
	  Gapor API and libsvm imported code (Andreas Metzler)
	* [r3858] src/celeste/CMakeLists.txt, src/celeste/Celeste.h,
	  src/celeste/CelesteGlobals.cpp, src/celeste/CelesteGlobals.h,
	  src/celeste/Config.h.linux, src/celeste/Config.h.win32,
	  src/celeste/Gabor.h, src/celeste/training/CMakeLists.txt,
	  src/celeste/training/CelesteTrain.h,
	  src/celeste/training/create_svm_data_10_fold.pl,
	  src/celeste/training/get_flickr_clouds.pl,
	  src/celeste/training/parse_results.pl,
	  src/celeste/training/svm_learn_class_10_fold.pl: Add celeste
	  copyright headers (Andreas Metzler)

2009-05-15  harryvanderwolf

	* [r3856] mac/Hugin.xcodeproj/project.pbxproj: [OSX]adjust XCode
	  project to support complete changeover to exiv2 and removal of jhead

2009-05-15  gpatters1

	* [r3855] src/CMakeLists.txt, src/foreign/CMakeLists.txt,
	  src/foreign/jhead: Removed jhead from build environment entirely.
	* [r3854] src/tools/fulla.cpp: Replaced jhead with exiv2 in fulla.
	* [r3853] CMakeLists.txt, src/hugin1/hugin/LensPanel.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin_base/panodata/SrcPanoImage.cpp: Fixes to add time-series
	  button for non-jpeg images. NOTE: libexiv2 is now required to build
	  hugin.

2009-05-14  brunopostle

	* [r3851] src/translations/zh_TW.po: Chinese Traditional translation
	  (Rick Langford)

2009-05-11  brunopostle

	* [r3847] CMakeLists.txt: wxWidgets >= 2.7.0 required bug #2721752

2009-05-10  brunopostle

	* [r3845] src/hugin1/hugin/AssistantPanel.cpp: Assistant tab -> Align:
	  Use Fast Preview instead of old Preview window

2009-05-09  tmodes

	* [r3844] src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/ProjectListBox.cpp,
	  src/hugin1/ptbatcher/ProjectListBox.h: PTBatcherGUI: Change Prefix
	  shows already choosen prefix to edit

2009-05-08  gkohlmeyer

	* [r3842] CMakeLists.txt, CMakeModules/FindBoost.cmake,
	  CMakeModules/FindExiv2.cmake: Updated CMake files for boost 1.39.0,
	  exiv2-0.18.1 and wxWidgets 2.8.10

2009-05-08  brunopostle

	* [r3840] src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/help_it_IT/CMakeLists.txt: Don't install
	  .txt files with manual

2009-05-08  gkohlmeyer

	* [r3839] src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h,
	  src/hugin1/hugin/PreviewDifferenceTool.cpp: [FIX] Better handling of
	  OpenGL difference tool and OpenGL capabilities detection

2009-05-08  tmodes

	* [r3837] src/hugin1/hugin/CPImagesComboBox.cpp: Right centering of
	  indication bar in image combobox on CP panel

2009-05-07  brunopostle

	* [r3834] doc/CMakeLists.txt, doc/PTBatcherGUI.1,
	  doc/align_image_stack.1, doc/align_image_stack.pod,
	  doc/autooptimiser.1, doc/autooptimiser.pod,
	  doc/celeste_standalone.1, doc/celeste_standalone.pod, doc/fulla.1,
	  doc/fulla.pod, doc/hugin.1, doc/hugin.pod, doc/hugin_hdrmerge.1,
	  doc/hugin_hdrmerge.pod, doc/hugin_stitch_project.1,
	  doc/hugin_stitch_project.pod, doc/nona.1, doc/nona.pod,
	  doc/nona_gui.1, doc/nona_gui.pod, doc/pto2mk.1, doc/pto2mk.pod,
	  doc/tca_correct.1, doc/tca_correct.pod, doc/vig_optimize.1,
	  doc/vig_optimize.pod: Lots of man page updates
	* [r3833] doc/CMakeLists.txt: nona.txt shouldn't be installed to
	  /usr/share/hugin
	* [r3832] src/hugin1/stitch_project/CMakeLists.txt,
	  src/hugin1/stitch_project/hugin_stitch_project.desktop:
	  hugin_stitch_project.desktop is now replaced by PTBatcherGUI.desktop

2009-05-07  harryvanderwolf

	* [r3831] mac/ExternalPrograms/scripts/static/dmalloc.sh: [OSX]
	  (optional) script to build dmalloc libs

2009-05-06  brunopostle

	* [r3830] doc/Makefile.pod2man, doc/PTBatcherGUI.1,
	  doc/PTBatcherGUI.pod, doc/celeste_standalone.1,
	  doc/celeste_standalone.pod, doc/hugin.1, doc/hugin.pod,
	  doc/hugin_stitch_project.1, doc/hugin_stitch_project.pod,
	  doc/nona_gui.1, doc/nona_gui.pod, doc/pto2mk.1, doc/pto2mk.pod,
	  doc/tca_correct.1, doc/tca_correct.pod, doc/vig_optimize.1,
	  doc/vig_optimize.pod: man page updates

2009-05-05  brunopostle

	* [r3827] ChangeLog: Update ChangeLog for 0.8.0_rc1
	* [r3826] src/hugin1/hugin/Makefile.equirect.mk:
	  s/PTTiff2psd/PTtiff2psd/
	* [r3825]
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Camera_and_Lens_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_scripting_in_a_nutshell.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vig_optimize.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Update manual from
	  wiki
	* [r3824] src/hugin1/ptbatcher/PTBatcherGUI.desktop: Fix name in
	  desktop file

2009-05-05  tmodes

	* [r3822] src/hugin1/ptbatcher/PTBatcherGUI.cpp: PTBatcherGUI uses
	  language selected in Hugin [win only]

2009-05-04  brunopostle

	* [r3820] src/hugin1/ptbatcher/CMakeLists.txt,
	  src/hugin1/ptbatcher/PTBatcher.desktop,
	  src/hugin1/ptbatcher/PTBatcherGUI.desktop: Remove Linux desktop file
	  for PTBatcher command-line tool since PTBatcherGUI
	  can now be associated with .pto files.

2009-05-04  stativ

	* [r3818] src/foreign/levmar/misc_core.c: Fixed crash in photometric
	  optimization (#2629418).
	  Thanks to Milan Knížek for extensive help with testing and to nobody
	  who uploaded the fix to the hugin tracker (patch #2055537)

2009-05-04  tmodes

	* [r3817] src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h: More fixes for synchronisation
	  between PTBatcher and PTBatcherGUI (don't access GUI directly in
	  second thread)

2009-05-02  harryvanderwolf

	* [r3816] mac/Hugin.xcodeproj/project.pbxproj: [OSX] some updates to
	  XCode project to facilitate latest changes

2009-05-01  brunopostle

	* [r3815] src/translations/de.po: German translation update (Joachim
	  Schneider)

2009-04-30  tmodes

	* [r3814] src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h,
	  src/hugin1/ptbatcher/PTBatcherGUI.cpp,
	  src/hugin1/ptbatcher/PTBatcherGUI.h: Fixes for setting options of
	  PTBatcherGUI with command line

2009-04-29  tmodes

	* [r3813] src/hugin1/ptbatcher/PTBatcherGUI.cpp: Fixes keyboard
	  handling in PTBatcherGUI
	* [r3812] src/hugin1/ptbatcher/PTBatcherGUI.cpp: Use sockets for
	  interprocess communication with PTBatcherGUI on linux

2009-04-28  brunopostle

	* [r3811] src/translations/zh_CN.po: Updated Simplified Chinese
	  translation #2782589 (Lu Fang)

2009-04-28  tmodes

	* [r3810] src/hugin1/ptbatcher/BatchFrame.cpp: Fixes memory leak in
	  PTBatcherGUI
	* [r3809] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/ptbatcher/BatchFrame.cpp: Send to Batch in Hugin starts
	  PTBatcherGUI and adds project to queue

2009-04-27  brunopostle

	* [r3806] ChangeLog: Update ChangeLog for 0.8.0_beta4

2009-04-26  gpatters1

	* [r3805] src/hugin1/PT/PanoToolsUtils.h: Add last missing file from
	  commit 3803
	* [r3804] src/hugin_base/panotools/PanoToolsUtils.cpp,
	  src/hugin_base/panotools/PanoToolsUtils.h: Add missing files from
	  last commit
	* [r3803] src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin1/hugin/wxPanoCommand.h, src/hugin_base/CMakeLists.txt,
	  src/hugin_base/panotools/PanoToolsOptimizerWrapper.cpp: Compute
	  errors for control points after loading an existing project

2009-04-26  tmodes

	* [r3802] CMakeLists.txt, src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h,
	  src/hugin1/ptbatcher/PTBatcherGUI.cpp,
	  src/hugin1/ptbatcher/PTBatcherGUI.h: Allow only one PTBatcherGUI
	  instance, command line parameters of second start are transfered to
	  first instance (using DDE on windows and TCP over port 4242 on
	  linux)
	* [r3801] src/hugin1/ptbatcher/Batch.cpp,
	  src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h: More fixes for synchronisation
	  between PTBatcherGUI and PTBatcher (safer thread, added wxDIR_HIDDEN
	  to file search flags)

2009-04-24  brunopostle

	* [r3800] src/translations/nl.po: Dutch update, mainly changing
	  'batch' to 'bulk' (Niels Giesen)

2009-04-22  brunopostle

	* [r3799] CMakeLists.txt: Don't put doxygen docs in tarball
	* [r3798] ChangeLog: update ChangeLog

2009-04-22  tmodes

	* [r3797] src/hugin1/ptbatcher/BatchFrame.cpp: Tried to fix a
	  synchronisation issue between ptbatchergui and ptbatcher

2009-04-21  brunopostle

	* [r3796]
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_table.html,
	  src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sl.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po: Fix for svn 3783
	* [r3795] src/translations/es.po: Spanish translation update (Eduardo
	  Pérez)

2009-04-20  tmodes

	* [r3794] src/hugin1/hugin/CPImagesComboBox.cpp,
	  src/hugin1/hugin/CPImagesComboBox.h,
	  src/hugin1/hugin/ResetDialog.cpp, src/hugin1/hugin/ResetDialog.h,
	  src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h: Added some documentation

2009-04-19  brunopostle

	* [r3793]
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_standalone.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Optimization.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Using_Celeste_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vig_optimize.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: wiki manual updates

2009-04-17  tmodes

	* [r3792] src/hugin1/stitch_project/hugin_stitch_project.cpp: Fix for
	  compiler warning in hugin_stitch_project

2009-04-16  brunopostle

	* [r3791] src/dox/headerFile, src/dox/mainpage.dox: more doxygen
	  tweaks
	* [r3790] src/Doxyfile, src/dox/footerFile, src/dox/headerFile: more
	  doxygen tweaks
	* [r3789] src/Doxyfile: update doxygen configuration, this is now
	  updated nightly at
	  http://hugin.sourceforge.net/docs/html/

2009-04-15  brunopostle

	* [r3786] doc/batch-processing/README.batch: update the still
	  incomplete Makefile stitching documentation
	* [r3785]
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_cpeditor_post.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_cpeditor_pre.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_done.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_images_panel.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_preferences.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Celeste_standalone.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pto2mk.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Using_Celeste_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: update manual from
	  wiki

2009-04-12  harryvanderwolf

	* [r3784] src/hugin1/hugin/AutoCtrlPointCreator.cpp: Make error
	  message in case of too many arguments a bit clearer

2009-04-09  yuv

	* [r3783] src/hugin1/hugin/CPListFrame.cpp: capitalize first letters
	  of the column names (Yulia Kotseruba)

2009-04-09  tmodes

	* [r3782] src/hugin1/hugin/xrc/assistant_panel.xrc: Fixes crop of text
	  on assistant tab [2686486]

2009-04-08  yuv

	* [r3781] src/hugin1/hugin/xrc/data/about.htm.in: added Eduardo Pérez
	  Esteban to list of translators in credits
	* [r3780] src/hugin_base/panotools/PanoToolsInterface.cpp:
	  optimization of shear parameters (Dev Ghosh)
	  http://groups.google.com/group/hugin-ptx/msg/3a02914aed434018
	* [r3779] src/translations/es.po: Updated Spanish Translation (Eduardo
	  Pérez Esteban)
	  http://groups.google.com/group/hugin-ptx/msg/87f2b35115254c70

2009-04-06  harryvanderwolf

	* [r3778] mac/ExternalPrograms/scripts/wxmac28.sh: [OSX] Modify
	  wxmac28.sh for use with wxmac 2.8.10

2009-04-06  tmodes

	* [r3777] src/hugin1/hugin/PreviewDifferenceTool.cpp: Activate
	  difference tool also when only the right subset
	  (GL_EXT_blend_substract) of OpenGL extendsion GL_ARB_imaging is
	  available
	* [r3776] src/hugin1/hugin/GLPreviewFrame.cpp: Restore last used blend
	  mode in fast preview window at next startup

2009-04-04  harryvanderwolf

	* [r3775] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: [OSX] Undo patch 3705 after patch
	  3765

2009-04-03  harryvanderwolf

	* [r3774] mac/ExternalPrograms/scripts/enblend.sh: [OSX] correct
	  stupid typo in enblend.sh in last change for commit 3763

2009-04-02  jlegg

	* [r3773] src/hugin1/hugin/GLPreviewFrame.cpp: Fix crash when Hugin
	  was closed without using the fast preview introduced in 3768.

2009-04-01  tmodes

	* [r3772] src/hugin1/hugin/xrc/batch_toolbar.xrc,
	  src/hugin1/hugin/xrc/data/add_project.png,
	  src/hugin1/hugin/xrc/data/add_project.svg,
	  src/hugin1/hugin/xrc/data/add_projects.png,
	  src/hugin1/hugin/xrc/data/add_projects.svg,
	  src/hugin1/hugin/xrc/data/pause.png,
	  src/hugin1/hugin/xrc/data/pause.svg,
	  src/hugin1/hugin/xrc/data/remove_project.png,
	  src/hugin1/hugin/xrc/data/remove_project.svg,
	  src/hugin1/hugin/xrc/data/skip.png,
	  src/hugin1/hugin/xrc/data/skip.svg,
	  src/hugin1/hugin/xrc/data/start.png,
	  src/hugin1/hugin/xrc/data/start.svg,
	  src/hugin1/hugin/xrc/data/stop.png,
	  src/hugin1/hugin/xrc/data/stop.svg: New toolbar icons for
	  PTBatcherGUI
	* [r3771] src/hugin1/hugin/GLViewer.cpp: Redraw fast preview after
	  resize (missing file from last commit)
	* [r3770] src/hugin1/hugin/GLPreviewFrame.cpp: Redraw fast preview
	  after resize

2009-03-31  brunopostle

	* [r3769]
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse_reference_manual.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Tca_correct.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: minor help update

2009-03-30  jlegg

	* [r3768] src/hugin1/hugin/GLPreviewFrame.cpp: Fix bug 2318435: Hugin
	  crashes when Crop is used in OpenGL preview.

2009-03-29  ippei

	* [r3767] src/translations/ja.po: Some progress in Japanese
	  translation, still 98 messages to go.
	* [r3766] src/hugin1/base_wx/MyProgressDialog.cpp,
	  src/hugin1/base_wx/MyProgressDialog.h,
	  src/hugin1/hugin/CPEditorPanel.cpp: Partial implementation of wide
	  character support to the Progress API in ProgressReporterDialog
	  class. Without this, Hugin crashes in Japanese when Celeste is used.
	* [r3765] mac/Hugin.xcodeproj/project.pbxproj, mac/patch-xrc.sh: Mac:
	  celeste model to be installed in the xrc/data dir as with other
	  platforms
	* [r3764] src/hugin1/ptbatcher/BatchFrame.cpp: Mac: open hugin without
	  hugin path

2009-03-29  harryvanderwolf

	* [r3763] mac/ExternalPrograms/scripts/enblend.sh: [OSX] Update
	  enblend script to use zlib. Otherwise Deflate option for tiffs
	  doesn't work

2009-03-28  dangelo

	* [r3762] src/translations/es.po: updates spanish translation (Jorge
	  González)

2009-03-26  brunopostle

	* [r3761] CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/help_en_EN/fetch.sh: exclude some more
	  files from package_source target

2009-03-26  stativ

	* [r3760] src/hugin_base/hugin_utils/platform.h: small whitespace
	  change

2009-03-26  brunopostle

	* [r3759] src/translations/sv.po: Updated Swedish translation (Ulf
	  Wilhelmson)

2009-03-25  brunopostle

	* [r3758] ChangeLog: update

2009-03-24  tmodes

	* [r3757] src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h,
	  src/hugin1/ptbatcher/PTBatcherGUI.h: Added drop target to
	  PTBatcherGUI for directories and project files

2009-03-23  tmodes

	* [r3756] src/hugin1/ptbatcher/Batch.cpp: Fixes crash when not
	  overwriting output in PTBatcherGUI [2696662]

2009-03-21  harryvanderwolf

	* [r3755] src/translations/nl.po: updated dutch translation

2009-03-21  brunopostle

	* [r3754] src/hugin1/hugin/hugin.desktop,
	  src/hugin1/ptbatcher/PTBatcherGUI.desktop,
	  src/hugin1/stitch_project/hugin_stitch_project.desktop: French
	  translations for .desktop files Bug #2694281 (Jean-Luc Coulon)
	* [r3753] CMakeLists.txt: don't pack ptbatcher/* binaries

2009-03-20  tmodes

	* [r3752] src/hugin1/ptbatcher/BatchFrame.cpp: Save explicit changed
	  batch queue in PTBatcherGUI (for synchronisation with PTBatcher)

2009-03-19  blimbo

	* [r3751] src/celeste/Main.cpp: small fix for whitespace issue with
	  celeste_standalone

2009-03-19  tmodes

	* [r3750] src/hugin1/hugin/xrc/batch_toolbar.xrc: Allow toggle of
	  pause button in PTBatcherGUI

2009-03-17  prokoudine

	* [r3749] src/hugin1/ptbatcher/PTBatcher.desktop: added localized
	  lines (ru)
	* [r3748] src/translations/ru.po: updated Russian translation

2009-03-17  brunopostle

	* [r3747] src/translations/hu.po: Hungarian translation update (Höss
	  Lajos)

2009-03-17  tmodes

	* [r3746] src/hugin1/ptbatcher/PTBatcher.cpp: Fix for output of
	  PTBatcher

2009-03-16  brunopostle

	* [r3745] src/translations/fr.po: Updated French translation, note
	  this replaces a lot of strings
	  from yesterday's French update (Jean-Luc Coulon)

2009-03-15  brunopostle

	* [r3744] src/translations/cs_CZ.po: updated Czech translation (Vatoz)
	* [r3743] src/translations/fr.po: updated French translation (RizThon)

2009-03-15  ippei

	* [r3742] src/translations/ja.po: Japanese translation in progress.
	  154 messages to go.
	* [r3741] src/hugin1/ptbatcher/Batch.cpp: made some untranslatable
	  strings to use format properly

2009-03-15  harryvanderwolf

	* [r3740] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: [OSX] fix use of celeste.model
	  within mac bundle after svn3705 patch

2009-03-15  ippei

	* [r3739] src/hugin1/hugin/xrc/data/icon_128x128.psd: The original
	  file of Hugin icon on Mac from back in 2005. Based on the works by
	  Luca Vascon, I have made it transparent making sure it is visible on
	  dark background as well.
	* [r3738] src/hugin1/ptbatcher/BatchFrame.h,
	  src/hugin1/ptbatcher/PTBatcherGUI.h,
	  src/hugin1/ptbatcher/ProjectArray.h,
	  src/hugin1/ptbatcher/ProjectListBox.h: PTBatcher and PTBatcherGUI
	  include statements fixed.

2009-03-15  tmodes

	* [r3737] src/hugin1/ptbatcher/Batch.cpp,
	  src/hugin1/ptbatcher/Batch.h, src/hugin1/ptbatcher/BatchFrame.cpp:
	  Some more fixes for synchronization between PTBatcher and
	  PTBatcherGUI
	* [r3736] src/hugin1/ptbatcher/Batch.cpp,
	  src/hugin1/ptbatcher/Batch.h, src/hugin1/ptbatcher/BatchFrame.cpp:
	  Synchronisation between PTBatcher and PTBatcherGUI [2618908]

2009-03-15  ippei

	* [r3735] mac/Hugin.xcodeproj/project.pbxproj, src/CMakeLists.txt,
	  src/PTBatcher, src/PTBatcherGUI, src/hugin1/CMakeLists.txt,
	  src/hugin1/ptbatcher, src/hugin1/ptbatcher/Batch.cpp,
	  src/hugin1/ptbatcher/Batch.h, src/hugin1/ptbatcher/BatchFrame.cpp,
	  src/hugin1/ptbatcher/BatchFrame.h,
	  src/hugin1/ptbatcher/CMakeLists.txt,
	  src/hugin1/ptbatcher/DirTraverser.h,
	  src/hugin1/ptbatcher/PTBatcher.cpp,
	  src/hugin1/ptbatcher/PTBatcher.desktop,
	  src/hugin1/ptbatcher/PTBatcher.h,
	  src/hugin1/ptbatcher/PTBatcherGUI.cpp,
	  src/hugin1/ptbatcher/PTBatcherGUI.desktop,
	  src/hugin1/ptbatcher/PTBatcherGUI.h,
	  src/hugin1/ptbatcher/PTBatcherGUI_rc.aps,
	  src/hugin1/ptbatcher/PTBatcherGUI_rc.rc,
	  src/hugin1/ptbatcher/PTBatcher_rc.aps,
	  src/hugin1/ptbatcher/PTBatcher_rc.rc,
	  src/hugin1/ptbatcher/ProjectArray.cpp,
	  src/hugin1/ptbatcher/ProjectArray.h,
	  src/hugin1/ptbatcher/ProjectListBox.cpp,
	  src/hugin1/ptbatcher/ProjectListBox.h,
	  src/hugin1/ptbatcher/RunStitchFrame.cpp,
	  src/hugin1/ptbatcher/RunStitchFrame.h: moved PTBatcher/ and
	  PTBbatcherGUI/ with wxWidgets dependency to hugin1/ptbatcher/

2009-03-14  brunopostle

	* [r3734] src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhc,
	  src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhk: Italian link for
	  Italian manual (pabloj)
	* [r3733] doc/autooptimiser.1, doc/autooptimiser.pod: minor
	  documentation change

2009-03-14  harryvanderwolf

	* [r3732] mac/localise-help.sh, mac/localised.sh: [OSX] updates to
	  localisation neccessary for added italian help files
	* [r3731] mac/Hugin.xcodeproj/project.pbxproj: update of XCode project
	  due to changes in svn3694

2009-03-14  tmodes

	* [r3730] src/hugin1/hugin/huginApp.cpp: Fix for wrong position of
	  statusbar when starting maximized [2075073]
	* [r3729] src/PTBatcherGUI/BatchFrame.cpp,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/huginApp.cpp: Fix
	  for Hugin starts only once from PTBatcherGUI [2194458]
	* [r3728] src/hugin1/hugin/xrc/data/gl_preview.png,
	  src/hugin1/hugin/xrc/data/gl_preview.svg,
	  src/hugin1/hugin/xrc/data/preview.png,
	  src/hugin1/hugin/xrc/data/preview.svg: Draw disabled toolbar icons
	  not as block [2659761]

2009-03-13  stativ

	* [r3727] src/hugin1/hugin/xrc/data/about.htm.in: Changed year to the
	  current year in about dialog

2009-03-13  tmodes

	* [r3726] src/PTBatcherGUI/BatchFrame.cpp,
	  src/PTBatcherGUI/PTBatcherGUI.cpp: More fixes for translation of
	  PTBatcherGUI

2009-03-12  brunopostle

	* [r3724] ChangeLog: update

2009-03-12  tmodes

	* [r3723] src/hugin1/hugin/GLPreviewFrame.cpp: Fix filename tooltip in
	  fast preview window [2491645]

2009-03-12  stereo_sl

	* [r3722] src/translations/sl.po: * added slovenian translation. Tips
	  are not yet translated.

2009-03-11  gkohlmeyer

	* [r3721] src/celeste/CelesteGlobals.cpp,
	  src/celeste/ContrastFilter.cpp, src/celeste/GaborFilter.cpp,
	  src/celeste/GaborJet.cpp, src/celeste/LogPolar.cpp,
	  src/celeste/Utilities.cpp, src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.cpp,
	  src/hugin1/hugin/VertexCoordRemapper.cpp: Code cosmetics to get rid
	  of MSVC compiler warnings C4244, C4305 and C4800
	* [r3720] src/hugin_base/panotools/PanoToolsInterface.h: [FIX]
	  Initialize pointer to prevent crash on change of projections in
	  OpenGL preview

2009-03-11  stativ

	* [r3719]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Changed all tests to be non-fatal. This will be probably changed
	  after 0.8 release.

2009-03-11  tmodes

	* [r3718] src/PTBatcherGUI/BatchFrame.cpp,
	  src/PTBatcherGUI/BatchFrame.h, src/PTBatcherGUI/PTBatcherGUI.cpp,
	  src/PTBatcherGUI/ProjectListBox.cpp,
	  src/PTBatcherGUI/ProjectListBox.h,
	  src/hugin1/hugin/xrc/CMakeLists.txt,
	  src/hugin1/hugin/xrc/batch_frame.xrc,
	  src/hugin1/hugin/xrc/batch_menu.xrc,
	  src/hugin1/hugin/xrc/batch_toolbar.xrc: Modified PTBatcherGUI to use
	  xrc resource files

2009-03-10  stativ

	* [r3716] src/hugin1/base_wx/RunStitchPanel.cpp: Do not run test
	  target on Windows. Hopefully it will get fixed later, but now it
	  completely breaks stitching.

2009-03-09  gkohlmeyer

	* [r3715] src/hugin1/hugin/PreviewDifferenceTool.cpp: [FIX] Activate
	  difference tool only if OpenGL extension GL_ARB_imaging is available

2009-03-08  brunopostle

	* [r3714] ChangeLog: update
	* [r3712] CMakeLists.txt: Fix binary package generator (Kornel Benko)
	* [r3711]
	  src/hugin1/hugin/xrc/data/help_en_EN/0a647fdd7aa9d6bbb8633f8f034bb50e.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/16bit_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/21cb21c7c1de5b4c61da90794c62bc1a.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/24597ccab188a3598a0828c69e380228.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/29e2300eb2f198d830f04682f14872e2.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/3016f25d3d1249eab1305b78b0b82d3d.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/312418a7fcf9d47adc8e5683e89c58cd.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/428px-Local-analysis-window.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/44ab04cdf6dce93c3e7a7cb1d00e8c83.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/4d2df1ec22beeb53124bd8941ea0db11.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/4e84c278c8ff9bd39bd309031bd3fab4.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/4f16f3edffeeede179fcfeedd155175c.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/531px-Smooth-edge.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/545px-Sharp-edge.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/565px-Gaussian.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/57b296711670bf47db3e71c9f866abad.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/581px-Entropy.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/586px-Laplacian-of-gaussian.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/5a34bb082daf037b3c4b14c13af6855b.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/602px-Entropy-cutoff.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/7410666dfcbeeaa522ddf92427bc74ba.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/7ab63d1bb57f091d55507c4c4c582f03.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/84aad7e0b33f2a1c47ed32902df4f3f3.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/8c2849b63c6f416da3d028b8f8584027.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Align_a_stack_of_photos.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Align_image_stack.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Alpha_channel.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Aspect_Ratio.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autooptimiser.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift-C.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano-sift.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Banding.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Barrel_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Bracketing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/CCD.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Camera_response_curve.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Chromatic_aberration.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Color_correct_tiff.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Colour_profile.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Crop_factor.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cropped_TIFF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_panorama.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Depth_of_Field.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Dust_Removal_with_Flatfield.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Dynamic_range.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/EXIF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enblend.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enblend_reference_manual.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse_reference_manual.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Entrance_pupil.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Fisheye_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Focal_Length.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Freepv.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Fulla.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/GIF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Gamma.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Horizontal_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Assistant_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Batch_Processor.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Camera_and_Lens_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_table.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Crop_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Exposure_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Keyboard_shortcuts.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Optimizer_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolation.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/JPEG.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Landscape.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lens_correction_model.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lens_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/MatchPoint.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/NPP.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nadir.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/No-parallax_point.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nodal_Point.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nona.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nona_gui.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/OpenEXR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Optimization.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PNG.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PPI.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PSD.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTOptimizer.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTStitcher.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTblender.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTmender.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTtiff2psd.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pano12.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoinfo.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panomatic.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_formats.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_tools.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panotools.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Parallax.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pincushion_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pitch.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Portrait.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/QTVR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/RAW.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/RGBE.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Rectilinear_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Roll.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Spherical.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Stereographic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Straight_line_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/TIFF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Tone_mapping.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vertical_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vignetting.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Wavy_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Yaw.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Zenith.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/a70d0c9b2e529c999ec05569e1638668.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/a957404c96e59f1746f97ab668c8e1f8.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/b79407c343611ecb4ce1d32612c4450e.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/bfe8b8159acf66b3ea23c52611fb819a.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/c0b5b12823e29c77eb078c88f073ca53.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/ce281f4af694833d9a03cde3b6fd5e09.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/de5e907611af21c23afe7d0e24d2c1ae.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/dewiki.pl,
	  src/hugin1/hugin/xrc/data/help_en_EN/f103730f19548bcf3e7bc170fb1f7860.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/f44fbe128fd280b77a856b2275d7a655.png:
	  update manual from wiki
	* [r3710] src/PTBatcherGUI/ProjectListBox.cpp,
	  src/PTBatcherGUI/ProjectListBox.h: More fixes for PTBatcherGUI i18n
	  (Thomas Modes)

2009-03-06  brunopostle

	* [r3709] src/hugin1/hugin/xrc/data/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhc,
	  src/hugin1/hugin/xrc/data/help_en_EN/hugin.hhk,
	  src/hugin1/hugin/xrc/data/help_it_IT/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Barrel_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/help_it_IT/Chromatic_aberration.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Control_points.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cubic.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cubic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cylindrical.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cylindrical_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Dust_Removal_with_Flatfield.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Enblend.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Fisheye_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Focal_Length.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Batch_Processor.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Interpolation.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Lens_correction_model.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panorama_formats.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Parallax.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Pincushion_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Projections.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Rectilinear_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Stereographic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Wavy_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/relink-images.pl: Integrate
	  Italian help docs, needs testing

2009-03-06  stativ

	* [r3708] src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Added test target to panorama makefile

2009-03-06  brunopostle

	* [r3707] src/hugin1/hugin/xrc/data/help_it_IT,
	  src/hugin1/hugin/xrc/data/help_it_IT/16bit_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Align_a_stack_of_photos.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Align_image_stack.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Alpha_channel.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Aspect_Ratio.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Autooptimiser.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Autopano-sift-C.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Autopano-sift.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Autopano.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Banding.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Barrel_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Bracketing.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/CCD.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Camera_response_curve.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Chromatic_aberration.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Color_correct_tiff.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Colour_profile.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Control_points.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Crop_factor.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cropped_TIFF.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cubic.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cubic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cylindrical.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cylindrical_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Cylindrical_panorama.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Depth_of_Field.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Dust_Removal_with_Flatfield.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Dynamic_range.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/EXIF.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Enblend.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Entrance_pupil.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Fisheye_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Focal_Length.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Freepv.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Fulla.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/GIF.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Gamma.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/HDR.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/HDR_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Horizontal_control_points.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Assistant_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Batch_Processor.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Batch_Stitcher.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Camera_and_Lens_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Control_Points_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Control_Points_table.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Crop_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Exposure_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Keyboard_shortcuts.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Optimizer_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Interpolation.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/JPEG.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Landscape.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Lens_correction_model.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Lens_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/MatchPoint.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/NPP.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Nadir.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/No-parallax_point.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Nodal_Point.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Nona.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Nona_gui.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/OpenEXR.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Optimization.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PNG.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PPI.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PSD.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PTOptimizer.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PTStitcher.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PTblender.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PTmender.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/PTtiff2psd.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Pano12.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panoinfo.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panomatic.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panorama.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panorama_formats.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panorama_tools.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Panotools.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Parallax.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Perspective_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Pincushion_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Pitch.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Portrait.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Projections.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/QTVR.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/RAW.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/RGBE.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Rectilinear_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Roll.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Spherical.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Stereographic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Straight_line_control_points.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/TIFF.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Tone_mapping.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Vertical_control_points.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Vignetting.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Wavy_distortion.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Yaw.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/Zenith.html,
	  src/hugin1/hugin/xrc/data/help_it_IT/license.html: Italian manual,
	  needs integrating (Cristian)

2009-03-04  gkohlmeyer

	* [r3706] src/hugin1/hugin/GLViewer.cpp, src/hugin1/hugin/GLViewer.h:
	  [Win32] Fix of flicker effect on redraw in OpenGL preview
	* [r3705] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: Simplified determination of
	  celeste model file name on XRC path; Conforming result dialogs for
	  celeste

2009-03-04  yuv

	* [r3704] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPListFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin1/hugin/PanoDruid.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreviewFrame.cpp, src/hugin1/hugin/ResetDialog.cpp,
	  src/hugin1/hugin/RunStitcherFrame.cpp: cleanup redundancy
	  MainFrame::Get()->GetXRCPath() - huginApp::Get()->GetXRCPath(). may
	  still have clean up potential in MainFrame.cpp and MainFrame.h
	* [r3702] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: fix: fixed path for celeste model
	  file breaks Windows installer

2009-03-03  brunopostle

	* [r3699] src/celeste/Gabor.cpp: Fix for celeste_standalone crash bug
	  #2534940 (anon)

2009-03-02  brunopostle

	* [r3698] src/translations/de.po: Update German translation (Joachim
	  Schneider)
	* [r3697] src/deghosting/hugin_hdrmerge.cpp: hugin_hdrmerge -h should
	  return success (Lukáš Jirkovský)
	* [r3696] CMakeLists.txt, ChangeLog: make package_source: create
	  tar.bz2 tarball instead of tar.Z
	* [r3695] src/hugin_base/hugin_utils/utils.cpp,
	  src/hugin_base/panodata/PTScriptParsing.cpp: Fixes for gcc-4.4.0
	  (Caolán McNamara)

2009-03-01  brunopostle

	* [r3694] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/LensPanel.h,
	  src/hugin1/hugin/ResetDialog.cpp, src/hugin1/hugin/ResetDialog.h,
	  src/hugin1/hugin/huginApp.cpp, src/hugin1/hugin/xrc/CMakeLists.txt,
	  src/hugin1/hugin/xrc/lens_panel.xrc,
	  src/hugin1/hugin/xrc/reset_dialog.xrc,
	  src/hugin_base/panodata/SrcPanoImage.cpp,
	  src/hugin_base/panodata/SrcPanoImage.h, src/translations/bg.po,
	  src/translations/ca_ES.po, src/translations/cs_CZ.po,
	  src/translations/de.po, src/translations/en_GB.po,
	  src/translations/es.po, src/translations/fr.po,
	  src/translations/hu.po, src/translations/hugin.pot,
	  src/translations/it.po, src/translations/ja.po,
	  src/translations/ko.po, src/translations/nl.po,
	  src/translations/pl.po, src/translations/pt_BR.po,
	  src/translations/ru.po, src/translations/sk.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po: Add 'Reset...' button to Camera and Lens
	  tab + 8 new translation strings (Thomas Modes)

2009-03-01  stativ

	* [r3693] src/PTBatcher/PTBatcher.cpp, src/hugin1/hugin/PanoPanel.cpp:
	  Changed wxConvUTF8 in PTBatcher to wxConvLocal. It should fix
	  problems with non ASCII characters under Windows.
	* [r3692] src/hugin1/hugin/PanoPanel.cpp: Some fix for UTF-8 with Send
	  to batch. It should fix bug #2618889.

2009-03-01  ippei

	* [r3691] src/PTBatcherGUI/BatchFrame.cpp: Mac: edit in Hugin fixed.

2009-02-28  brunopostle

	* [r3690] ChangeLog: update ChangeLog from svn
	* [r3689] src/hugin1/hugin/xrc/data/help_en_EN/Align_image_stack.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enblend_reference_manual.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse_reference_manual.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Entropy-cutoff.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Entropy.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Gaussian.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Laplacian-of-gaussian.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Local-analysis-window.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Sharp-edge.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Smooth-edge.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Update manual from
	  wiki
	* [r3688] CMakeLists.txt: set CPACK_PACKAGE_CONTACT & SET_DESTDIR
	  (Kornel Benko)

2009-02-28  harryvanderwolf

	* [r3687] mac/localised.sh: [OSX] Only english and french help pages
	  available in bundle. Softlink all other languages to english help
	  pages in bundle

2009-02-28  ippei

	* [r3686] mac/ExternalPrograms/readme.txt,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/Hugin.xcodeproj/project.pbxproj: Mac: updated external
	  libraries.
	* [r3685] src/PTBatcherGUI/BatchFrame.cpp,
	  src/PTBatcherGUI/PTBatcherGUI.cpp: Mac: fixed Mac specific codes.
	* [r3684] mac/localise-help.sh: Mac: Help files now properly handled
	  for English and French.
	* [r3683] mac/Hugin-Info.plist, mac/base_wx-Info.plist,
	  mac/hugin_base-Info.plist, mac/hugin_stitch_project-Info.plist,
	  mac/nona_gui-Info.plist, mac/vigra_impex-Info.plist: Mac: Info files
	  version description revised.
	* [r3682] mac/Hugin.xcodeproj/project.pbxproj,
	  mac/PTBatcherGUI-Info.plist, mac/celeste-Info.plist,
	  mac/complete-bundle.sh, mac/copyExifTool.sh, mac/patch-xrc.sh: Mac:
	  compilation fixed for celeste and PTBatcherGUI.

2009-02-28  brunopostle

	* [r3681] src/hugin1/hugin/CPImagesComboBox.cpp: Shorten filename when
	  control-point indication bar overlaps in pull-down menu (Thomas
	  Modes)

2009-02-28  stativ

	* [r3680] src/PTBatcher/Batch.cpp: Use absolute paths in PTBatcher
	  queue. Fixes 'Missing' problem.
	* [r3679] src/PTBatcher/PTBatcher.cpp: Hopefully fixed UTF-8 support
	  with PTBatcher

2009-02-28  gkohlmeyer

	* [r3678] CMakeModules/FindBoost.cmake, CMakeModules/win_bundle.cmake:
	  Update of CMake files for boost 1.38.0

2009-02-27  dangelo

	* [r3676] src/translations/sk.po: updated slovak translation (Jozef
	  Riha)

2009-02-26  erik_krause

	* [r3674] platforms/windows/droplets/enfuse_droplet_360.bat:
	* [r3673] platforms/windows/droplets/enblend_droplet_360.bat:

2009-02-26  brunopostle

	* [r3672] doc/nona.txt: Note 'v' and 'c' lines
	* [r3671] doc/nona.txt: Note Ra,Rb,Rc,Rd,Re EMoR parameters

2009-02-25  pooh22

	* [r3670] src/translations/nl.po: Very rough translation, not tested
	  in running version, but it's a start.

2009-02-25  stativ

	* [r3669] src/hugin_base/algorithms/optimizer/PTOptimizer.cpp: Doesn't
	  override a,b,c,d settings after using Align.
	* [r3668]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Beautified PanoramaMakefileExport.cpp

2009-02-24  brunopostle

	* [r3667] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h,
	  src/hugin1/hugin/CPImagesComboBox.cpp,
	  src/hugin1/hugin/CPImagesComboBox.h, src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc: Add hints to Control Point
	  tab pull down lists (Thomas Modes)
	* [r3666] src/translations/sv.po: Updated Swedish translation (Ulf
	  Wilhelmson)

2009-02-23  brunopostle

	* [r3665] ChangeLog: update ChangeLog

2009-02-22  gkohlmeyer

	* [r3663] CMakeLists.txt, CMakeModules/FindBoost.cmake: Updated CMake
	  files to find easily static windows boost libraries in SDK

2009-02-20  brunopostle

	* [r3662] src/PTBatcher/Batch.cpp, src/PTBatcher/Batch.h: Make
	  PTBatcherGUI translatable (Thomas Modes)
	* [r3661] src/PTBatcher/Batch.cpp: "Batch" is internal string not for
	  translation (Thomas Modes)

2009-02-20  stativ

	* [r3660] platforms/linux/smartblend: Removed renaming of outputfile
	  from smartblend wrapper, because it breaks it's use as an
	  alternative enblend program (exiftool tries to use non-existing
	  file).
	* [r3659] platforms/linux/smartblend: More fixes to smartblend
	  wrapper.
	* [r3658] src/hugin_base/panodata/SrcPanoImage.cpp: Fix crash with
	  Canon (and maybe other) RAW image import. Note that RAW input is
	  still not supported.
	* [r3657] CMakeModules/FindJPEG.cmake, CMakeModules/FindPNG.cmake,
	  CMakeModules/FindTIFF.cmake, CMakeModules/FindZLIB.cmake,
	  src/PTBatcher/Batch.cpp, src/PTBatcher/Batch.h,
	  src/PTBatcher/PTBatcher.cpp, src/PTBatcher/PTBatcher.h,
	  src/PTBatcher/ProjectArray.cpp, src/PTBatcherGUI/BatchFrame.cpp,
	  src/PTBatcherGUI/BatchFrame.h, src/PTBatcherGUI/DirTraverser.h,
	  src/PTBatcherGUI/PTBatcherGUI.cpp,
	  src/PTBatcherGUI/ProjectListBox.cpp,
	  src/PTBatcherGUI/ProjectListBox.h,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Unify line endings to \n
	* [r3656] platforms/linux/smartblend: Remove --gpu parameter from
	  smartblend parameters

2009-02-19  yuv

	* [r3653] platforms/windows/installer/hugin.iss,
	  platforms/windows/installer/hugin_no_patents.iss: added celeste and
	  PTBatcher to InnoSetup installer

2009-02-17  brunopostle

	* [r3652] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sv.po,
	  src/translations/uk.po, src/translations/zh_CN.po: Add PTBatcher
	  strings
	* [r3651] src/PTBatcher/Batch.cpp, src/PTBatcher/ProjectArray.cpp,
	  src/PTBatcherGUI/BatchFrame.cpp, src/PTBatcherGUI/PTBatcherGUI.cpp,
	  src/PTBatcherGUI/ProjectListBox.cpp: Attempt to get PTBatcher
	  translation working by replacing _T() with _()

2009-02-16  stativ

	* [r3649] src/foreign/vigra/vigra_impex/exr.cxx: Added support for B44
	  compression with OpenEXR 1.6

2009-02-14  brunopostle

	* [r3647] src/hugin1/hugin/GLViewer.cpp: Fix for crash when open fast
	  preview window, bug #2535030
	* [r3646] src/foreign/vigra/vigra_impex/exr.cxx: Fix compilation with
	  OpenEXR 1.4.0

2009-02-13  stativ

	* [r3645] src/PTBatcher/Batch.cpp, src/PTBatcherGUI/BatchFrame.cpp,
	  src/hugin1/hugin/PanoPanel.cpp: Use home directory for storing
	  PTBatcher batch queue instead of temp dir which caused quite serious
	  security problems.

2009-02-12  stativ

	* [r3644] src/foreign/vigra/vigra_impex/exr.cxx: Added support for
	  differerent compression algorithms to the Vigra's OpenEXR
	  implementation. Note that Hugin doesn't make use of it yet.
	* [r3643] src/hugin_base/hugin_utils/platform.h: Escape ^ in makefile
	  on Windows. Even thought it's not necessary make interprets \^ as ^
	  which causes problems with folders starting with ^.

2009-02-12  brunopostle

	* [r3642] src/PTBatcherGUI/BatchFrame.cpp: Fix Batch Processor help
	  link

2009-02-11  brunopostle

	* [r3641] src/hugin1/hugin/Makefile.equirect.mk,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Define some variables in the .pto.mk file to give plugin Makefiles
	  hints about
	  what kind of panorama it is: HUGIN_PROJECTION HUGIN_HFOV HUGIN_WIDTH
	  HUGIN_HEIGHT DO_LDR_BLENDED DO_LDR_STACKED_BLENDED DO_HDR_BLENDED.
	  Use them in
	  the example plugin Makefile.

2009-02-11  stativ

	* [r3640] src/hugin_base/hugin_utils/platform.h: Second part to the
	  previous fix. Also do not escape colon in escapeStringMake() in
	  Windows as it breaks use of absolute pathnames and it's not
	  neccessary as : is not allowed to use in filename.
	* [r3639] src/hugin_base/hugin_utils/platform.h: Fix problem with
	  makefile when absolute paths are used.

2009-02-10  brunopostle

	* [r3638] README: Note that gnu make is required for stitching
	* [r3637] ChangeLog, README: housekeeping
	* [r3636]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Fix stack detection when spanning 180 degree boundary, bug #2084923

2009-02-10  stativ

	* [r3635] src/hugin1/PT/utils.h,
	  src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin1/hugin/MainFrame.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  src/tools/pto2mk.cpp: Export temp directory settings to makefile, so
	  programs invoked by make can use it. Should fix bug #2036114.

2009-02-09  gkohlmeyer

	* [r3634] CMakeLists.txt, CMakeModules/FindBoost.cmake,
	  CMakeModules/FindExiv2.cmake: Updated cmake files for new hugin SDK;
	  may rise problems due to naming of wxWidgets directory

2009-02-08  brunopostle

	* [r3633] src/hugin1/hugin/xrc/data/help_en_EN/Gl_preview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_center_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_edit_add.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_filenew.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_fileopen.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_filesave.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_filesaveas.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_fit_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_info.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_list.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_optimize.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_auto_update.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_num_transform.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_show_all.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_show_none.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_redo.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_reload.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_straighten_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_undo.png: Update manual
	* [r3632] src/hugin1/hugin/PanoPanel.cpp, src/translations/bg.po,
	  src/translations/ca_ES.po, src/translations/cs_CZ.po,
	  src/translations/de.po, src/translations/en_GB.po,
	  src/translations/es.po, src/translations/fr.po,
	  src/translations/hu.po, src/translations/hugin.pot,
	  src/translations/it.po, src/translations/ja.po,
	  src/translations/ko.po, src/translations/nl.po,
	  src/translations/pl.po, src/translations/pt_BR.po,
	  src/translations/ru.po, src/translations/sk.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po: Attempt to provide translatable strings
	  for projection names
	* [r3631] src/translations/de.po: Fix mismatching `msgid' and `msgstr'
	  entries (Harry van der Wolf)

2009-02-07  stativ

	* [r3630] platforms/linux/smartblend,
	  platforms/linux/smartblend.README: Some polishing to the smartblend
	  wrapper. Now it also removes --compresion with numerical value (for
	  JPEG files). Use wine's return value as a return value of script.
	  Added possibility to override settings by setting SMARTBLEND
	  variable.

2009-02-06  brunopostle

	* [r3629] src/translations/de.po: German translation update (Joachim
	  Schneider)
	* [r3628] src/hugin1/hugin/xrc/data/info.png,
	  src/hugin1/hugin/xrc/data/info.svg,
	  src/hugin1/hugin/xrc/data/list.png,
	  src/hugin1/hugin/xrc/data/list.svg: More icon tweaks

2009-02-05  brunopostle

	* [r3627] CMakeLists.txt, ChangeLog: housekeeping

2009-02-04  stativ

	* [r3626] src/deghosting/hugin_hdrmerge.cpp, src/deghosting/khan.cpp,
	  src/deghosting/khan.h: Change changes from r3619. The -w option is
	  no longer used. Luminance images usage can now be disabled by -a n.
	  Also pass information about it not by string but by flags in
	  adv_opts.

2009-02-03  brunopostle

	* [r3625] src/hugin_base/appbase/ProgressDisplayOld.h: first gcc-4.4.0
	  fix, probably there will be more...

2009-02-02  brunopostle

	* [r3624] src/hugin1/hugin/xrc/data/edit_add.png,
	  src/hugin1/hugin/xrc/data/edit_add.svg,
	  src/hugin1/hugin/xrc/data/filenew.png,
	  src/hugin1/hugin/xrc/data/filenew.svg,
	  src/hugin1/hugin/xrc/data/fileopen.png,
	  src/hugin1/hugin/xrc/data/fileopen.svg,
	  src/hugin1/hugin/xrc/data/filesave.png,
	  src/hugin1/hugin/xrc/data/filesave.svg,
	  src/hugin1/hugin/xrc/data/filesaveas.png,
	  src/hugin1/hugin/xrc/data/filesaveas.svg,
	  src/hugin1/hugin/xrc/data/gl_preview.png,
	  src/hugin1/hugin/xrc/data/gl_preview.svg,
	  src/hugin1/hugin/xrc/data/list.png,
	  src/hugin1/hugin/xrc/data/list.svg,
	  src/hugin1/hugin/xrc/data/preview.png,
	  src/hugin1/hugin/xrc/data/preview.svg,
	  src/hugin1/hugin/xrc/data/redo.png,
	  src/hugin1/hugin/xrc/data/redo.svg,
	  src/hugin1/hugin/xrc/data/undo.png,
	  src/hugin1/hugin/xrc/data/undo.svg: More tinkering with icons

2009-02-02  dangelo

	* [r3623] src/PTBatcherGUI/ProjectListBox.cpp,
	  src/hugin1/hugin/ChoosyRemapper.cpp,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/PreviewFrame.cpp,
	  src/hugin1/hugin/VertexCoordRemapper.cpp,
	  src/hugin_base/panodata/PanoramaOptions.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h: Applied patch for biplane
	  and triplane projections (unknown author),
	  http://sourceforge.net/tracker/?func=detail&atid=550443&aid=2556303&group_id=77506

2009-02-02  brunopostle

	* [r3622] CMakeLists.txt, doc/CMakeLists.txt, doc/Makefile.pod2man,
	  doc/align_image_stack.1, doc/autooptimiser.1, doc/fulla.1,
	  doc/hugin.1, doc/hugin_hdrmerge.1, doc/hugin_stitch_project.1,
	  doc/nona.1, doc/nona_gui.1, doc/vig_optimize.1: add man pages (Cyril
	  Brulebois)

2009-02-01  brunopostle

	* [r3621] src/celeste/training/README,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/xrc/pref_dialog.xrc, src/translations/bg.po,
	  src/translations/ca_ES.po, src/translations/cs_CZ.po,
	  src/translations/de.po, src/translations/en_GB.po,
	  src/translations/es.po, src/translations/fr.po,
	  src/translations/hu.po, src/translations/hugin.pot,
	  src/translations/it.po, src/translations/ja.po,
	  src/translations/ko.po, src/translations/nl.po,
	  src/translations/pl.po, src/translations/pt_BR.po,
	  src/translations/ru.po, src/translations/sk.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po: Fix typo s/paramaters/parameters/ (Simon
	  Oosthoek)

2009-02-01  pooh22

	* [r3620] src/translations/nl.po: string-updates first attempt
	  pre-0.8.0

2009-02-01  stativ

	* [r3619] src/deghosting/hugin_hdrmerge.cpp, src/deghosting/khan.cpp,
	  src/deghosting/khan.h: Add -w option to hugin_hdrmerge which allows
	  to choose between luminance image and HDR image itself to be base
	  for generating initial weights.
	  Also fixes bug #2033756.

2009-02-01  brunopostle

	* [r3618] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/hugin.pot, src/translations/it.po,
	  src/translations/ja.po, src/translations/ko.po,
	  src/translations/nl.po, src/translations/pl.po,
	  src/translations/pt_BR.po, src/translations/ru.po,
	  src/translations/sk.po, src/translations/sv.po,
	  src/translations/uk.po, src/translations/zh_CN.po: Update
	  translation strings
	* [r3617] src/hugin1/hugin/xrc/pref_dialog.xrc: Remove untranslatable
	  strings

2009-01-31  brunopostle

	* [r3616] src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Batch_Processor.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html: Update
	  manual from wiki
	* [r3615] src/hugin1/hugin/xrc/main_menu.xrc: Refer to Batch Processor
	  rather than PTBatcher in menu
	* [r3614]
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Batch_Processor.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Batch_Stitcher.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: fix on 'batch
	  processor' rather than 'batch stitcher'

2009-01-31  harryvanderwolf

	* [r3613] src/hugin1/base_wx/MyExternalCmdExecDialog.cpp: slightly
	  reworked bugfix for bug #2075064; contains check for Tiger and
	  Leopard

2009-01-31  yuv

	* [r3612] CMakeLists.txt: reverting my mistake (SVN3610)
	* [r3611] CMakeLists.txt: fix Windows build (In Windows, automatic
	  linking is performed, so you do not have to specify the Boost
	  libraries)

2009-01-31  brunopostle

	* [r3610] src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html:
	  Update manual from wiki
	* [r3609] src/hugin1/hugin/xrc/data/edit_add.png,
	  src/hugin1/hugin/xrc/data/edit_add.svg,
	  src/hugin1/hugin/xrc/data/info.png,
	  src/hugin1/hugin/xrc/data/info.svg,
	  src/hugin1/hugin/xrc/data/list.png,
	  src/hugin1/hugin/xrc/data/list.svg: More tinkering with icons...

2009-01-30  stativ

	* [r3608] src/hugin_base/hugin_utils/platform.h: Escape dolar sign ($)
	  in a right way. Fixes bug #2462061.
	* [r3607] src/hugin_base/hugin_utils/platform.h: Escape = in paths in
	  makefile.
	* [r3606] CMakeLists.txt: Added dependency check for Boost graph,
	  fixes bug #2094656

2009-01-30  brunopostle

	* [r3605] src/hugin1/hugin/xrc/data/edit_add.png,
	  src/hugin1/hugin/xrc/data/edit_add.svg,
	  src/hugin1/hugin/xrc/data/gl_preview.png,
	  src/hugin1/hugin/xrc/data/gl_preview.svg,
	  src/hugin1/hugin/xrc/data/info.png,
	  src/hugin1/hugin/xrc/data/info.svg,
	  src/hugin1/hugin/xrc/data/optimize.png,
	  src/hugin1/hugin/xrc/data/optimize.svg,
	  src/hugin1/hugin/xrc/data/preview.png,
	  src/hugin1/hugin/xrc/data/preview.svg,
	  src/hugin1/hugin/xrc/data/straighten_pano.svg,
	  src/hugin1/hugin/xrc/main_tool.xrc: Icons for main toolbar, needs
	  more work

2009-01-29  brunopostle

	* [r3604] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/xrc/main_tool.xrc: Put a fast preview icon on the
	  toolbar
	* [r3603] src/hugin1/hugin/xrc/data/center_pano.png,
	  src/hugin1/hugin/xrc/data/center_pano.svg,
	  src/hugin1/hugin/xrc/data/fit_pano.png,
	  src/hugin1/hugin/xrc/data/fit_pano.svg,
	  src/hugin1/hugin/xrc/data/preview_auto_update.png,
	  src/hugin1/hugin/xrc/data/preview_auto_update.svg,
	  src/hugin1/hugin/xrc/data/preview_num_transform.png,
	  src/hugin1/hugin/xrc/data/preview_num_transform.svg,
	  src/hugin1/hugin/xrc/data/preview_show_all.png,
	  src/hugin1/hugin/xrc/data/preview_show_all.svg,
	  src/hugin1/hugin/xrc/data/preview_show_none.png,
	  src/hugin1/hugin/xrc/data/preview_show_none.svg,
	  src/hugin1/hugin/xrc/data/reload.png,
	  src/hugin1/hugin/xrc/data/reload.svg,
	  src/hugin1/hugin/xrc/data/straighten_pano.png,
	  src/hugin1/hugin/xrc/data/straighten_pano.svg,
	  src/hugin1/hugin/xrc/preview_frame.xrc: New icons for the preview
	  windows

2009-01-28  brunopostle

	* [r3602]
	  src/hugin1/hugin/xrc/data/help_en_EN/150px-Ben_Equisolid.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/150px-Ben_Orthographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Fast_preview_guide_crop.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Fast_preview_guide_drag.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Fast_preview_guide_identify.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Fast_preview_guide_rotate_drag.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Fast_preview_guide_start.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Ben_Architectural.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Ben_Equirectangular_panini.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Ben_Lambert_cylindrical_equal_area.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Ben_Miller_cylindrical.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Ben_Panini.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/22px-Fast_preview_icon_crop.svg.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/22px-Fast_preview_icon_drag.svg.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/22px-Fast_preview_icon_identify.svg.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/22px-Fast_preview_icon_photometric.svg.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Align_a_stack_of_photos.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Align_image_stack.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Autopano.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Depth_of_Field.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/EXIF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR_workflow_with_hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Horizontal_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Batch_Stitcher.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Control_Points_table.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_FAQ.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Fast_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_add_project.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_cancel_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_clear_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_folder_search.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_open_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_pause_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_remove_project.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_save_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_skip_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_start_batch.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Nona.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Optimization.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/PTStitcher.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vertical_control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vignetting.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Update manual from
	  panotools wiki
	* [r3601] src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: New manual
	  pages for batch processor and fast preview

2009-01-28  stativ

	* [r3600] src/PTBatcher/CMakeLists.txt,
	  src/PTBatcher/PTBatcher.desktop,
	  src/PTBatcherGUI/PTBatcherGUI.desktop,
	  src/hugin1/hugin/hugin.desktop,
	  src/hugin1/stitch_project/hugin_stitch_project.desktop: Some changes
	  to desktop files as Bruno suggested in #2538740. I've also removed
	  some deprecated stuff from them.

2009-01-27  brunopostle

	* [r3599]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h,
	  src/tools/pto2mk.cpp: Fix #2047073 pto2mk doesn't write EXIFTOOL
	  variables (nobody)

2009-01-27  stativ

	* [r3597] src/hugin1/base_wx/platform.h,
	  src/hugin1/hugin/MainFrame.cpp, src/hugin1/hugin/wxPanoCommand.cpp:
	  Add more image filters to Add image dialog. Fixes bug #2031549
	* [r3596] src/hugin_base/hugin_utils/platform.h: Escape # and : in
	  makefile. Fixes bugs 2106362, 2005561.
	* [r3595] src/hugin1/base_wx/huginConfig.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  Use default values for external programs in makefile. Fixes bug
	  2292979 (enblend set as 'false' in the Makefile).

2009-01-25  brunopostle

	* [r3594] src/translations/fr.po: Updated French translation (Jean-Luc
	  Coulon)

2009-01-25  harryvanderwolf

	* [r3593] src/hugin1/base_wx/ImageCache.cpp: outcommented a lot of
	  cout messages as they overflow the system log

2009-01-25  yuv

	* [r3592] src/foreign/levmar/CMakeLists.txt: Windows: warning clean up

2009-01-25  harryvanderwolf

	* [r3591] mac/Hugin.xcodeproj/project.pbxproj, mac/celeste-Config.h:
	  Minor XCode improvements; also adding first PtBatcherGui build

2009-01-24  brunopostle

	* [r3590] src/translations/ca_ES.po: Unify all .po encoding to UTF-8
	* [r3589] src/translations/cs_CZ.po: Unify line-endings
	* [r3588] src/translations/bg.po, src/translations/ca_ES.po,
	  src/translations/cs_CZ.po, src/translations/de.po,
	  src/translations/en_GB.po, src/translations/es.po,
	  src/translations/fr.po, src/translations/hu.po,
	  src/translations/it.po, src/translations/ja.po,
	  src/translations/ko.po, src/translations/nl.po,
	  src/translations/pl.po, src/translations/pt_BR.po,
	  src/translations/ru.po, src/translations/sk.po,
	  src/translations/sv.po, src/translations/uk.po,
	  src/translations/zh_CN.po: Update po files with new strings for
	  translation
	* [r3587] src/translations/extract-messages.sh,
	  src/translations/hugin.pot: Update strings for translation

2009-01-17  yuv

	* [r3585] src/hugin_base/panodata/PanoramaOptions.cpp: VFOV sliders
	  for Pannini, Architectural, Equi_Pannini (Thomas Modes)
	* [r3584] CMakeModules/FindPANO13.cmake: fix the "right" pano13 l
	  (Thomas Modes)

2009-01-09  yuv

	* [r3580] CMakeModules/FindPANO13.cmake: improved detection of recent
	  libpano builds

2009-01-08  yuv

	* [r3579] platforms/windows/smartblend-wrapper/smartblend-hugin.bat:
	  fix path with space (thanks cenda at cendaweb d. cz)

2009-01-03  yuv

	* [r3577] src/PTBatcherGUI/ProjectListBox.cpp,
	  src/hugin1/hugin/ChoosyRemapper.cpp,
	  src/hugin1/tests/test_projections.cpp,
	  src/hugin_base/panodata/PanoramaOptions.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panotools/PanoToolsInterface.cpp: fixed pannini /
	  equi_pannini to mirror Daniel's changes in libpano13

2008-12-31  yuv

	* [r3576] src/PTBatcherGUI/ProjectListBox.cpp,
	  src/hugin1/hugin/ChoosyRemapper.cpp,
	  src/hugin1/hugin/OutputProjectionInfo.cpp,
	  src/hugin1/hugin/VertexCoordRemapper.cpp,
	  src/hugin1/tests/test_projections.cpp,
	  src/hugin_base/panodata/PanoramaOptions.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panotools/PanoToolsInterface.cpp: support for new
	  libpano projections architectural, ortographic, equisolid

2008-12-29  yuv

	* [r3575] src/PTBatcherGUI/ProjectListBox.cpp,
	  src/hugin1/hugin/VertexCoordRemapper.cpp,
	  src/hugin1/tests/test_projections.cpp,
	  src/hugin_base/panodata/PanoramaOptions.cpp,
	  src/hugin_base/panodata/PanoramaOptions.h,
	  src/hugin_base/panotools/PanoToolsInterface.cpp: support for
	  libpano13's panini

2008-12-22  yuv

	* [r3573] src/hugin1/hugin/xrc/data/CMakeLists.txt: don't install
	  CMakeLists.txt
	* [r3572] src/hugin1/hugin/xrc/data/about.htm.in: updated credits

2008-12-19  harryvanderwolf

	* [r3571] src/hugin1/hugin/xrc/cp_editor_panel.xrc: Renamed and
	  replaced celeste button in cp_editor_panel. It is not part of normal
	  "vertical" oriented workflow. The new alignment gives more room for
	  the images too.
	* [r3570] src/hugin1/hugin/xrc/assistant_panel.xrc: [OSX]Increased
	  spacer size in assistantpanel between "align" and "Create panorama"
	  button as the resulting align text was written through the "Create
	  panorama" button on the Mac

2008-12-17  harryvanderwolf

	* [r3567] src/hugin1/base_wx/MyExternalCmdExecDialog.cpp: [OSX]Undo
	  svn3398. This was a patch for the badly reproducible bug 2075064
	  that caused CP generation problems on SOME PPCs. The bugfix however
	  had the result that the CP generation process ended in error on ALL
	  PPCs

2008-12-17  blimbo

	* [r3566] src/celeste/Celeste.cpp: Celeste support for 16bit images

2008-11-26  btownshend

	* [r3564] src/hugin_base/vigra_ext/lut.h: Missing conversion to double
	  in expression resulting in integer arithmetic

2008-11-18  blimbo

	* [r3562] src/celeste/Main.cpp: minor changes to celeste_standalone
	* [r3561] src/celeste/Celeste.cpp,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: removed celeste debug stuff

2008-11-18  yuv

	* [r3560] CMakeModules/FindExiv2.cmake: typo

2008-11-18  blimbo

	* [r3559] src/hugin1/hugin/ImagesPanel.cpp: Fixed imagespanel typo

2008-11-18  yuv

	* [r3558] CMakeModules/FindExiv2.cmake: find exiv2 either in the old
	  Windows SDK (0.16) or in the generic folder exiv2 if built from
	  source

2008-11-17  blimbo

	* [r3557] src/celeste/Celeste.cpp,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: cpeditor mac debug code

2008-11-17  yuv

	* [r3556] src/foreign/levmar/CMakeLists.txt: fixed build on AMD64
	  architectures
	  http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3

2008-11-16  brunopostle

	* [r3555] CMakeLists.txt: Don't put celeste_standalone binary in
	  tarball

2008-11-15  blimbo

	* [r3554] src/celeste/Celeste.cpp: Debug stuff for OSX

2008-11-14  blimbo

	* [r3553] src/celeste/data/celeste.model, src/celeste/svm.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: Changed to svm.cpp to read model
	  file + license properly

2008-11-14  yuv

	* [r3552] src/hugin1/hugin/CPEditorPanel.cpp: Celeste - user warning
	  instead of DEBUG_WARN with

2008-11-13  blimbo

	* [r3551] src/celeste/data/celeste.model, src/celeste/svm.cpp: added a
	  license to celeste svm model file
	* [r3550] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: celeste progress dialogue in
	  AssistantPanel improvement
	* [r3549] src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: Added celeste progress dialogue
	  and small bug fix in ImagesPanel

2008-11-13  brunopostle

	* [r3548] src/hugin1/hugin/Makefile.equirect.mk: Rules for generating
	  vrml2 and x3d output from equirectangular, completely untested

2008-11-12  blimbo

	* [r3547] src/hugin1/hugin/ImagesPanel.cpp: Added some missing
	  includes to ImagesPanel.cpp
	* [r3546] src/hugin1/hugin/xrc/pref_dialog.xrc: Changed some text in
	  the celeste preferences dialogue
	* [r3545] src/celeste/CMakeLists.txt, src/celeste/CelesteDebug.cpp,
	  src/celeste/CelesteDebug.h, src/celeste/data/celeste.model,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: Removed debug code, saved celeste
	  model file as DOS format

2008-11-11  harryvanderwolf

	* [r3544] src/hugin1/hugin/CPEditorPanel.cpp: undo local change to
	  CPEditorPanel.cpp
	* [r3543] mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp, src/hugin_config_mac.h:
	  [OSX]implement celeste into mac hugin bundle. celeste in
	  CPEditorPanel still crashes Hugin

2008-11-10  harryvanderwolf

	* [r3541] mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh:
	  Ugly hack to get correct celeste.dylib into bundle

2008-11-10  blimbo

	* [r3540] src/celeste/CelesteDebug.cpp: added wxstring include

2008-11-09  harryvanderwolf

	* [r3539] mac/scripted_universal_build/01-Compile_hugin_0.8.sh:
	  improved but not yet 100% correct
	* [r3538] src/hugin1/hugin/TextureManager.cpp: Removed dutch "debug"
	  comment
	* [r3537] src/hugin1/hugin/TextureManager.cpp: Another minor change
	  build 0.8 on Mac with XCode
	* [r3536] mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh:
	  Hugin XCode project modified to support at least the OpenGL fast
	  preview. Need to work on celeste model and PTBatcher(Gui)

2008-11-08  blimbo

	* [r3534] src/celeste/CMakeLists.txt, src/celeste/CelesteDebug.cpp,
	  src/celeste/CelesteDebug.h, src/hugin1/hugin/CPEditorPanel.cpp: Even
	  more wxmessage boxes for windows debugging

2008-11-08  yuv

	* [r3533] src/hugin_base/panodata/SrcPanoImage.cpp: alternative crop
	  factor calculation for Olympus C-765 UZ and potentially other
	  Olympus cameras.

2008-11-07  dangelo

	* [r3532] src/tools/autooptimiser.cpp: autooptimiser bugfix: allow
	  reading the script from stdin

2008-11-06  brunopostle

	* [r3531] doc/batch-processing/Makefile.flickr.mk,
	  doc/batch-processing/Makefile.psd.mk,
	  doc/batch-processing/Makefile.qtvr.mk,
	  src/hugin1/hugin/Makefile.equirect.mk: cleanup

2008-11-06  blimbo

	* [r3530] src/hugin1/hugin/CPEditorPanel.cpp: Windows debugging
	  messages via wx alert boxes

2008-11-05  brunopostle

	* [r3529] src/hugin1/hugin/Makefile.equirect.mk: rule to make
	  multilayer PSD using PTtiff2psd

2008-11-04  brunopostle

	* [r3528] src/hugin1/hugin/Makefile.equirect.mk: Rule to make a cube
	  strip for use with SPi-V

2008-11-04  blimbo

	* [r3527] src/celeste/Celeste.cpp, src/hugin1/hugin/CPEditorPanel.cpp:
	  More celeste debug stuff for windows

2008-11-03  brunopostle

	* [r3526] src/hugin1/hugin/Makefile.equirect.mk: Rule to create simple
	  panosalado output, untested

2008-11-01  brunopostle

	* [r3524] src/PTBatcherGUI/PTBatcherGUI.desktop: Russian text for
	  PTBatcher menu entry (Alexandre Prokoudine)

2008-10-25  harryvanderwolf

	* [r3521] mac/Version.xcconfig: update mac Versioning config file

2008-10-25  dangelo

	* [r3520]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  merged rev 3519 from release-0.7.0 into trunk

2008-10-23  dangelo

	* [r3517] src/hugin_base/vigra_ext/ImageTransforms.h: fix: [ 1850469 ]
	  nona outputs negative samples.
	  Negative values are now set to 0

2008-10-23  blimbo

	* [r3516] src/PTBatcher/Batch.cpp, src/celeste/Celeste.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp: More debugging code for
	  Celeste/Windows

2008-10-22  harryvanderwolf

	* [r3515] CMakeLists.txt: Removal of unwanted and weird "if(NOT
	  NO_SVN)" setting
	* [r3514] CMakeLists.txt: First step to get cmake cross compilation
	  back on MacOSX to be able to build on Leopard for both Tiger and
	  Leopard

2008-10-22  yuv

	* [r3513] CMakeModules/win_bundle.cmake: enblend is now
	  enblend-enfuse.

2008-10-22  blimbo

	* [r3512] src/hugin1/hugin/ImagesPanel.cpp: Channed iterator to
	  const_iterator in ImagesPanel.cpp - caused probs on Windows

2008-10-20  dangelo

	* [r3509] src/translations/zh_CN.po: Updated Chinese simplified
	  translation (Lu Fang)

2008-10-17  brunopostle

	* [r3508] src/hugin1/hugin/Makefile.equirect.mk: A rule to make a
	  multilayer TIFF file, this should really be
	  in the standard .pto.mk file

2008-10-15  harryvanderwolf

	* [r3507] src/celeste/CMakeLists.txt: Celeste overwrites main project
	  CMAKE settings. This breaks APPLE cross compilation. Changed to
	  append statement

2008-10-14  brunopostle

	* [r3505] src/PTBatcherGUI/PTBatcherGUI.desktop: .desktop files don't
	  work with CRLF line-endings

2008-10-14  blimbo

	* [r3504] src/celeste/Celeste.cpp,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.cpp: Added some debug code for
	  Celeste/Windows

2008-10-14  yuv

	* [r3503] ., CMakeLists.txt, CMakeModules/FindGLEW.cmake: - CMake top
	  level now stores the revision number in rev.txt for tarball perusal
	  - moved the Windows GLEW settings from top level to
	  CMakeModules/FindGLEW.cmake

2008-10-13  blimbo

	* [r3502] src/celeste/ContrastFilter.h, src/celeste/GaborFilter.cpp,
	  src/celeste/GaborJet.h, src/celeste/LogPolar.h,
	  src/celeste/PGMImage.cpp, src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.h,
	  src/hugin1/hugin/xrc/images_panel.xrc: Added Celeste button to
	  images panel, patched fix for bug 2161163

2008-10-13  brunopostle

	* [r3501] CMakeLists.txt: bump version to 0.8.0
	* [r3500] src/celeste/training/CelesteTrain.cpp: Fix error: first
	  argument of ‘int main(unsigned int, char**)’ should be ‘int’
	  bug #2161163 (Lukas Jirkovsky)
	* [r3499] src/celeste/Main.cpp: Fix error: first argument of ‘int
	  main(unsigned int, const char**)’ should be ‘int’
	  bug #2161163 (Lukas Jirkovsky)
	* [r3498] src/celeste/GaborGlobal.h, src/celeste/PGMImage.h: gcc-4.3.0
	  fixes (bug #2161163)

2008-10-13  yuv

	* [r3497] src/celeste/Config.h: - reverting my mistake at rev.3494
	  (Config.h)
	* [r3496] README: updated README file
	  http://groups.google.com/group/hugin-ptx/t/7746341c4883d053

2008-10-12  yuv

	* [r3495] CMakeLists.txt: - updates SVN revision automatically in
	  Windows build (bringing it to the same level of functionality as the
	  *nix platforms
	* [r3494] src/celeste/CMakeLists.txt, src/celeste/Config.h,
	  src/celeste/LICENCE_GABOR, src/celeste/LICENCE_LIBSVM,
	  src/celeste/training/CMakeLists.txt,
	  src/celeste/training/CelesteTrain.cpp,
	  src/celeste/training/CelesteTrain.h, src/celeste/training/README,
	  src/celeste/training/get_flickr_clouds.pl,
	  src/celeste/training/svm_learn_class_10_fold.pl: - complete the
	  merge from gsoc2008_sky_identification branch
	  - fix build of celeste in Windows
	  - reduce cmake verbosity in Windows

2008-10-10  blimbo

	* [r3493] src/celeste/CMakeLists.txt, src/celeste/Celeste.cpp: Added
	  some CFLAGS for Windows
	* [r3491] CMakeLists.txt, src/CMakeLists.txt, src/celeste,
	  src/celeste/CMakeLists.txt, src/celeste/Celeste.cpp,
	  src/celeste/Celeste.h, src/celeste/CelesteGlobals.cpp,
	  src/celeste/CelesteGlobals.h, src/celeste/Config.h,
	  src/celeste/Config.h.linux, src/celeste/Config.h.win32,
	  src/celeste/ContrastFilter.cpp, src/celeste/ContrastFilter.h,
	  src/celeste/Gabor.cpp, src/celeste/Gabor.h,
	  src/celeste/GaborFilter.cpp, src/celeste/GaborFilter.h,
	  src/celeste/GaborGlobal.h, src/celeste/GaborJet.cpp,
	  src/celeste/GaborJet.h, src/celeste/ImageFile.cpp,
	  src/celeste/ImageFile.h, src/celeste/LogPolar.cpp,
	  src/celeste/LogPolar.h, src/celeste/Main.cpp,
	  src/celeste/PGMImage.cpp, src/celeste/PGMImage.h,
	  src/celeste/Utilities.cpp, src/celeste/Utilities.h,
	  src/celeste/data, src/celeste/data/celeste.model,
	  src/celeste/svm.cpp, src/celeste/svm.h, src/celeste/training,
	  src/celeste/training/README,
	  src/celeste/training/create_svm_data_10_fold.pl,
	  src/celeste/training/parse_results.pl,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CMakeLists.txt, src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/config_defaults.h,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/pref_dialog.xrc: Integration of sky
	  identification code

2008-10-09  yuv

	* [r3490]
	  platforms/windows/smartblend-wrapper/smartblend-hugin-windows-readme.txt:
	  updated instructions for smartblend wrapper
	* [r3489] platforms/windows/smartblend-wrapper,
	  platforms/windows/smartblend-wrapper/smartblend-hugin-windows-readme.txt,
	  platforms/windows/smartblend-wrapper/smartblend-hugin.bat: added
	  smartblend wrapper by Bart van Andel

2008-10-08  brunopostle

	* [r3487] src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/Makefile.equirect.mk: Updated Makefile for
	  generating qtvr etc...

2008-10-08  yuv

	* [r3486] CMakeLists.txt, src/hugin1/hugin/GLViewer.cpp,
	  src/hugin1/hugin/PreviewDifferenceTool.cpp,
	  src/hugin1/hugin/TextureManager.cpp, src/hugin_config_msvc.h: -
	  updated fast preview to include GLEW library statically
	  - notched CMakeLists.txt to build against wxWidgets 2.8.9

2008-10-08  dangelo

	* [r3479] ., CMakeLists.txt, CMakeModules/FindGLEW.cmake,
	  src/CMakeLists.txt, src/PTBatcher, src/PTBatcher/Batch.cpp,
	  src/PTBatcher/Batch.h, src/PTBatcher/CMakeLists.txt,
	  src/PTBatcher/PTBatcher.cpp, src/PTBatcher/PTBatcher.desktop,
	  src/PTBatcher/PTBatcher.h, src/PTBatcher/PTBatcher_rc.aps,
	  src/PTBatcher/PTBatcher_rc.rc, src/PTBatcher/ProjectArray.cpp,
	  src/PTBatcher/ProjectArray.h, src/PTBatcher/RunStitchFrame.cpp,
	  src/PTBatcher/RunStitchFrame.h, src/PTBatcherGUI,
	  src/PTBatcherGUI/BatchFrame.cpp, src/PTBatcherGUI/BatchFrame.h,
	  src/PTBatcherGUI/CMakeLists.txt, src/PTBatcherGUI/DirTraverser.h,
	  src/PTBatcherGUI/PTBatcherGUI.cpp,
	  src/PTBatcherGUI/PTBatcherGUI.desktop,
	  src/PTBatcherGUI/PTBatcherGUI.h,
	  src/PTBatcherGUI/PTBatcherGUI_rc.aps,
	  src/PTBatcherGUI/PTBatcherGUI_rc.rc,
	  src/PTBatcherGUI/ProjectListBox.cpp,
	  src/PTBatcherGUI/ProjectListBox.h, src/hugin1/CMakeLists.txt,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h,
	  src/hugin1/base_wx/RunStitchPanel.cpp,
	  src/hugin1/base_wx/RunStitchPanel.h,
	  src/hugin1/hugin/CMakeLists.txt,
	  src/hugin1/hugin/ChoosyRemapper.cpp,
	  src/hugin1/hugin/ChoosyRemapper.h,
	  src/hugin1/hugin/GLPreviewFrame.cpp,
	  src/hugin1/hugin/GLPreviewFrame.h, src/hugin1/hugin/GLRenderer.cpp,
	  src/hugin1/hugin/GLRenderer.h, src/hugin1/hugin/GLViewer.cpp,
	  src/hugin1/hugin/GLViewer.h, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/MainFrame.h, src/hugin1/hugin/MeshManager.cpp,
	  src/hugin1/hugin/MeshManager.h, src/hugin1/hugin/MeshRemapper.cpp,
	  src/hugin1/hugin/MeshRemapper.h,
	  src/hugin1/hugin/OutputProjectionInfo.cpp,
	  src/hugin1/hugin/OutputProjectionInfo.h,
	  src/hugin1/hugin/PanoPanel.cpp, src/hugin1/hugin/PanoPanel.h,
	  src/hugin1/hugin/PreviewCropTool.cpp,
	  src/hugin1/hugin/PreviewCropTool.h,
	  src/hugin1/hugin/PreviewDifferenceTool.cpp,
	  src/hugin1/hugin/PreviewDifferenceTool.h,
	  src/hugin1/hugin/PreviewDragTool.cpp,
	  src/hugin1/hugin/PreviewDragTool.h,
	  src/hugin1/hugin/PreviewIdentifyTool.cpp,
	  src/hugin1/hugin/PreviewIdentifyTool.h,
	  src/hugin1/hugin/PreviewPanoMaskTool.cpp,
	  src/hugin1/hugin/PreviewPanoMaskTool.h,
	  src/hugin1/hugin/PreviewTool.cpp, src/hugin1/hugin/PreviewTool.h,
	  src/hugin1/hugin/PreviewToolHelper.cpp,
	  src/hugin1/hugin/PreviewToolHelper.h,
	  src/hugin1/hugin/TexCoordRemapper.cpp,
	  src/hugin1/hugin/TexCoordRemapper.h,
	  src/hugin1/hugin/TextureManager.cpp,
	  src/hugin1/hugin/TextureManager.h,
	  src/hugin1/hugin/VertexCoordRemapper.cpp,
	  src/hugin1/hugin/VertexCoordRemapper.h,
	  src/hugin1/hugin/ViewState.cpp, src/hugin1/hugin/ViewState.h,
	  src/hugin1/hugin/huginApp.cpp,
	  src/hugin1/hugin/xrc/data/crop_tool.png,
	  src/hugin1/hugin/xrc/data/crop_tool.svg,
	  src/hugin1/hugin/xrc/data/document-new.png,
	  src/hugin1/hugin/xrc/data/document-open.png,
	  src/hugin1/hugin/xrc/data/drag_tool.png,
	  src/hugin1/hugin/xrc/data/drag_tool.svg,
	  src/hugin1/hugin/xrc/data/emblem-symbolic-link.png,
	  src/hugin1/hugin/xrc/data/emblem-unreadable.png,
	  src/hugin1/hugin/xrc/data/folder-saved-search.png,
	  src/hugin1/hugin/xrc/data/go-jump.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Batch_Stitcher.html,
	  src/hugin1/hugin/xrc/data/identify_tool.png,
	  src/hugin1/hugin/xrc/data/identify_tool.svg,
	  src/hugin1/hugin/xrc/data/image-missing.png,
	  src/hugin1/hugin/xrc/data/list-add.png,
	  src/hugin1/hugin/xrc/data/list-remove.png,
	  src/hugin1/hugin/xrc/data/media-floppy.png,
	  src/hugin1/hugin/xrc/data/media-playback-pause.png,
	  src/hugin1/hugin/xrc/data/media-playback-start.png,
	  src/hugin1/hugin/xrc/data/media-playback-stop.png,
	  src/hugin1/hugin/xrc/data/media-skip-forward.png,
	  src/hugin1/hugin/xrc/data/photometric.png,
	  src/hugin1/hugin/xrc/data/photometric.svg,
	  src/hugin1/hugin/xrc/data/process-stop.png,
	  src/hugin1/hugin/xrc/data/process-stop16.png,
	  src/hugin1/hugin/xrc/data/process-stop22.png,
	  src/hugin1/hugin/xrc/main_menu.xrc,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin1/hugin/xrc/preview_frame.xrc,
	  src/hugin_base/hugin_math/hugin_math.h: merged gsoc2008_integration
	  branch into the trunk.

2008-09-30  ippei

	* [r3465] mac/ExternalPrograms/scripts/enblend.sh,
	  mac/ExternalPrograms/scripts/enblend3.sh,
	  mac/ExternalPrograms/scripts/enblend31.sh: Mac: enblend 3.2 released
	* [r3461] mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/static/libpng.sh: Mac: libpng update.

2008-09-27  yuv

	* [r3460] platforms/windows/installer/installer_howto.txt: installer
	  howto

2008-09-23  yuv

	* [r3451] platforms/linux/smartblend,
	  platforms/linux/smartblend.README: Bob Bright: script to convert
	  blender arguments for smartblend
	* [r3450] README: updated README file
	  - info from James Legg about Compiz incompatibility
	  - reformatted headers

2008-09-15  harryvanderwolf

	* [r3428] platforms/mac/droplets/scripts,
	  platforms/mac/droplets/scripts/Align_Enfuse_droplet.applescript,
	  platforms/mac/droplets/scripts/Auto_Align_Enfuse_droplet.applescript,
	  platforms/mac/droplets/scripts/Auto_Enfuse_droplet.applescript,
	  platforms/mac/droplets/scripts/Enfuse_droplet.applescript: [OSX]
	  text version of enfuse/align_image_stack Applescripts were missing

2008-09-14  brunopostle

	* [r3422] ChangeLog: really update changelog for rc6

2008-09-13  brunopostle

	* [r3421]
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-Big_ben_transverse_mercator.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img03.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img04.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img05.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img06.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img07.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img08.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/100px-PC_img09.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/120px-Flatfield1_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/120px-Flatfield2_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/120px-Flatfield3_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/120px-Flatfield4_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/150px-Big_ben_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/150px-Big_ben_rectilinear.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/150px-Big_ben_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/17af7474cdfd5abe24fd07eb58810dba.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-2125768589_b.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Focal_length.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/180px-Lamp_enfuse.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/1f09c25c5247c1eaf121df644ca42f8c.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Big_ben_cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Big_ben_cylindrical.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Big_ben_equirectangular.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Big_ben_mercator.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Bin_ben_sinusoidal.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/200px-Panoglview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Cylindrical.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Equirectangular.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Equirectangular_cut.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Little_planet.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Orientation-plate.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/250px-Rectlinear.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/38d368a092f7d5a4d2b42bdf4d0dd89c.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/3d6de401d007ea0cffc99610ad623239.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/532cd2696f6296132aaf8dc65152c28e.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/5f558fa7e9b1567daca23dc3433f5cec.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/600px-Tuebingen_Neckarfront_small15_2006-06-11.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/600px-Tuebingen_Neckarfront_withdustspots_small15_2006-06-11.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/687431209ed4a8feab0c151b622ef1e0.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/6e1e330821217bd2d14c40ea21747a03.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/7a62f58ab1c3f78523eee522e71a9416.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/81b4c8dd7cbec41cae5ef37da5644e99.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/89539baed8c394f4b6eea437f16b047d.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/98dda29ec0838b4a60698e962d90cd03.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/AliasingPScubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/AliasingPScubic_2x.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/AliasingPTpoly3.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/AliasingPTpoly3_2x.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Barrel-distortion.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Barrel_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_circ_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_cylindrical.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_equirectangular.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_ff_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_rectilinear.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Big_ben_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Bubble-distortion.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_artifical_B_Y.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_artifical_R_C.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_fringes00.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_fringes01.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_fringes01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_strange01.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_strange01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_strange02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_tCA00.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_tCA01.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_tCA01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_tCA02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CA_tCA03.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/CMakeLists.txt,
	  src/hugin1/hugin/xrc/data/help_en_EN/Chromatic_aberration.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Dust_Removal_with_Flatfield.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enblend.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Fisheye_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Flags.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Focal_Length.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_center_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_edit_add.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_filenew.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_fileopen.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_filesave.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_filesaveas.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_fit_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_info.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_list.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_optimize.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_auto_update.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_num_transform.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_show_all.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_preview_show_none.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_redo.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_reload.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_straighten_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_undo.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolate_none.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolate_poly3.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolate_sinc256.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolation.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lens_correction_model.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Medinet_habu_horizontal_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Medinet_habu_horizontal_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_formats.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Parallax.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/Parallax.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pincushion-distortion.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pincushion_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/RatingStar_002.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Rectilinear_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Stereographic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vertical-fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vertical-stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/Wavy_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/b27abc434a11d07b390df859d7aa782a.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/c398d95d4b6e864a2b448a53b5a245fd.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/cc88199a6c96fed69af02f61e67435b6.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/ccf48cf728225d3dcecf1f74e74dafa3.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/d4466e5ff97cd6bbdddc514f3a28fb88.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/db71893e7683801204b25f076e7db8b3.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/e49f330a1a85dbab8724c8177de38cb0.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/fd9eb36b9149cc4e2efebd10bdc4fdf2.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/fetch.sh,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki: cmake install didn't like
	  the directory tree for images from the wiki.
	  Put all images for the manual in the root.
	* [r3420] ChangeLog: update changelog for rc6 release

2008-09-12  brunopostle

	* [r3419] src/hugin1/hugin/xrc/data/help_en_EN/Aliasing.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Barrel_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Chromatic_aberration.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Control_points.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cubic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Cylindrical_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Dust_Removal_with_Flatfield.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enblend.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Enfuse.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Fisheye_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Focal_Length.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Main_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preview_window.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Interpolation.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Lens_correction_model.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panorama_formats.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Parallax.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Perspective_correction.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Pincushion_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Projections.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Rectilinear_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Stereographic_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Wavy_distortion.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/fetch.sh: Update help manual to
	  use images.
	* [r3418] src/hugin1/hugin/xrc/data/help_en_EN/wiki,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/00,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/00/Flags.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/01,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/01/Big_ben_equirectangular.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/02,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/02/CA_tCA02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/0c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/0/0c/Hugin_info.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1/12,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1/12/Bubble-distortion.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1/17,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1/17/CA_artifical_R_C.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1/1e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/1/1e/Hugin_preview_auto_update.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/21,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/21/Interpolate_none.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/24,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/24/CA_tCA00.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/29,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/29/Hugin_redo.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/2e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/2e/Big_ben_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/2/2e/RatingStar_002.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/3,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/3/31,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/3/31/Hugin_straighten_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/40,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/40/CA_fringes00.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/41,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/41/CA_tCA03.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/44,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/44/Hugin_preview_num_transform.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/48,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/48/Hugin_fileopen.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/4e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/4/4e/Hugin_preview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/59,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/59/AliasingPTpoly3_2x.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/5a,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/5a/AliasingPTpoly3.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/5a/CA_tCA01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/5b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/5b/Big_ben_circ_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/5/5b/CA_fringes01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/8/80,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/8/80/CA_artifical_B_Y.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/91,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/91/Big_ben_cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/91/CA_strange02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/97,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/97/Pincushion-distortion.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/9e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/9/9e/Hugin_filesave.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/a1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/a1/Hugin_preview_show_none.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/a8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/a8/Hugin_list.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ab,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ab/Big_ben_cylindrical.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ab/Interpolate_poly3.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ab/Parallax.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ad,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ad/Big_ben_rectilinear.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/a/ad/Hugin_center_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b/b8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b/b8/Medinet_habu_horizontal_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b/bd,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b/bd/Big_ben_ff_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b/be,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/b/be/CA_strange01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c/c0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c/c0/Vertical-fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c/c9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c/c9/AliasingPScubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c/ca,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/c/ca/CA_fringes01.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/d0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/d0/AliasingPScubic_2x.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/d4,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/d4/Hugin_undo.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/d4/Vertical-stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/db,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/db/Hugin_edit_add.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/dd,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/dd/Hugin_filenew.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/df,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/d/df/CA_tCA01.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/e0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/e0/Interpolate_sinc256.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/e5,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/e5/Hugin_reload.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/e8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/e8/Hugin_filesaveas.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/ed,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/e/ed/Hugin_optimize.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/f0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/f0/Medinet_habu_horizontal_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/f1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/f1/CA_strange01.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/f7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/f7/Hugin_preview_show_all.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/fb,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/fb/Hugin_fit_pano.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/fc,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/f/fc/Barrel-distortion.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1/7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1/7/a,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1/7/a/17af7474cdfd5abe24fd07eb58810dba.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1/f,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1/f/0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/1/f/0/1f09c25c5247c1eaf121df644ca42f8c.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3/8/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3/8/d/38d368a092f7d5a4d2b42bdf4d0dd89c.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3/d/6,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/3/d/6/3d6de401d007ea0cffc99610ad623239.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5/3,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5/3/2,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5/3/2/532cd2696f6296132aaf8dc65152c28e.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5/f,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5/f/5,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/5/f/5/5f558fa7e9b1567daca23dc3433f5cec.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6/8/7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6/8/7/687431209ed4a8feab0c151b622ef1e0.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6/e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6/e/1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/6/e/1/6e1e330821217bd2d14c40ea21747a03.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/7/a,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/7/a/6,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/7/a/6/7a62f58ab1c3f78523eee522e71a9416.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8/1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8/1/b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8/1/b/81b4c8dd7cbec41cae5ef37da5644e99.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8/9/5,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/8/9/5/89539baed8c394f4b6eea437f16b047d.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/9/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/9/8/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/9/8/d/98dda29ec0838b4a60698e962d90cd03.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/b/2,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/b/2/7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/b/2/7/b27abc434a11d07b390df859d7aa782a.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/3,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/3/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/3/9/c398d95d4b6e864a2b448a53b5a245fd.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/c/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/c/8/cc88199a6c96fed69af02f61e67435b6.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/c/f,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/c/c/f/ccf48cf728225d3dcecf1f74e74dafa3.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d/4,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d/4/4,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d/4/4/d4466e5ff97cd6bbdddc514f3a28fb88.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d/b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d/b/7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/d/b/7/db71893e7683801204b25f076e7db8b3.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/e/4,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/e/4/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/e/4/9/e49f330a1a85dbab8724c8177de38cb0.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/f,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/f/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/f/d/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/math/f/d/9/fd9eb36b9149cc4e2efebd10bdc4fdf2.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/00,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/00/2125768589_b.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/00/2125768589_b.jpg/180px-2125768589_b.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/01,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/01/Big_ben_equirectangular.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/01/Big_ben_equirectangular.jpg/200px-Big_ben_equirectangular.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/03,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/03/PC_img01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/03/PC_img01.jpg/100px-PC_img01.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/04,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/04/Panoglview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/0/04/Panoglview.png/200px-Panoglview.png,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/11,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/11/PC_img04.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/11/PC_img04.jpg/100px-PC_img04.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/14,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/14/PC_img05.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/14/PC_img05.jpg/100px-PC_img05.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/19,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/19/Flatfield2_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/19/Flatfield2_Munich.jpg/120px-Flatfield2_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/1c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/1c/Flatfield3_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/1/1c/Flatfield3_Munich.jpg/120px-Flatfield3_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/20,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/20/Equirectangular.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/20/Equirectangular.JPG/250px-Equirectangular.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/25,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/25/Bin_ben_sinusoidal.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/25/Bin_ben_sinusoidal.jpg/200px-Bin_ben_sinusoidal.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/2a,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/2a/Big_ben_mercator.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/2a/Big_ben_mercator.jpg/200px-Big_ben_mercator.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/2e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/2e/Big_ben_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/2/2e/Big_ben_stereographic.jpg/150px-Big_ben_stereographic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3/34,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3/34/Equirectangular_cut.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3/34/Equirectangular_cut.jpg/250px-Equirectangular_cut.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3/39,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3/39/PC_img06.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/3/39/PC_img06.jpg/100px-PC_img06.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/4,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/4/44,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/4/44/Flatfield4_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/4/44/Flatfield4_Munich.jpg/120px-Flatfield4_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/5,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/5/54,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/5/54/PC_img02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/5/54/PC_img02.jpg/100px-PC_img02.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/68,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/68/Orientation-plate.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/68/Orientation-plate.jpg/250px-Orientation-plate.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/6b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/6b/Focal_length.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/6b/Focal_length.gif/180px-Focal_length.gif,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/6c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/6c/Big_ben_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/6/6c/Big_ben_fisheye.jpg/150px-Big_ben_fisheye.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/7,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/7/71,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/7/71/Tuebingen_Neckarfront_withdustspots_small15_2006-06-11.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/7/71/Tuebingen_Neckarfront_withdustspots_small15_2006-06-11.jpg/600px-Tuebingen_Neckarfront_withdustspots_small15_2006-06-11.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/86,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/86/Flatfield1_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/86/Flatfield1_Munich.jpg/120px-Flatfield1_Munich.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/89,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/89/Lamp_enfuse.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/89/Lamp_enfuse.jpg/180px-Lamp_enfuse.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/89/PC_img03.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/89/PC_img03.jpg/100px-PC_img03.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/8c,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/8c/PC_img09.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/8/8c/PC_img09.jpg/100px-PC_img09.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/91,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/91/Big_ben_cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/91/Big_ben_cubic.jpg/200px-Big_ben_cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/94,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/94/Rectlinear.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/94/Rectlinear.JPG/250px-Rectlinear.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/9b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/9b/Big_ben_transverse_mercator.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/9/9b/Big_ben_transverse_mercator.jpg/100px-Big_ben_transverse_mercator.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a/ab,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a/ab/Big_ben_cylindrical.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a/ab/Big_ben_cylindrical.jpg/200px-Big_ben_cylindrical.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a/ad,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a/ad/Big_ben_rectilinear.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/a/ad/Big_ben_rectilinear.jpg/150px-Big_ben_rectilinear.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/b,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/b/b9,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/b/b9/Cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/b/b9/Cubic.jpg/250px-Cubic.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/d,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/d/df,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/d/df/Tuebingen_Neckarfront_small15_2006-06-11.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/d/df/Tuebingen_Neckarfront_small15_2006-06-11.jpg/600px-Tuebingen_Neckarfront_small15_2006-06-11.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/ea,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/ea/Cylindrical.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/ea/Cylindrical.JPG/250px-Cylindrical.JPG,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/eb,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/eb/Little_planet.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/eb/Little_planet.jpg/250px-Little_planet.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/ec,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/ec/PC_img08.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/e/ec/PC_img08.jpg/100px-PC_img08.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/f,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/f/f1,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/f/f1/PC_img07.jpg,
	  src/hugin1/hugin/xrc/data/help_en_EN/wiki/images/thumb/f/f1/PC_img07.jpg/100px-PC_img07.jpg:
	  Images for the hugin help manual, this increases the tarball by
	  about 1.5MB

2008-09-12  ippei

	* [r3417] mac/Hugin.xcodeproj/project.pbxproj,
	  mac/PutAutoCPtoApplicationSupport.applescript,
	  mac/PutAutopanoSiftToHugin.applescript,
	  mac/matchpoint-complete-mac.sh, platforms/mac/autopano,
	  platforms/mac/autopano/PutAutoCPtoApplicationSupport.applescript,
	  platforms/mac/autopano/PutAutopanoSiftToHugin.applescript,
	  platforms/mac/autopano/apsc_plugin-Info.plist,
	  platforms/mac/autopano/autopano-complete-mac.sh,
	  platforms/mac/autopano/matchpoint-complete-mac.sh: Mac: moved
	  autopano files to platforms/mac
	* [r3416] src/hugin1/base_wx/platform.cpp: Mac: fix debug information
	  wrongly tagged as ERROR
	* [r3415] src/hugin1/hugin/xrc/pano_panel.xrc: bug fix 2102552
	* [r3414] src/hugin1/hugin/PreviewFrame.cpp: minor layout adjustment
	* [r3413] src/translations/ja.po: complete Japanese localisation
	* [r3412] src/hugin1/stitch_project/hugin_stitch_project.cpp: Mac:
	  fixed weird declaration that gcc 4.2 does not accept for good reason
	* [r3411] src/hugin1/hugin/AutoCtrlPointCreator.cpp: Mac: fixed minor
	  bug in behaviour when no autopano-sift was found
	* [r3410] mac/BuildConfig.xcconfig.orig,
	  mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/enblend31.sh,
	  mac/ExternalPrograms/scripts/ilmbase.sh,
	  mac/ExternalPrograms/scripts/libpng.sh,
	  mac/ExternalPrograms/scripts/openexr16.sh,
	  mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh: Mac:
	  GCC4.2 and 64bit support; minor adjustments to the build scripts,
	  loosen deployment stripping to avoid 64bit crash (symbol visibility
	  conflict?). Expect general performance improvement with newer
	  compiler.

2008-09-07  dangelo

	* [r3401] src/translations/pl.po: updated polish translation (Michał
	  Smoczyk)

2008-09-07  harryvanderwolf

	* [r3400] mac/ExternalPrograms/scripts/boost.sh: [Mac]: boost script
	  contained small error

2008-09-05  ippei

	* [r3398] src/hugin1/base_wx/MyExternalCmdExecDialog.cpp: simple
	  workaround for bug #2075064

2008-09-02  brunopostle

	* [r3396] ChangeLog: update changelog for rc5 release
	* [r3395] CMakeLists.txt: Don't put lots of cmake junk in the source
	  tarball.

2008-09-02  ippei

	* [r3394] mac/Hugin.xcodeproj/project.pbxproj: Mac: to prevent exec
	  permission error, run shell scripts in Xcode explicitly with 'sh'
	  (not critical)
	* [r3393] mac/Hugin.xcodeproj/project.pbxproj: Mac: wrong path to one
	  of the files (not critical)

2008-09-01  brunopostle

	* [r3391] ChangeLog: update changelog for rc4 release

2008-09-01  ippei

	* [r3390] mac/Hugin.xcodeproj/project.pbxproj, mac/Version.xcconfig:
	  Mac: exported code now compiles as release version.

2008-08-31  brunopostle

	* [r3389] ChangeLog: ChangeLog updated with svn2cl

2008-08-31  ippei

	* [r3387] src/translations/ja.po: Japanese localisation partially
	  updated (up to line 2000)
	* [r3386] README_JP: Japanese documentation update
	* [r3385] src/hugin1/stitch_project/hugin_stitch_project.cpp: stop
	  reminding user it got cancelled when saving was cancelled
	* [r3384] src/hugin1/hugin/HFOVDialog.cpp: fix the bug where the first
	  file to be added gets its exposure reset if lens file is specified
	* [r3383] TODO: reset the old and obsolete TODO file

2008-08-31  harryvanderwolf

	* [r3382] CMakeModules/FindSubversion.cmake: [Mac] modify
	  FindSubversion.cmake. Stupid Leopard comes with a way too old
	  subversion and cmake defaults to Leopard one. Needs binary
	  subversion from http://homepage.mac.com/martinott/ or build with
	  MacPorts or Fink

2008-08-30  ippei

	* [r3381] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/xrc/pano_panel.xrc: disabled HDR merger option
	  button; the feature postponed for later release
	* [r3380] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AssistantPanel.h,
	  src/hugin1/hugin/xrc/assistant_panel.xrc: remove scrolling from
	  assistant panel
	* [r3379] mac/ExternalPrograms/scripts/Tiger: Mac: obsolete files
	* [r3378] mac/Hugin.xcodeproj/project.pbxproj, mac/Version.xcconfig:
	  Mac: set HUGIN_WC_REVISION manually if exported
	* [r3377] mac/BuildConfig.xcconfig.orig,
	  mac/Hugin.xcodeproj/project.pbxproj: Mac: hopefully xcode 2.4
	  compatibility has benn restored

2008-08-29  harryvanderwolf

	* [r3376] mac/scripted_universal_build/03-localise-bundle.sh: [Mac]
	  scripted build: remove path error
	* [r3375] mac/scripted_universal_build/01-Compile_hugin.sh,
	  mac/scripted_universal_build/02-Make_bundle.sh,
	  mac/scripted_universal_build/hugin_config.h: [Mac] minor changes to
	  scripted build scripts

2008-08-29  ippei

	* [r3374] src/hugin1/hugin/PanoPanel.cpp: Mac: space in the path
	  problem fix
	* [r3373] src/hugin1/hugin/MainFrame.cpp: Image info dialog position
	* [r3372] src/hugin1/stitch_project/hugin_stitch_project.cpp: Mac:
	  removed obsolete hack
	* [r3371] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/xrc/pano_panel.xrc,
	  src/hugin_base/panodata/PanoramaOptions.h: Stitcher panel further
	  GUI adjustment.

2008-08-28  harryvanderwolf

	* [r3369] mac/scripted_universal_build,
	  mac/scripted_universal_build/00-Readme.txt,
	  mac/scripted_universal_build/01-Compile_hugin.sh,
	  mac/scripted_universal_build/02-Make_bundle.sh,
	  mac/scripted_universal_build/03-localise-bundle.sh,
	  mac/scripted_universal_build/04-create_dmg_gz.sh,
	  mac/scripted_universal_build/bundle_constants.txt,
	  mac/scripted_universal_build/hugin_config.h: move scripted build
	  directory to mac development directory instead of mac platform tools
	* [r3368] platforms/mac/scripted_universal_build: move scripted build
	  from platform tools to mac build directory

2008-08-27  brunopostle

	* [r3366] ChangeLog: ChangeLog updated with svn2cl

2008-08-27  gpatters1

	* [r3365] src/hugin1/hugin/AutoCtrlPointCreator.cpp: [2011690] Proper
	  fix for this bug, parse autopano commandline to see if it exceeds
	  wxExecute() limit

2008-08-26  gkohlmeyer

	* [r3364] src/hugin1/hugin/PanoPanel.cpp: [Win32] Encapsulated
	  #warning statement to get rid of compiler error

2008-08-25  ippei

	* [r3359] mac/PutAutoCPtoApplicationSupport.applescript: Mac: bug fix.

2008-08-24  ippei

	* [r3358] mac/Hugin.xcodeproj/project.pbxproj,
	  mac/PutAutoCPtoApplicationSupport.applescript: Mac: script now runs
	  on Tiger as well; made sure it opens in UTF-16 in Xcode
	* [r3357] mac/PutAutoCPtoApplicationSupport.applescript: Mac: added
	  extra installation features to the script

2008-08-23  gpatters1

	* [r3356] src/hugin1/base_wx/PTWXDlg.cpp,
	  src/hugin1/base_wx/PTWXDlg.h, src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp: [2027795] Keep Optimizer error
	  popup above main frame.
	* [r3355] src/hugin1/hugin/PreviewFrame.cpp: [2048040] Correct tooltip
	  in preview frame after image deleted. Applied patch from tracker.
	* [r3354] src/hugin1/hugin/AutoCtrlPointCreator.cpp: [2011690]
	  Reverting early fix as it does not handle spaces in
	  filename/dirnames properly. Reopening bug.

2008-08-23  ippei

	* [r3352] mac/Hugin.xcodeproj/project.pbxproj, src/hugin_config_mac.h:
	  Mac: some clean up
	* [r3351] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/xrc/pano_panel.xrc: Stitcher panel UI adjustment

2008-08-22  ippei

	* [r3349] mac/Documents/HOWTO-autopanosift.txt,
	  mac/Documents/ReadMe-Mac.txt: Mac: documentation update
	* [r3348] mac/Hugin-Info.plist,
	  mac/PutAutoCPtoApplicationSupport.applescript: Mac: plugin
	  architecture finish up

2008-08-21  ippei

	* [r3347] mac/ExternalPrograms/readme.txt,
	  mac/ExternalPrograms/scripts/libpng.sh: Mac: libpng version up
	* [r3346] src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/CropPanel.cpp, src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/LensPanel.cpp, src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.cpp: Is the background
	  colouring for debug build still necessary?
	* [r3345] src/hugin1/hugin/MainFrame.cpp: Minimum size for Mac and
	  Windows reverted.
	* [r3344] src/hugin1/hugin/CPEditorPanel.cpp,
	  src/hugin1/hugin/CPEditorPanel.h, src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/ImagesPanel.h, src/hugin1/hugin/LensPanel.cpp,
	  src/hugin1/hugin/LensPanel.h,
	  src/hugin1/hugin/xrc/cp_editor_panel.xrc,
	  src/hugin1/hugin/xrc/images_panel.xrc,
	  src/hugin1/hugin/xrc/lens_panel.xrc: Removed entirely the usage of
	  scrolled window that makes little sense; seems to have had related
	  bug on both mac and windows anyway.
	* [r3343] mac/Hugin.xcodeproj/project.pbxproj,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp: Mac: autopano plugin
	  improvement.

2008-08-20  ippei

	* [r3341] mac/ExternalPrograms/scripts/cmake: remove duplicate
	* [r3340] mac/ExternalPrograms/scripts/wxmac28.sh: Mac: wx
	  disable-CoreGraphics hack turned on for all architecture; dragging
	  control points in CPImageCtrl not working with CoreGraphics
	  implementation; take safer options towards 0.7 release.
	* [r3339] mac/BuildConfig.xcconfig.orig,
	  mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/pano13.sh,
	  mac/Hugin.xcodeproj/project.pbxproj: Mac: build update, now minimum
	  10.4+G3, 10.3 build still does not work.
	* [r3338] src/hugin1/hugin/AutoCtrlPointCreator.cpp: Mac: autopano
	  implementation change; new 'plug-in' architecture.

2008-08-19  brunopostle

	* [r3336] README: Minor doc update

2008-08-17  harryvanderwolf

	* [r3329] platforms/mac/droplets/apps/Enfuse_droplet.app: [Mac] Forgot
	  one ap to add
	* [r3328] platforms/mac/droplets, platforms/mac/droplets/apps,
	  platforms/mac/droplets/apps/Align_Enfuse_droplet.app,
	  platforms/mac/droplets/apps/Auto_Align_Enfuse_droplet.app,
	  platforms/mac/droplets/apps/Auto_Enfuse_droplet.app,
	  platforms/mac/droplets/apps/_README.txt: [Mac] Rebuild corrupt
	  droplets directory: Inlcude 2 new scripts
	* [r3327] platforms/mac/droplets: [Mac] rebuild droplets; first drop
	  droplets
	* [r3326] platforms/mac/scripted_universal_build/01-Compile_hugin.sh,
	  platforms/mac/scripted_universal_build/02-Make_bundle.sh,
	  platforms/mac/scripted_universal_build/03-localise-bundle.sh,
	  platforms/mac/scripted_universal_build/04-create_dmg_gz.sh,
	  platforms/mac/scripted_universal_build/04-create_dmg_tgz.sh: [Mac]
	  Minor changes to build scripts
	* [r3325] mac/ExternalPrograms/scripts/wxmac28-debug.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh: [Mac]wxmac script
	  adaptations: Install modified wx-config in bin

2008-08-13  harryvanderwolf

	* [r3316] mac/ExternalPrograms/scripts/Tiger,
	  mac/ExternalPrograms/scripts/Tiger/Readme.txt,
	  mac/ExternalPrograms/scripts/Tiger/apr-util.sh,
	  mac/ExternalPrograms/scripts/Tiger/apr.sh,
	  mac/ExternalPrograms/scripts/Tiger/gettext.sh,
	  mac/ExternalPrograms/scripts/Tiger/libneon.sh,
	  mac/ExternalPrograms/scripts/Tiger/subversion.sh: [Mac] OSX Tiger
	  comes without gettext and subversion. To be able to build a
	  universal bundle without MacPorts and/or Fink you can use these
	  scripts to build them

2008-08-13  brunopostle

	* [r3314] ChangeLog: really update ChangeLog for rc2 release
	* [r3313] src/hugin1/hugin/xrc/data/help_en_EN/Hugin.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Panoglview.html: Update manual
	  from panotools wiki

2008-08-12  harryvanderwolf

	* [r3310] platforms/mac/scripted_universal_build/00-Readme.txt,
	  platforms/mac/scripted_universal_build/02-Make_bundle.sh,
	  platforms/mac/scripted_universal_build/03-localise-bundle.sh,
	  platforms/mac/scripted_universal_build/04-create_dmg_tgz.sh,
	  platforms/mac/scripted_universal_build/hugin_config.h,
	  platforms/mac/scripted_universal_build/hugin_config.h.2: [Mac]
	  updates to bundle build scripts. Enblend/enfuse now correctly called
	  from bundle

2008-08-11  dangelo

	* [r3307] src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin_base/nona/Stitcher.h: fixed bug [ hugin-Bugs-2034515 ]
	  Stitcher: Crop is inconsistent
	* [r3306] src/hugin_base/vigra_ext/InterestPoints.h,
	  src/tools/align_image_stack.cpp: fixed compiler warning about using
	  uninitalized values in align_image_stack. It probably really was a
	  bug.

2008-08-11  brunopostle

	* [r3305] ChangeLog: Update ChangeLog for rc2 release
	* [r3304] src/tools/pto2mk.cpp: fix Bug #2046194 (Rihards)

2008-08-10  harryvanderwolf

	* [r3294] platforms/mac/scripted_universal_build/02-Make_bundle.sh,
	  platforms/mac/scripted_universal_build/03-localise-bundle.sh: [Mac]
	  Minor changes to scripts
	* [r3293] platforms/mac/scripted_universal_build/archives: [Mac] Too
	  many files added. Delete them now. Sorry
	* [r3292] platforms/mac/scripted_universal_build,
	  platforms/mac/scripted_universal_build/00-Readme.txt,
	  platforms/mac/scripted_universal_build/01-Compile_hugin.sh,
	  platforms/mac/scripted_universal_build/02-Make_bundle.sh,
	  platforms/mac/scripted_universal_build/03-localise-bundle.sh,
	  platforms/mac/scripted_universal_build/04-create_dmg_tgz.sh,
	  platforms/mac/scripted_universal_build/archives,
	  platforms/mac/scripted_universal_build/archives/Docs,
	  platforms/mac/scripted_universal_build/archives/Docs/Control_Point_Generators.rtfd,
	  platforms/mac/scripted_universal_build/archives/Docs/Control_Point_Generators.rtfd/Pasted
	  Graphic 1.tiff,
	  platforms/mac/scripted_universal_build/archives/Docs/Control_Point_Generators.rtfd/Pasted
	  Graphic 2.tiff,
	  platforms/mac/scripted_universal_build/archives/Docs/Control_Point_Generators.rtfd/TXT.rtf,
	  platforms/mac/scripted_universal_build/archives/Docs/README,
	  platforms/mac/scripted_universal_build/archives/Docs/README_JP,
	  platforms/mac/scripted_universal_build/archives/Docs/README_OSX.txt,
	  platforms/mac/scripted_universal_build/archives/Docs/README_WINDOWS,
	  platforms/mac/scripted_universal_build/archives/Docs/Tools_included_with_the_Hugin_bundle.rtf,
	  platforms/mac/scripted_universal_build/archives/Licenses,
	  platforms/mac/scripted_universal_build/archives/Licenses/AUTHORS.hugin,
	  platforms/mac/scripted_universal_build/archives/Licenses/COPYING.hugin,
	  platforms/mac/scripted_universal_build/archives/Licenses/COPYING.libpano,
	  platforms/mac/scripted_universal_build/archives/Licenses/COPYING.matchpoint,
	  platforms/mac/scripted_universal_build/archives/Licenses/COPYING.panomatic,
	  platforms/mac/scripted_universal_build/archives/Licenses/LICENCE.hugin,
	  platforms/mac/scripted_universal_build/archives/Licenses/LICENCE_JHEAD.hugin,
	  platforms/mac/scripted_universal_build/archives/Licenses/LICENCE_VIGRA.hugin,
	  platforms/mac/scripted_universal_build/archives/Licenses/LICENSE.autopano-sift-c,
	  platforms/mac/scripted_universal_build/archives/Licenses/LICENSE.panomatic,
	  platforms/mac/scripted_universal_build/archives/Licenses/MANIFEST.ExifTool,
	  platforms/mac/scripted_universal_build/archives/Licenses/VIGRA_LICENSE.enblend,
	  platforms/mac/scripted_universal_build/build,
	  platforms/mac/scripted_universal_build/bundle_constants.txt,
	  platforms/mac/scripted_universal_build/hugin_config.h,
	  platforms/mac/scripted_universal_build/hugin_config.h.2: [Mac] Alpha
	  Stage: scripts to make a Universal bundle. These scripts are not
	  integrated in the cmake build, but the cmake build is integrated in
	  the scripts.

2008-08-07  gpatters1

	* [r3280] src/hugin1/base_wx/MyExternalCmdExecDialog.cpp,
	  src/hugin1/hugin/AssistantPanel.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.cpp,
	  src/hugin1/hugin/AutoCtrlPointCreator.h,
	  src/hugin1/hugin/ImagesPanel.cpp: [2027795] Keep popups from
	  assistant and images panel above the main window.
	* [r3279] src/hugin1/hugin/PanoPanel.cpp: [1981284] Completely
	  disabled the enable/disable output formats for the 0.7.0 release.

2008-08-05  harryvanderwolf

	* [r3274] mac/ExternalPrograms/scripts/libexiv2.sh: mac: Add pkgconfig
	  copy to libexiv2.sh script for combined script build with hugin
	  cmake script build

2008-08-04  dangelo

	* [r3268] src/hugin_base/algorithms/optimizer/PTOptimizer.cpp: more
	  robust align button algorithm, figures out if distortion
	  optimisation went crazy and reoptimized without distortion.
	* [r3267] src/hugin1/hugin/PanoPanel.cpp: disabled enabling/disabling
	  of output options
	* [r3266] src/tools/align_image_stack.cpp,
	  src/tools/autooptimiser.cpp, src/tools/fulla.cpp,
	  src/tools/tca_correct.cpp: return 0 if -h option is given
	* [r3265] src/tools/nona.cpp: return zero exit code for -h
	* [r3264] src/tools/CMakeLists.txt, src/tools/pto2mk.cpp: added pto2mk
	  tools to generate the stitching makefile from a pto file

2008-07-31  brunopostle

	* [r3257] src/translations/hu.po: Updated Hungarian translation (Höss
	  Lajos)
	* [r3256] src/translations/sv.po: Updated Swedish translation (Ulf
	  Wilhelmson)

2008-07-31  dangelo

	* [r3255] src/translations/ru.po: updated russian translation
	  (Alexandre Prokoudine)

2008-07-31  ippei

	* [r3254] mac/patch-xrc.sh: Mac: replace builder variable properly
	  (currently empty)
	* [r3253] mac/align_image_stack.xcodeproj: Mac: uneccesary file
	* [r3252] mac/BuildConfig.xcconfig.orig,
	  mac/ExternalPrograms/readme.txt,
	  mac/ExternalPrograms/scripts/SetEnv-leopard.txt,
	  mac/ExternalPrograms/scripts/SetEnv-panther.txt,
	  mac/ExternalPrograms/scripts/SetEnv-universal.txt,
	  mac/ExternalPrograms/scripts/boost.sh,
	  mac/ExternalPrograms/scripts/gnumake.sh,
	  mac/ExternalPrograms/scripts/libexpat.sh,
	  mac/ExternalPrograms/scripts/openexr16.sh,
	  mac/ExternalPrograms/scripts/pano13.sh,
	  mac/ExternalPrograms/scripts/static/boost.sh,
	  mac/ExternalPrograms/scripts/static/wxmac28.sh,
	  mac/ExternalPrograms/scripts/wxmac28.sh,
	  mac/Hugin.xcodeproj/project.pbxproj, mac/complete-bundle.sh,
	  src/hugin1/base_wx/MyExternalCmdExecDialog.h: Mac: build update;
	  easier to compile for multiple repositories, external single
	  architecture fix, boost 1.36

2008-07-29  brunopostle

	* [r3250] src/translations/fr.po: Updated French translation (Jean-Luc
	  Coulon)
	* [r3249] src/translations/hu.po: Updated Hungarian translation (Lajos
	  Höss)

2008-07-28  brunopostle

	* [r3244] ChangeLog: Update ChangeLog for rc1 release
	* [r3243] doc/autooptimiser.pod, doc/autooptimizer.pod,
	  src/tools/autooptimiser.cpp: it's autooptimiser not autooptimizer

2008-07-25  brunopostle

	* [r3238] src/translations/de.po: s/Zeile/Gerade/ (Joachim Schneider)

2008-07-25  gpatters1

	* [r3237] src/hugin1/hugin/ImagesPanel.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePhotometricPanel.cpp: [2027795] Prevent
	  popups from hiding behind the application window.
	* [r3236] src/hugin1/hugin/AutoCtrlPointCreator.cpp: [2011690] Prevent
	  segfault in hugin when calling autopano with too many images.
	* [r3235] src/hugin1/hugin/CPListFrame.cpp: [1935358] Allow
	  non-english decimal char in select by distance dialog.
	* [r3234] src/hugin1/hugin/PreviewFrame.cpp: [1981189] Fix for HFOV
	  and VFOV sliders under OSX
	* [r3233] src/hugin1/hugin/PanoPanel.cpp: [1981284] convert debug
	  warning to debug statement.

2008-07-24  brunopostle

	* [r3231] ChangeLog: Update ChangeLog.
	  Some reformatting by svn2cl, but nothing appears to be lost
	* [r3230] src/hugin1/hugin/xrc/data/about.htm.in: Update translation
	  credits
	* [r3228] AUTHORS: Update translation credits
	* [r3227] AUTHORS, src/translations/bg.po: Add bulgarian translation
	  (Svetoslav Stefanov)
	* [r3226] src/translations/ko.po: Updated Korean translation (Homin
	  Lee)
	* [r3225] src/translations/hu.po: Updated hungarian translation (Lajos
	  Höss)

2008-07-23  gkohlmeyer

	* [r3222] platforms/windows/autopano-mockup/CMakeLists.txt,
	  platforms/windows/autopano-mockup/autopano-noop.bat,
	  platforms/windows/autopano-mockup/autopano-noop.pl: [Win32] changed
	  autopano-mockup script from perl to batch

2008-07-23  brunopostle

	* [r3219] src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Equirectangular_Projection.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Field_of_View.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/GIF.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/HDR.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Images_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Keyboard_shortcuts.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Preferences.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_Stitcher_tab.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Hugin_translation_guide.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/Vignetting.html,
	  src/hugin1/hugin/xrc/data/help_en_EN/pages.txt: Update docs from
	  panotools wiki

2008-07-23  gpatters1

	* [r3218] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PanoPanel.h,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.h:
	  [1981284] Normal output is disabled for exposure stacks. Fused/HDR
	  output is disabled for panos without stacks.

2008-07-20  gpatters1

	* [r3212] src/hugin1/hugin/PanoPanel.cpp,
	  src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreferencesDialog.h,
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
	  [1987509] Pass the correct enblend/enfuse executable to hugin_stitch
	  project. Check for empty enfuse/enblend executables settings at the
	  makefile level.

2008-07-18  gpatters1

	* [r3208] src/hugin1/PT/PanoCommand.h: [2020915] Fixed compile for
	  windows build.
	* [r3206] src/hugin1/hugin/CPListFrame.cpp: [2010645] Remove error
	  when attempting to sort on Pair Control point in Main CP list
	  window.
	* [r3205] src/hugin1/PT/PanoCommand.h, src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/wxPanoCommand.cpp,
	  src/hugin1/hugin/wxPanoCommand.h: [2000096] Fix for crash when
	  redo-ing a load project.
	* [r3204] src/hugin1/hugin/MainFrame.cpp,
	  src/hugin1/hugin/OptimizePanel.cpp: [2020915] Removed debug
	  statement and unnecessary optimize panel checkboxes refresh.
	* [r3202] src/hugin1/PT/PanoCommand.h,
	  src/hugin1/hugin/OptimizePanel.cpp,
	  src/hugin1/hugin/OptimizePanel.h,
	  src/hugin_base/panodata/Panorama.cpp: [2020915] Fix for Undo/Redo of
	  optimize panel.

2008-07-17  brunopostle

	* [r3201] src/hugin1/hugin/xrc/data/about.htm.in: Add Terry Duell
	  tutorial credit

2008-07-17  yuv

	* [r3199] platforms/windows/CMakeLists.txt,
	  platforms/windows/autopano-mockup,
	  platforms/windows/autopano-mockup/CMakeLists.txt,
	  platforms/windows/autopano-mockup/autopano-noop.pl,
	  platforms/windows/installer/CMakeLists.txt,
	  platforms/windows/installer/hugin_no_patents.iss: - add autopano
	  placeholder for Windows, similar to autopano-noop.sh for Linux
	  - new installer, hugin_no_patents.iss, to build SF-savvy
	  distribution without SIFT

2008-07-16  yuv

	* [r3197] src/hugin1/hugin/xrc/data/about.htm.in: credits: Tom
	  Sharpless
	* [r3196] src/hugin1/hugin/xrc/data/about.htm.in: - cleaned formatting
	  of about screen
	  - completed version information with builder (Windows only)
	  - added Gerry Patterson to credits

2008-07-16  gpatters1

	* [r3195] src/hugin1/hugin/CPListFrame.cpp: [2019127] Fix ascending
	  sort for Right Image column in CP window.
	* [r3194] src/hugin1/hugin/CPListFrame.cpp: [2018960] Fix select by
	  distance button in control point window.

2008-07-12  gpatters1

	* [r3190] src/hugin1/hugin/PreferencesDialog.cpp,
	  src/hugin1/hugin/PreferencesDialog.h: [1987509] Set enblend/enfuse
	  executables to false if the entry fields are empty in the
	  preferences dialog.
	* [r3189]
	  src/hugin_base/algorithms/panorama_makefile/PanoramaMakefileExport.cpp:
